2012-01-03  Petr Mladek  <pmladek@suse.cz>  [5eaf909b9402fe753a7d5d6558f106f2122381b5]

Version 3.4.5.2, tag libreoffice-3.4.5.2 (3.4.5-rc2)


2012-01-03  Petr Mladek  <pmladek@suse.cz>  [9e0b7280f00eb33b7f0395aa130d1779bdb5b86f]

bump product version to 3.4.5-rc2, release number to 502


2011-12-28  Caolán McNamara  <caolanm@redhat.com>  [47bc6c1726198de2acc43cb7d5282e3fcb7a32d9]

fix build with bleeding edge external boost and gcc

It seems that a recent boost and recent gcc causes a problem when
boost::unordered_map is used as a baseclass for something.
Asking gcc to use -std=c++0x mode makes gcc do the right thing.

Signed-off-by: Petr Mladek <pmladek@suse.cz>
Signed-off-by: Michael Meeks <michael.meeks@suse.com>
Signed-off-by: David Tardon <dtardon@redhat.com>

2011-12-14  Petr Mladek  <pmladek@suse.cz>  [10c4045a3b2a0653005dc25c16273ac368331baa]

Branch libreoffice-3-4-5

This is 'libreoffice-3-4-5' - the stable branch for the 3.4.5 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.4.x release,
please use the 'libreoffice-3-4' branch.

If you want to build something cool, unstable, and risky, use master.

2011-12-14  Petr Mladek  <pmladek@suse.cz>  [ee98d94ab7ee53206df1e484874737a184cfec50]

Version 3.4.5.1, tag libreoffice-3.4.5.1 (3.4.5-rc1)


2011-12-14  Petr Mladek  <pmladek@suse.cz>  [a89006502622e22340b6ee5d24bea5331e1f8b31]

bump product version to 3.4.5-rc1, release number to 501


2011-12-13  Andras Timar  <atimar@suse.com>  [5ef39cd1e648d6d71e70d6e5770065bd9c8a37a3]

use latest versions of DejaVu and Liberation fonts

Signed-off-by: Michael Meeks <michael.meeks@suse.com>

2011-11-25  Andras Timar  <atimar@suse.com>  [5a5fd169cb471192cc9d1602b1bd88107af9280b]

create this dir so uninstall can remove it

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-11-24  Tor Lillqvist  <tlillqvist@novell.com>  [4e8524bdf3d4cec373bf0d1eb7295d8963a7bcdd]

Add .ppsx fdo#39963

Signed-off-by: Andras Timar <atimar@suse.com>

2011-10-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7ca50e2afb84320913868f95d0247528ef90b4f6]

Remove a stray leading '+'


2011-10-26  Andras Timar  <atimar@suse.com>  [b1e37e258351a51556d4128d08768edd8fd05d3d]

use short paths, because '(x86)' in the path causes problem

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-10-25  Petr Mladek  <pmladek@suse.cz>  [0f47bcd002877464c50c7b4b2df46e2ca627c0a1]

Version 3.4.4.1, tag libreoffice-3.4.4.1 (3.4.4-rc1)


2011-10-25  Petr Mladek  <pmladek@suse.cz>  [ae69437e119f4e1d8eca657694c0e719a4da6f83]

bump product version to 3.4.4-rc1, release number to 401


2011-10-25  Tor Lillqvist  <tlillqvist@novell.com>  [a11c44b86e4459b6366b347e0406a860c80e0379]

Fix building of the 64-bit Windows Explorer extension (fdo#36950)

Don't confuse the 64-bit Explorer extension with a 64-bit LibreOffice,
which is unfinished and highly experimental work. OOo has been
building and distributing a 64-bit Explorer extension since long, and
we should too. They used some secret Hamburg sauce when building it,
though, but hopefully now it works here, too.

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-10-20  Martin Hosken  <martin_hosken@sil.org>  [522f633cb6a986c7ec01eb0b6bc6e84d70b5413a]

Upgrade graphite to 1.0.3 fix surrogate support

Signed-off-by: Michael Meeks <michael.meeks@suse.com>

2011-10-07  Andras Timar  <atimar@suse.com>  [499b16d59445aacdf767fd42bde2197f014d7ea1]

add Scottish Gaelic (gd) UI support

Signed-off-by Michael Meeks <michael.meeks@suse.com>

2011-09-30  Rene Engelhard  <rene@debian.org>  [72a5f87cb3f0a367f1cd6a5cc15101acc83396fe]

make configure check for cpp/poppler-version.h


2011-09-20  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [b6b7eb97b48937132638aeeef18270624201a930]

Revert "Call macosx-change-install-names on executables in gbuild, too."

This reverts commit a87a8ee5a1919f6f6b4b35668456c03bdd499c85.
The cherry-pick was premature, it would have required an unfortunate number of
follow-up commits to be picked too.

Signed-off-by: Norbert Thiebaud <nthiebaud@gmail.com>
Signed-off-by: Stephan Bergmann <sbergman@redhat.com>

2011-09-19  Stephan Bergmann  <sbergman@redhat.com>  [a87a8ee5a1919f6f6b4b35668456c03bdd499c85]

Call macosx-change-install-names on executables in gbuild, too.

Signed-off-by: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>

2011-08-28  Kalman Szalai - KAMI  <kami911@gmail.com>  [e4e6b143fa87a89c37ed1490eac0bc090876a954]

Fix for my latest patches


2011-08-28  Kalman Szalai - KAMI  <kami911@gmail.com>  [6bf0be067e8da2597013296dae3f4e02866a5064]

Added Russian language Lightproof module

* Added module
* Remove versioned directories in scp2 module for Lightproof

Signed-off-by: Kalman Szalai - KAMI <kami911@gmail.com>

2011-08-28  Kalman Szalai - KAMI  <kami911@gmail.com>  [5d3c664b148ddb72f64b45717088dc2b25933bc9]

Update Google Docs extension to version 3.0.0

Signed-off-by: Kalman Szalai - KAMI <kami911@gmail.com>

2011-08-28  Kalman Szalai - KAMI  <kami911@gmail.com>  [74b02d845439b53ac0eb68eb63fe80aa4b19a6b0]

Update supported Lightproof versions to the latest available


2011-08-28  Kalman Szalai - KAMI  <kami911@gmail.com>  [35f952ebfa678dd07a5636b9826a0992c59b5dee]

Update Diagram extension to SmART Gallery

* SmART Gallery is the new version of Diagram extension (aka. Diagram 2)

2011-08-28  Kalman Szalai - KAMI  <kami911@gmail.com>  [1c1c427a53c3e210a396ed45af18d2fff721a25a]

Update Diagram extension to SmART Gallery

* SmART Gallery is the new version of Diagram extension (aka. Diagram 2)

Signed-off-by: Kalman Szalai - KAMI <kami911@gmail.com>

2011-08-27  Kalman Szalai - KAMI  <kami911@gmail.com>  [59372c82d6ede44c2e3f502611c7dbde909b090f]

Use jdk1.6.0_27 for OxygenOffice


2011-08-23  Rene Engelhard  <rene@debian.org>  [4d8c9ee2da4020871d037b1bcc7bfbdd7b149046]

export WORDS_BIGENDIAN in set_soenv and make graphite2 use it


2011-08-23  Martin Hosken  <martin_hosken@sil.org>  [d28849246ede712e15f6961ff38c85be868d2a8c]

Upgrade graphite to 1.0.2 and simplify patches

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-08-17  Tomáš Chvátal  <tchvatal@suse.cz>  [aabeb64cc0be9fe0eb840323b835ace956bdb65f]

Fixup non-respecting DESTDIR for DOCDIR chmod.

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-08-16  Petr Mladek  <pmladek@suse.cz>  [def034082faa8411092ab4b8f0e20fdd2b5f1e46]

Version 3.4.3.1, tag libreoffice-3.4.3.1 (3.4.3-rc1)


2011-08-16  Petr Mladek  <pmladek@suse.cz>  [6e438645174b2cdb3f2ea2fa706555f9b471c930]

bump product version to 3.4.3-rc1, release number to 301


2011-08-15  Tomáš Chvátal  <tomas.chvatal@gmail.com>  [5ab68a360f717b40b672d38ff29497c6b3c4e114]

Use proper switch name for system-sane-headers

In 3.5 it is just system-sane and in 3.4 it is system-sane-header.

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-07-27  Tomas Chvatal  <scarabeus@gentoo.org>  [ffd8f826f7ee3db4d306ece5d1c2f8a8c4a033be]

distro-install-desktop-integration: use "sed -i"

use the more elegant "sed -i" instead of "sed+mv"

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-07-26  Petr Mladek  <pmladek@suse.cz>  [500bc84e45581b5e1e231ea4fb568bd1f119f21a]

distro-install-desktop-integration: create temp files in $TMPDIR

do not hardcode /tmp

Signed-off-by: scarabeus@gentoo.org

2011-07-22  Michael Meeks  <michael.meeks@novell.com>  [6f12189a688278013443fa22207acfcb6b3f5c90]

don't let our fprintf on a broken pipe pollute errno's ECHILD with EPIPE

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-07-19  Petr Mladek  <pmladek@suse.cz>  [8d956763258c0f084327bfe8c2b8d5f4950283d0]

distro-install-desktop-integration: put $PREFIXDIR/bin/soffice into file list


2011-07-19  Petr Mladek  <pmladek@suse.cz>  [3e64a54568e5c1be615a53e23710e700033f8966]

distro-install: fix en-US-only installation

generate en-US file list when --with-distro=""

sigh, we should set WITH_LANG=en-US when no language is selected; the empty
string is pretty ugly; unforrunately, many makefile tests check for
this empty variable

2011-07-19  Petr Mladek  <pmladek@suse.cz>  [67fe6db50e01f0e3686fb4914961b944670eab4e]

distro-install-desktop-integration: do not pack libreoffice-base.desktop twice


2011-07-18  Petr Mladek  <pmladek@suse.cz>  [3b7fe055da4904bdfd775144b42dba7409d7cf34]

distro-install-desktop-integration: work with normal user

+ alllow to overwrite the readonly desktop files
+ create the compat soffice symlink in DESTDIR

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-14  Kohei Yoshida  <kyoshida@novell.com>  [d81b7fa5d4e879184e2bd73c9d51bec959aa03bf]

Updated mdds package to 0.5.3.

Signed-off-by: David Tardon <dtardon@redhat.com>

2011-07-12  Petr Mladek  <pmladek@suse.cz>  [7e2b09fcad37599092fc376486ef6a3725c50940]

Version 3.4.2.1, tag libreoffice-3.4.2.1 (3.4.2-rc1)


2011-07-12  Petr Mladek  <pmladek@suse.cz>  [b407a7b3b39acbcd53040bd8035596cefdfd4e94]

set INSTALLDIR with real path

use the already substituted $LIBDIR instead of $libdir; the later might
use $exec_prefix instead of real path

2011-07-12  Petr Mladek  <pmladek@suse.cz>  [66b5a6f985281f31d0ba654e539c1df7ae283b7a]

bump product version to 3.4.2-rc1, release number to 201


2011-07-11  Petr Mladek  <pmladek@suse.cz>  [91f1e6840cf871cc5b22502c35cd9aa37ab6d9f9]

better support for distro packaging

This is port from the build repo. The main differences are:

    + splits package-ooo into several scripts (bin/distro-install-*)

    + renames many variables to avoid OOO prefix and to better fit
      the variables produced by the current bootstrap configure.in

    + uses OOO_VENDOR from bootstrap/configure.in to add distro specific hacks;
      the conditions have been updated only for "Novell, inc."

    + install most of the desktop integration from sysui using
      sysui/desktop/share/create_tree.sh

    + do not install two extra templates:

         $OOINSTBASE/basis$VERSION/share/template/en-US/forms/resume.ott
         $OOINSTBASE/basis$VERSION/share/template/en-US/officorr/project-proposal.ott

      should get merged with other templates

    + do not install pyunorc-update64;

      it is needed only when you want to run 32-bit LO on 64-bit system;
      is anyone using it?

    + do not call install-dictionaries:
    + do not call build-galleries:

      is anyone using them?

    + do not install ootool and ooconfig

      is anyone using them? are they still working?

Signed-off-by: Michael Meeks <michael.meeks@novell.com>
Signed-off-by: Miklos Vajna <vmiklos@frugalware.org>
Signed-off-by: Bjoern Michaelsen <bjoern.michaelsen@gmail.com>

2011-07-11  Petr Mladek  <pmladek@suse.cz>  [807a0e42155ab8b48e147177738647abf9e22516]

bin/unpack-sources: new helper script for packaging LO

move the source tarball unpacking from "download" into a separate
script that could be called offline during LO packaging

Signed-off-by: Michael Meeks <michael.meeks@novell.com>
Signed-off-by: Miklos Vajna <vmiklos@frugalware.org>
Signed-off-by: Bjoern Michaelsen <bjoern.michaelsen@gmail.com>

2011-07-01  Tor Lillqvist  <tlillqvist@novell.com>  [85d6112d7ba3570fa413672a34145d558da6df41]

Work around m4 bracket stripping in MINGWSTRIP construction

Signed-off-by: Rene Engelhard <rene@debian.org> (on IRC).

2011-07-01  Fridrich Strba  <fridrich.strba@bluewin.ch>  [1e8097d33aac2f9dbd964252ee0cc839fdf57674]

Build multi-lingual LO and SDK installers for Windows

From instsetoo_native-win32-packaging.diff in the build repo.

Signed-off-by: Tor Lillqvist <tlillqvist@novell.com>

2011-06-29  Andras Timar  <atimar@suse.com>  [958b7950b2931173a01974e34eef2aa1eae25b84]

sorting additional language packs and dictionaries fdo#34479

Signed-off-by: Tor Lillqvist <tlillqvist@novell.com>

2011-06-24  Jan Holesovsky  <kendy@suse.cz>  [27540bdcc1b5987e399cff79c5cf88df484e279b]

Disable the online update for the release.

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-06-22  Petr Mladek  <pmladek@suse.cz>  [900baff9ff400a6eba034089ed69362c2c2d61e4]

fix configure without the optional translations module


2011-06-20  Robert Nagy  <robert@openbsd.org>  [ac17f0b2b9d464e2300a4989ddaf7bc2c22f4e7b]

update the configure flags to reflect reality


2011-06-17  Jan Holesovsky  <kendy@suse.cz>  [db508a7b5c6efee91f2921c7b0d3a9eb9fc5a060]

--enable-online-update in the Linux universal builds.

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-06-17  Jan Holesovsky  <kendy@suse.cz>  [e37badf947de7bc1545d042fb1517883cd937ca1]

Make the online update service configurable (via --enable-online-update).

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-06-15  Robert Nagy  <robert@openbsd.org>  [4b333b2c9b4f35a58c1f1b5183013837f6380181]

only fetch external tarballs if --disable-fetch-external is not defined


2011-06-14  Petr Mladek  <pmladek@suse.cz>  [2b4067e05c12dec97b6569dd936de393529fbc6c]

Version 3.4.1.1, tag libreoffice-3.4.1.1 (3.4.1-rc1)


2011-06-14  Petr Mladek  <pmladek@suse.cz>  [13fa70e33729adb00b70ee1d740b973a36053be5]

bump product version to 3.4.1-rc1, release number to 101


2011-06-13  Andras Timar  <atimar@suse.com>  [b48d1ba56a2a67f785651881705c872925cecc1c]

fix Y coordinate in previous commit

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-06-13  Andras Timar  <atimar@suse.com>  [8fddc393a1608e3a8e1a515123c976a2d5bb14ac]

fdo#36990 fix layout of MSI Custom Install dialog (esp. German)

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-06-07  Kalman Szalai - KAMI  <kami911@gmail.com>  [86b9e2e64e2f049be5af3d898dbf5e1da0c833b5]

move default language independent layout templates

from /share/template
to   /share/template/common

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-06-06  Petr Mladek  <pmladek@suse.cz>  [8935d31fcdcde28d489af4392f7385433b634674]

Revert "Reverting one Oxygenoffice change until _KAMI_ makes it work"

This reverts commit 77eb7f58d973eeb397dac0702646fc811894851c.

The original build problems were fixed in libs-core/sysui.

Signed-off-by: pmladek@suse.cz

2011-06-05  Robert Nagy  <robert@openbsd.org>  [2ffe980335338b181f5c9165764ce673b0631e43]

set gb_COMPILEROPTFLAGS in the correct place for cxx generated objects


2011-05-30  Petr Mladek  <pmladek@suse.cz>  [f9b01ef92020c9d17c177303c059abd6971e84c5]

lo-commit-stat: add --log-dir option

allow to generate the log into another directory

2011-05-25  Petr Mladek  <pmladek@suse.cz>  [6fe966b43e9bc9f2023443fcba4a2d579e5d099f]

lo-pack-sources: do not pack fetched stuff into the source tarball


2011-05-25  Andras Timar  <atimar@suse.com>  [be21c9c7ae338ccd42e35d625c3231a868e44999]

don't forget en-US when dev-installing ALL languages

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-25  Andras Timar  <atimar@suse.com>  [f73330ec57f65e64a4fe700449f7b7c0b03d1ee6]

handle --with-lang=ALL case

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-23  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [4e829b113190777fd9170afb22ea036026f16034]

always request an unversioned lib from gcc in gccinstlib.pl

* this otherwise breaks on ubuntu natty as there is (rightfully) no libgcc_s.so.1 file served by gcc -print-file-name

2011-05-23  Robert Nagy  <robert@openbsd.org>  [7e385ab56b7cd78df93f27f6478ec17ccedd7e28]

fix ant home


2011-05-23  Robert Nagy  <robert@openbsd.org>  [80b16e22544e547bde880f199c8347243a14e8c9]

use $GNUMAKE to print the build instructions


2011-05-17  Petr Mladek  <pmladek@suse.cz>  [f6609fd9bb8cbe0856af94be2bebd896c42280c3]

Version 3.4.0.1, tag libreoffice-3.4.0.1 (3.4.0-rc1)


2011-05-17  Petr Mladek  <pmladek@suse.cz>  [e02ca76e82fbc331bf9c46895a9913e744f19a7a]

bump product version to 3.4.0-rc1, release number to 11


2011-05-17  Michael Meeks  <michael.meeks@novell.com>  [e4bd1993189a5138e81c998b5a1c4e4777eaa4c9]

fix ENABLE_QUICKSTART_LIBPNG handling fdo#36497


2011-05-17  Thorsten Behrens  <tbehrens@novell.com>  [b5196c4e52ed4bc136c17064159418f9dc86e3e2]

Enable nlpsolver also for Mac

Fix for fdo#37180

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1d2f5bd3083b5c9bc30a0def9625bc61e5caf20b]

Revert "Upgrade graphite2 from 0.9.2 to 0.9.4"

Reverting changes because they break windows build.

This reverts commit a8ffbd10776df479f71c213e5f1deb5f9e866307.

2011-05-16  Martin Hosken  <martin_hosken@sil.org>  [a8ffbd10776df479f71c213e5f1deb5f9e866307]

Upgrade graphite2 from 0.9.2 to 0.9.4


2011-05-16  Martin Hosken  <martin_hosken@sil.org>  [b0859033e221bf30f980c33f9e4b48aa65a7ac05]

oops


2011-05-16  Martin Hosken  <martin_hosken@sil.org>  [47005f52a4b9abb34c224111bda0dd492d2000d9]

Update to graphite2-0.9.4


2011-05-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c2f4991a21caf753e9c71c62be29333147ee0acb]

Build nlpsolver for Win32 and Linux release builds


2011-05-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [77eb7f58d973eeb397dac0702646fc811894851c]

Reverting one Oxygenoffice change until _KAMI_ makes it work


2011-05-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9bb151438c4490469344379c2c3efee1c6ca87ab]

unrecognized options: --with-nlpsolver


2011-05-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6db1c0424120dec7c2bcac5c01c2918f978ce4f3]

Enable binfilter explicitely for windows


2011-05-12  Radek Doulik  <rodo@novell.com>  [c291e364757a9461863cd2d0c55963cc70f1db77]

change the version info so that we are not identified at runtime as 3.0.x

 - fixes https://bugs.freedesktop.org/show_bug.cgi?id=37017

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-05-12  Tor Lillqvist  <tlillqvist@novell.com>  [5aee299b17f206e99f4aaa87724695e0dad06c82]

Don't ship rebaseoo.exe and rebasegui.exe, fdo#36679

These are completely useless executables, and some virus scanners
thinks one of them is infected, so why even ship them...

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-12  Kalman Szalai - KAMI  <kami911@gmail.com>  [16f9691579f35f050b064c3679df2fc3554ba354]

Add OxygenOffice related settings

* Start download package name with OOOP in case of OxygenOffice
* Ability to create oxygenoffice product

2011-05-12  Tor Lillqvist  <tlillqvist@novell.com>  [4e44e1dae5b02820c3d1452d51112acc07207ab5]

AC_SUBST also OOOBLOGGER_EXTENSION_PACK as set_soenv.in uses it

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-12  Kalman Szalai - KAMI  <kami911@gmail.com>  [ef47a7cd01ce45f66f264b7201c60259f019d75d]

Fix oooblogger extension download mechanism

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-12  Kalman Szalai - KAMI  <kami911@gmail.com>  [e070f5298f161c47fc34145c405d0c6cc82a7298]

When downloading extensions to src, cut is provided with wrong option switches

I used long switches for cut and your (Windows??) box does not adore about it.

http://comments.gmane.org/gmane.comp.documentfoundation.libreoffice.devel/10214

2011-05-12  Kalman Szalai - KAMI  <kami911@gmail.com>  [b973b670860f74d9bf4f42affcd364f48354ff15]

Fix space and tab jam in my last commit

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-12  Kalman Szalai - KAMI  <kami911@gmail.com>  [7b64870186c80e1dfb4112aaa51bdf662db9691b]

Fix SUN Template extension configure, download, handling

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-12  Kalman Szalai - KAMI  <kami911@gmail.com>  [014274fbb85caf07d61954108b891b6ae72516f0]

Fix Ligthproof extension integration

* Fix configure and download support
* Extension naming scheme is: <md5>-<extension-name>_<version>.oxt
  - Renamed extensions
* Rename extension version number in download script and scp2 module

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-05-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cc7f5e0155b4e0be3f716ca88a54216513a41874]

Enable extensions and bundle them in Windows build by default


2011-05-11  Kalman Szalai - KAMI  <kami911@gmail.com>  [204be6a1afcd61e49b3fbc28ebf59e60968ea37e]

Fix Numbertext extension's download filename


2011-05-10  Petr Mladek  <pmladek@suse.cz>  [27297297fbbfc682b6219ee94fa354ce9f5b8d47]

Version 3.3.99.5, tag libreoffice-3.3.99.5 (3.4.0-beta5)


2011-05-10  Petr Mladek  <pmladek@suse.cz>  [3bf9afa291ce079bc630552e942f851263bc6d95]

bump product version to 3.4.0-beta5, release number to 5


2011-05-10  Petr Mladek  <pmladek@suse.cz>  [bfe31c7f915a540bc48a3adfd6ae11e2426f0e59]

use build id for the release number also for deb packages

I have just realised that deb packages used milestone as
the release number; it is bumped only when we merge
changes from OOo; so, we should use the build id that
is used as the release number for rpms and windows build
for a long time

2011-05-10  Thorsten Behrens  <tbehrens@novell.com>  [8b11467d9512f3340db780dec88ef02749322fdf]

Clean up MacOS distro config from cruft


2011-05-09  Thorsten Behrens  <tbehrens@novell.com>  [e2e91282b721da52269a2984e1d0b310a0ac6d4e]

Unit test locale now forced by other means

This was only working for Linux, anyway.

2011-05-09  Robert Nagy  <robert@openbsd.org>  [45a67e09fcd92531ee029287877410e84b3fc8e6]

use Cwd::realpath to avoid confusion with symlinked dirs


2011-05-09  Kalman Szalai - KAMI  <kami911@gmail.com>  [49dac3eff5f5af1a401d9839fd3caef57b0e404f]

OxygenOffice progressbar


2011-05-08  Kalman Szalai - KAMI  <kami911@gmail.com>  [e8a303ca06515d052f13d934c40a31c153ca592b]

Additional settings for OxygenOffice product


2011-05-08  Andras Timar  <atimar@novell.com>  [838aba9d2f29464ffbecbdd12fa9e39ec7ce6dd6]

Missing bundled English dictionary extension dict-en - fdo#36926


2011-05-08  Andras Timar  <atimar@novell.com>  [64d20e2131c73bed72d10f5201390c8b2e4c8e62]

Revert "use $realpath()" - fdo#36927

This reverts commit 5fbddf4910999590edcf557efa1a6a4b9cdd5664.

2011-05-07  Thorsten Behrens  <tbehrens@novell.com>  [e477b46fa6e1af660578e34e31d9b690622c005a]

Remove reference to binned config option.


2011-05-06  Petr Mladek  <pmladek@suse.cz>  [23f4ddbb2a66064925964d9f9f5bc1cfb6031288]

allow to install LO-3.3 and LO-3.4 in parallel on Linux (fdo#36551)

* rename the branding packages from libreoffice3 to libreoffice3.4
* move the default root dir from /opt/libreoffice to /opt/libreoffice3.4

2011-05-06  Thorsten Behrens  <tbehrens@novell.com>  [cdaa2734d07bcb1a10689f1ebaba7e8b54d41094]

Removed --ccache-skip configure option

Not much point in forcing that - people should upgrade their ccache
to >=3.1 on Mac (change not affecting any other platform)

2011-05-06  Tor Lillqvist  <tlillqvist@novell.com>  [aa5c850dc4ef0200659445ae228560e49f0d76e6]

Use MKDIRHIER to avoid "File exists" errors (which are ignored, but still)


2011-05-05  Thorsten Behrens  <tbehrens@novell.com>  [06c6ac14944ba7df439e5915db0f95c0709ea3f9]

Auto-accept ccache >= 3.1 on Mac

The reason for the selective rejection of everything but a patched
ccache on Mac was broken objective-c/c++ support and a memory
corruption on arg parse - both are fixed on 3.0 and 3.1,
respectively. See http://ccache.samba.org/releasenotes.html

2011-05-05  Andras Timar  <atimar@novell.com>  [5fbddf4910999590edcf557efa1a6a4b9cdd5664]

use $realpath()


2011-05-05  Thorsten Behrens  <tbehrens@novell.com>  [55627a48b1753f584e78e975af4d3b5d13d0db39]

Fix ooinstall -l case

Removing destdir prefix for dev-install case is not a good idea

2011-05-04  Kalman Szalai - KAMI  <kami911@gmail.com>  [b66d73dec37f748917627ce525f428825b7d9089]

Refine lication of OxygenOffice splash


2011-05-04  Kalman Szalai - KAMI  <kami911@gmail.com>  [08a8f790026dd4dc2d8f72cba93958ffbc90e0f0]

Remove already integrated fonts from extra fonts


2011-05-04  Kalman Szalai - KAMI  <kami911@gmail.com>  [b7bc669766dcae71653d57dde01db1d2ae6ed734]

Add copy and extract for extras and few extensions


2011-05-04  Kalman Szalai - KAMI  <kami911@gmail.com>  [8647a5a6e70b0c478bc26b419d4651ec6df47260]

Add download support to a few extension in bootstrap


2011-05-03  Petr Mladek  <pmladek@suse.cz>  [7dfd3269e6129bb1eaaa2ade04e1edcdfb102670]

Version 3.3.99.4, tag libreoffice-3.3.99.4 (3.4.0-beta4)


2011-05-03  Petr Mladek  <pmladek@suse.cz>  [26d4cc7493b575c413476dc6aa93c403f048fb11]

bump product version to 3.4.0-beta4, release number to 4


2011-05-03  Petr Mladek  <pmladek@suse.cz>  [3709e6a8ecdd18dec008094a11f90b3d99d837f9]

Enable extern scripting for offical LO builds (fdo#33355)

Added the following options to distro-configs/LibreOffice*.conf:

  --enable-ext-scripting-beanshell
  --enable-ext-scripting-javascript
  --enable-ext-scripting-python

Thanks David Tardon <dtardon@redhat.com> for tip

2011-05-03  Petr Mladek  <pmladek@suse.cz>  [17adf76bb37afc368a674adfd8e9e2b61faf6e93]

ooinstall: use DESTDIR also for the Cwd::realpath call

this solution is not perfect because Cwd::realpath($ENV{DESTDIR})
need not be part of Cwd::realpath($ENV{DESTDIR} . $arg). Let's
solve this when it really cause troubles.

2011-05-03  Miklos Vajna  <vmiklos@frugalware.org>  [b9dd2241c60635ba15929ffad9962928460bd3ec]

ooinstall: respect DESTDIR

The problem was that ooinstall just passed -destdir to
make_installer.pl, but before that, it tried to create the root
directory, where it did not respect DESTDIR.

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-05-03  Miklos Vajna  <vmiklos@frugalware.org>  [1fd180e6e1796696775d8431e6c9e522ae1f2060]

configure: fix help text of --with-install-dirname


2011-05-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [771999788ef785dcceeb8ef86622a6f1f8108cd0]

Upload updated versions of libwpd and libwps


2011-05-03  Tor Lillqvist  <tlillqvist@novell.com>  [9de4304085b6f91738caa6e450418724d3b55988]

Remove BrOffice branding


2011-05-02  Tor Lillqvist  <tlillqvist@novell.com>  [3de02a92bc694086a0f08cd866ecfbb1f85a5396]

"Lightweight" removal of BrOffice branding here in this branch


2011-05-02  Jan Holesovsky  <kendy@suse.cz>  [79eb225ebc77eee2e90fefab534519390ef9897a]

Run all tests in the en_US.UTF-8 locale.

The locele affects some tests, eg. sc_ucalc.cxx.

2011-05-01  Andras Timar  <atimar@novell.com>  [f616761c0abf9a48ca593d4286844eb3fa0a4902]

s/postset.mk/langlist.mk


2011-05-01  Andras Timar  <atimar@novell.com>  [583761e6d0c78d099f9f85a68cc9ebb4dbe87899]

sync langlist.mk and postset.mk (supported UI languages)

langlist.mk was used by gnumake modules
postset.mk was used by dmake modules
unsupported languages were removed from langlist.mk
postset.mk now includes langlist.mk to avoid duplication

2011-04-29  Andras Timar  <atimar@novell.com>  [097c27e8298588fe87f7c11702589c85ba692ced]

3.3 -> 3.4


2011-04-29  Andras Timar  <atimar@novell.com>  [2c236fcf883383e98d5f10fd1e52b7543742c874]

do not pack empty help packs


2011-04-28  Andras Timar  <atimar@novell.com>  [022a3505165c384970ba15b3e8262a4def33f794]

do not ship non-localized helppacks


2011-04-28  Petr Mladek  <pmladek@suse.cz>  [95c119cf04ee028f858742c8356dbddaf09200b7]

lo-commit-stat: new --bug-numbers option to print just bug numbers


2011-04-28  Andras Timar  <atimar@novell.com>  [48a154fe76290238b7ba3cfc0f9095c8eae5df9e]

put L10N_MODULE definition to set_soenv instead of settings.mk

and remove alternative l10n locations from settings.mk

2011-04-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [2d3466412be3fb215ddedcf845abbdaf7386adcb]

add --enable-lomenubar switch to configure


2011-04-27  Petr Mladek  <pmladek@suse.cz>  [8643fce95bb7098e065b7ea18bf409dceba2b5e9]

writerfilter-module-writer.diff: put libwriterfilter into writer package


2011-04-27  Robert Nagy  <robert@openbsd.org>  [a196bffe0cf481c78f4f1b7611369b347a7a58d0]

add -DBOOST_NO_EXCEPTIONS to gb_LinkTarget_NOEXCEPTIONFLAGS


2011-04-27  Robert Nagy  <robert@openbsd.org>  [79ee89a1594f2af8f5b46545f3cd69d0084584ac]

set STAR_RESOURCEPATH before calling gdb


2011-04-26  libo64  <libo64@libo64.(none)>  [69ccd26c3cbde3c4a3d99a23e2014223425f15f9]

OxygenOffice distro conf update


2011-04-26  Petr Mladek  <pmladek@suse.cz>  [815b800f0d2df1c389f603357702cdef9aa953d1]

lo-commit-stat: detect mismatch of branches between repos


2011-04-26  Petr Mladek  <pmladek@suse.cz>  [ed523538fc8061c9fe0d66e2c9e32fb5e465b9f9]

Version 3.3.99.3, tag libreoffice-3.3.99.3 (3.4.0-beta3)


2011-04-26  Petr Mladek  <pmladek@suse.cz>  [753629e2d90991ab5b1bacf4a6cb098bfcac8cc5]

bump product version to 3.4.0-beta3, release number to 3


2011-04-26  Petr Mladek  <pmladek@suse.cz>  [e84982a7c78810b8cfbbc64a204ffce54fbe3de2]

do not package transitions-ogl.xml twice (fdo#36493)


2011-04-25  Dimitri Duc  <dimitri.duc@gmail.com>  [6431edd83c7eb12d55e9f1e814ecfe265907e8c4]

Fixed incorrect bracket format.


2011-04-25  Kohei Yoshida  <kyoshida@novell.com>  [f6c6718836db06b01b00bfa7cfebb9b61376b3d6]

Move it up a bit more to get it to build with --disable-mozilla.


2011-04-25  Hanno Meyer-Thurow  <h.mth@web.de>  [96f388b481d71be3e63994d02ec67f76787b5085]

Update '--disable-python' to disable only Python UNO API.

* configure.in:

2011-04-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [4a73b6c627bae7e6ceeb3fab3c49ed64cbd611c2]

we need to generate ooo.lst before we use it....


2011-04-23  Kalman Szalai - KAMI  <kami911@gmail.com>  [75f03541884c8609e177208646494701dde42476]

Reintroduce OxygenOffice distro confs


2011-04-23  Kalman Szalai - KAMI  <kami911@gmail.com>  [0a42b9eb5fa33900d144280be4779bd7108bc4b4]

Merge branch 'libreoffice-3-4' of ssh://git.freedesktop.org/git/libreoffice/bootstrap into libreoffice-3-4


2011-04-22  Kalman Szalai - KAMI  <kami911@gmail.com>  [825389e02c0062560f406a47013fa8a9a8267ba7]

Add initial configure and download stuffs for extra things

OxygenOffice related

2011-04-22  Petr Mladek  <pmladek@suse.cz>  [94ccfeaccb3ffc09b244ea990eda43531764352d]

do not enable BrOffice branding by default (fdo#36262)


2011-04-22  Petr Mladek  <pmladek@suse.cz>  [7ad0e877067d9e72dcc7fb27160e6ad69af9a8e2]

Disable BrOffice branding for official builds (fdo#36262)


2011-04-21  Andras Timar  <timar@fsf.hu>  [8c5bd2ea4055610478bc700142fb16376d2cef15]

fix L10N_MODULE path on Windows


2011-04-20  Petr Mladek  <pmladek@suse.cz>  [6326baaba7534667c95c6cc8aac6287bb140580e]

set default install dirname from AC_PACKAGE_NAME

idea by Hanno Meyer-Thurow <h.mth@web.de>

2011-04-20  Andras Timar  <atimar@novell.com>  [845302e921d8d2c5db702c14d74fda35f16c662d]

do not ship Letter Wizard templates twice fdo#35722


2011-04-20  Luboš Luňák  <l.lunak@suse.cz>  [cc08e0d83e5762789ac15c36d295aac00c60ae8d]

don't link soffice.bin and stuff back into src tree

This is 7e585ded0f1cce41fd3dec6146526d07783d2d38 again,
removed in 981e63a40a5918135f3547c849394a36f8012af9, probably by mistake.
With the linking it's possible that soffice.bin becomes the wrapper
script that ends up calling itself recursively.

2011-04-20  Hanno Meyer-Thurow  <h.mth@web.de>  [c612724331a3d66d2ee488d91161a54f4d3576bd]

make the installation dir better configurable

install to %libdir% intead of %prefix% as it is usual for other projects;
use the usual DESTDIR instead of OODESTDIR

Note that the default installation path is /usr/local/lib/libreoffice;
it can be redefined by --prefix, --libdir, --with-install-dirname
configure options

Some of these changes contributed by Petr Mladek <pmladek@suse.cz>

2011-04-19  Petr Mladek  <pmladek@suse.cz>  [2efa28e7ab9ebee44274b47091454da36b0c286b]

Version 3.3.99.2, tag libreoffice-3.3.99.2 (3.4.0-beta2)


2011-04-19  Andras Timar  <atimar@novell.com>  [1bb691465802786e9e28c20103767acfd642ee4a]

fix typos in messages


2011-04-19  Petr Mladek  <pmladek@suse.cz>  [b1b16c68ab81f5c9132fb0d7924e2316343c040b]

bump product version to 3.4.0beta2, release number to 2


2011-04-19  Petr Mladek  <pmladek@suse.cz>  [6544433f6d54f9d2ca327fa6bb3dee1ba2e105c0]

fix build with older gcc that does not read options via @file

needed to fix build on SLED10 with gcc-4.1.2
we want to use @$(extraobjectlist) in the long run

2011-04-19  Petr Mladek  <pmladek@suse.cz>  [6e82aaaf77e0e425cb3d9f1df10a403e1c3e303c]

bump PRODUCTVERSION to 3.4 also in solenv/inc/productversion.mk (fdo#36277)


2011-04-19  Jan Holesovsky  <kendy@suse.cz>  [4e083a25aeeed87a49c7c77060e76c7e863842a4]

'paths', not 'pathes'...


2011-04-18  Robert Nagy  <robert@openbsd.org>  [05a9b987ee6b7c385bd04859489ebb95d192b2be]

sync with unxgcc.mk


2011-04-18  Tor Lillqvist  <tlillqvist@novell.com>  [eb5999e0287116f2686e70e240005a479746602e]

Fix from-scratch build breakage: Don't call realpath on Windows path

In a from-scratch build, when running the configure script, which then
runs the set_soenv script, the default_images symlink (that is passed
to this function in the form of a Windows path, for some reason) does
not exist yet, and realpath fails anyway. So don't bother calling
realpath on Windows paths.

Although I don't know whether it then will cause a problem that the
cygpath -m call won't be able to expand the symlink as it doesn't
exist anyway. This is a mess. And if cygpath -m expands symlinks
anyway, why is the realpath needed at all?

2011-04-17  Norbert Thiebaud  <nthiebaud@gmail.com>  [0cb149ffb828e95e71e08a79ae1c47f6f5ca8eaf]

gcc-4.0 on MacOSX does not support the @file syntax


2011-04-15  Jan Holesovsky  <kendy@suse.cz>  [823a2d5de8b3f5d9f93bd9404aa0456736aa3ee1]

Don't override CC and CXX on Windows when set, handle ccache.

This is to allow use of ccache by specifying something like:

  export CC="ccache C:/path/to/cl.exe"
  export CXX="ccache C:/patch/to/cl.exe"

before running ./autogen.sh

2011-04-15  Jan Holesovsky  <kendy@suse.cz>  [35146032664093e90c2841e50d76f569df2adeb5]

Detect the prefix of the cl.exe -showIncludes output.


2011-04-15  Jan Holesovsky  <kendy@suse.cz>  [002a0bc66923f9d8aec23f66678078b5c91bcae1]

Use cl.exe's -showIncludes to generate dependency files.


2011-04-15  Jan Holesovsky  <kendy@suse.cz>  [c1e16aa2c0820753b68de21977e4d518be5c958a]

Don't mention that we are updating autogen.lastrun.


2011-04-14  Caolán McNamara  <caolanm@redhat.com>  [937bbc5ae132c3df8c7878231ba58af8f2314aa2]

move this in here so that on windows we convert paths to win format


2011-04-14  Andras Timar  <atimar@novell.com>  [59333dfb0f34fa45bbaee8d9f136cef5d0a92b39]

check if file exists in *.po hook

otherwise a removed file would be recreated

2011-04-13  Petr Mladek  <pmladek@suse.cz>  [a4a010f22cbad7fafe6e48eab2ba2d17040635fe]

lo-commit-stat: add --rev-list option

+ use "git log" again to get weekly commit logs
+ use "git rev-list" only with --rev-list option; useful to list differences
  between branches

2011-04-13  Luboš Luňák  <l.lunak@suse.cz>  [2df0f0cacb7343016c67c0a9a9eeb4f77fa7bde2]

switch -ggdb3 to -ggdb2 to significantly reduce binaries sizes

http://lists.freedesktop.org/archives/libreoffice/2011-April/010408.html

2011-04-12  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [b0c9d9a03d607971564eeae2fe425e3f8c56dee0]

set STAR_RESOURCEPATH for cppunit tests to find resources from solver


2011-04-12  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [245917e14a087c13f5f562797bbf47c4a011a7d2]

add support for auxiliary arguments to the cppunit tests


2011-04-12  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [651b01cc6a793a6c2cecea7722327c7a97b09c5e]

fixing up extra object list support


2011-04-12  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [c5ba0e6e68ec768762ffe5d62d33b1d29446af93]

make get_linktargetname public again so unittests can find the object lists


2011-04-12  Andras Timar  <atimar@novell.com>  [b65cdd9654aae2ccdd234df3b0a270859cabc955]

use git hook instead of gitattributes filter for *.po files


2011-04-11  Petr Mladek  <pmladek@suse.cz>  [47e175601c78c9111b55dba504351f2760efddbc]

Version 3.3.99.1, tag libreoffice-3.3.99.1 (3.4.0-beta1)


2011-04-11  Petr Mladek  <pmladek@suse.cz>  [2f3d5dd0245244872a9e3f06df2f49c651f54211]

lo-commit-stat: allow to list commits between branches

use "git rev-list --pretty=medium" instead of "git log"
to be able to use origin/libreoffice-3-4 ^origin/libreoffice-3-3
to generate list of changes that are in 3.4 but not in 3.3

2011-04-11  Petr Mladek  <pmladek@suse.cz>  [96fc454756060d5c4f180338cbbd0dfd56140849]

set SHORT_PRODUCTEXTENSION to beta1


2011-04-11  Petr Mladek  <pmladek@suse.cz>  [fbda20563e694095dcb531ea6cc52045922a0e30]

allow to download and unpack official source tarballs


2011-04-11  Petr Mladek  <pmladek@suse.cz>  [00528cd7f5511feabdeeb35299e94c362cfdee92]

lo-pack-sources: generate bootstrap.ver profile

FIXME: we should find another way to tell dowload the right version
of used sources

2011-04-11  Andras Timar  <atimar@novell.com>  [e1021e686c9dd3344972657dfdd018ecca67183e]

let the 'kid' language code (Key ID build) pass configure check


2011-04-11  Petr Mladek  <pmladek@suse.cz>  [f68aa64c2cbe1b4d3ac8d4eb18af3b38c8f7e761]

lo-pack-sources: new script to generate source tarballs

based on libreoffice/build/bin/lo-pack-sources; still need some clean up

2011-04-10  Andras Timar  <atimar@novell.com>  [91670e709e8037d272a3a5335cc7aee2c1c570bf]

add the missing strings for Burmese (my)


2011-04-10  Andras Timar  <atimar@novell.com>  [ee6e1f08a4cc355fd8aa81448217fde70beb6124]

replace NS to NSO (language code changed)


2011-04-10  Andras Timar  <atimar@novell.com>  [f496b6a4f70cb734db73ac69619d1d6cc28043d0]

replace BE_BY to BE (language code changed)


2011-04-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8c4aa092ef4ed190d1d79d7c0b3b782de61d0b6b]

remove obsolete configure options + fix system_xrender_headers vs system_xrender


2011-04-08  Andras Timar  <atimar@novell.com>  [01519f7c68b3681a4a1e415fd74edcbc28181fc7]

s/OOo/LibreOffice/ in a printed string


2011-04-08  Tor Lillqvist  <tlillqvist@novell.com>  [d1ecc7b21cb04711e6e81aa87078bcdd39557685]

Remove ENABLE_PRESENTER_EXTRA_UI from here, too


2011-04-08  Tor Lillqvist  <tlillqvist@novell.com>  [f387462eb7b98379a94a29f6c6d27619d93fb55d]

Don't worry if there is no distro-configs/Foo.conf

The --with-distro options might come from bin/build-ooo in a "build"
style build, and in that case, the relevant configure options are
already on the command line, too.

2011-04-08  Tor Lillqvist  <tlillqvist@novell.com>  [0a576bd2769a2e3ee4e069cd23a86c277d82d8c3]

Make the list of valid distros show up also in slightly older Perl versions

See http://perldoc.perl.org/functions/readdir.html .

2011-04-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [59202e410a98379d74ebf9f2f631a5c785840fd5]

Some more defaults to LibreOfficeLinux distro config


2011-04-08  Tor Lillqvist  <tlillqvist@novell.com>  [bb4a8d8c49baf3b1e4ef6ab8aa5548902df9e639]

Don't attempt to show release notes after installing, fdo#31023


2011-04-08  Tor Lillqvist  <tlillqvist@novell.com>  [485a6c0a08f27cb24d59aa8f66af68d8123e9d4f]

chmod -x


2011-04-08  Tor Lillqvist  <tlillqvist@novell.com>  [a5ac2d7055eb16b511a9e3053113a439816774c5]

Don't attempt to show release notes after installing, fdo#31023


2011-04-08  Thorsten Behrens  <tbehrens@novell.com>  [e6b51ac0058045f28ca38919704187d71c49cca1]

Removed PRESENTER_EXTRA_UI for good


2011-04-07  Robert Nagy  <robert@openbsd.org>  [d32d36c15b96c4dedad919447e092dd63627529b]

no need to quote vendor anymore


2011-04-07  Robert Nagy  <robert@openbsd.org>  [369dcd61731a391993d1c7977dfc8d85c21b56e9]

add an OpenBSD distro config


2011-04-07  Robert Nagy  <robert@openbsd.org>  [9ec5af6243ae890102ba9f585968278bd7d60825]

use system cp as a fallback for *BSD too


2011-04-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [62b3fe2fa97e3943b1f081659cc3e8370fbe573d]

No need to quote anymore


2011-04-07  Norbert Thiebaud  <nthiebaud@gmail.com>  [6b07846fc00751bf69c457e47e77369688e76038]

fix the autogen perl wrapper: mishandling of the Darwins-pecific aclocal

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-04-07  Jan Holesovsky  <kendy@suse.cz>  [8045815c552f3bdf40ec718cb1b6f6f831c7abfa]

Migrate the old autogen.lastrun format to the new one automatically.

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-04-07  Michael Meeks  <michael.meeks@novell.com>  [cf24e38cc174d25815b2b51d323d1905acd38695]

re-write into perl, to reduce ninja-coding, and fix distro-config bug

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-04-07  Tor Lillqvist  <tlillqvist@novell.com>  [defbfe27a8ca384be2b4f2cabd7ead1036b926e7]

Must export also WITH_AGFA_MONOTYPE_FONTS


2011-04-06  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [d421ddb805a0f1ea819908fb7865883812ba1682]

add lomenubar lib


2011-04-06  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [1f09dd9b7fc8d902042ebbc575904c0e39fc931b]

add lomenubar lib


2011-04-06  Petr Mladek  <pmladek@suse.cz>  [34e8665b5d3544c48086701d9f758ef0b9d900f8]

Fall back to --hash-style=sysv when gnu is not supported

Based on patch by Francois Tigeot <ftigeot at wolfpond dot org>

2011-04-06  Tor Lillqvist  <tlillqvist@novell.com>  [e9cbbdc20c3a8c2d4748883be23d7cf5a7ecd457]

Add possibility to bundle some Agfa Monotype fonts

Based on the old novell-win32-agfa-monotype-fonts.diff patch.

2011-04-05  Petr Mladek  <pmladek@suse.cz>  [74fa8f56016d815d8f7c04786b5a6cc33d755150]

Merge branch 'libreoffice-3-4' of ssh://git.freedesktop.org/git/libreoffice/bootstrap into libreoffice-3-4


2011-04-05  Michael Meeks  <michael.meeks@novell.com>  [6b2e030071be554c7d34920a0b5d1edd87a2b1bf]

re-write symlinks too to avoid serious confusion


2011-04-05  Michael Meeks  <michael.meeks@novell.com>  [e63a7449a5ba2b572dbc822b489727cb60956e9f]

fix relocate to re-write the new dependency files


2011-04-05  Robert Nagy  <robert@openbsd.org>  [72724ef0c4996eee4e8ef79a5b72944779c70c2a]

use the GNUMAKE environment variable for telling the user what to run


2011-04-05  Petr Mladek  <pmladek@suse.cz>  [db3b9f257d716239cb73fa6a1cd866b0c6ff771b]

Merge remote-tracking branch 'origin/libreoffice-3-3' into libreoffice-3-4

Conflicts:
	instsetoo_native/util/openoffice.lst
	solenv/inc/minor.mk

2011-04-05  Robert Nagy  <robert@openbsd.org>  [00e44fe20767db5a0e777ff7b4176a7079053032]

Merge branch 'libreoffice-3-4' of git://anongit.freedesktop.org/git/libreoffice/bootstrap into libreoffice-3-4


2011-04-05  Robert Nagy  <robert@openbsd.org>  [2b03888a918b7020a1f9330686dc531222057573]

fix linking to the python library (use -L$PYLIBDIR -lpython$pyver)

as far as i saw the reason to use an absolute path for linking instead
of using -lpythonX.XX is that at least debian does not ship a shared
object within the basic python3 package so you have to install the -dev
package (that's kinda weird^H^H^H^H^Hf***ed up).

2011-04-05  Tor Lillqvist  <tlillqvist@novell.com>  [bd88391398f8305faaac7a9e636b33b58b3fd374]

Add two new lines to .versionrc (version.ini on Windows)

"Vendor" with the value of OOO_VENDOR, and "BuildVersion" with the
value of BUILD_VER_STRING. These get their values from the
--with-vendor and --with-build-version switches of the configure
script.

From the build-identification.diff patch, has been part of distro
OOo/LO builds for long.

2011-04-05  Petr Mladek  <pmladek@suse.cz>  [1492720646d125b338fd341f756afdf78a145401]

bump product version to 3.3.2rc2, release number to 202


2011-04-05  Tor Lillqvist  <tlillqvist@novell.com>  [c2dbf7be7d51f7957770ab0d6bbe84e614913750]

Recognize also Interix

I did some initial testing with building under Interix some years
ago. Nothing came out of it, and LibreOffice certainly won't build
with it. But just commit this triviality now to get rid of
win32-interix.diff in the build repo.

2011-04-05  Tor Lillqvist  <tlillqvist@novell.com>  [84724f5b8a45c2d74432d336fa1d544b57967f30]

bnc#530872: Save old associations for MS doc types when installing

Then restore them, if still relevant, when uninstalling LibreOffice.

git log from build repository:
commit 1737ec9b6675cc7e30df03fa5537012a429425bb
Author: Tor Lillqvist <tlillqvist@novell.com>
Date:   Thu Oct 14 15:28:55 2010 +0300

    Make win32-restore-associations.diff apply again

commit 72a25ab4a055cd1d3cf5aec627cfe120113bfb34
Author: Tor Lillqvist <tlillqvist@novell.com>
Date:   Thu May 20 10:34:24 2010 +0300

    Make patches apply for a Windows build

commit d635f716a75d8c1648eab0c1d598b390be8c4f07
Author: Tor Lillqvist <tlillqvist@novell.com>
Date:   Thu Sep 17 22:16:40 2009 +0300

    Add new patch to restore MSO file associations on uninstall

    * patches/dev300/apply: Add it to Win32Only

    * patches/dev300/win32-restore-associations.diff: New file. Save
      previous associations of the MS Office file formats on installation
      of OOo. On uninstallation of OOo, restore them. Still a bit
      experimental, but seems to work.

2011-04-05  Petr Mladek  <pmladek@suse.cz>  [918685b04662b23855efd486e0fe9e7b438176c2]

make sure that the system po2oo support --skipsource option


2011-04-04  Alexander Thurgood  <alex.thurgood@gmail.com>  [893dcc8225bca7701400cf25578ecf06f9b87b9f]

remove invalid - symbols in par token names


2011-04-04  Michael Meeks  <michael.meeks@novell.com>  [fe1ab87715705a6da447d1216ff708589fcc1db2]

friendlier error on malformed par files


2011-04-04  Andreas Becker  <atayoohoo@googlemail.com>  [6c3539d8e1dbad13264b862e1344e3c3a8690dec]

python 3 compatibility fixes


2011-04-04  Petr Mladek  <pmladek@suse.cz>  [d0716fc3ba8e27405c1f429a288ec94e4a0f31e2]

check that all configured localizations are supported

a side effect is ALL_LANGS variable

2011-04-04  Petr Mladek  <pmladek@suse.cz>  [5c06f5c95d93502a10c0079daff025fc5c8e0e8f]

lo-commit-stat: do stat also from the new "translations" repo


2011-04-04  Robert Nagy  <robert@openbsd.org>  [0a072026bd18f8b124a632758276f6e285f1d936]

rework how pthread is handled on openbsd

- remove -pthread from PTHREAD_CFLAGS
- add pthread to gb_STDLIBS
- redefine gb_LinkTarget__command_dynamiclink so that we can
  substitute -lpthread with -pthread in the list of libraries
  that we link to

2011-04-03  Robert Nagy  <robert@openbsd.org>  [b03d497b90a5d3a5d4315f2becb53378119a11a1]

merge the bsd platform makefiles into one per platform


2011-04-03  Robert Nagy  <robert@openbsd.org>  [31332503a7a297f6a6f8c6bf765017171288f6cf]

add -Wl,--sysroot=$(SYSBASE) to gb_LinkTarget_LDFLAGS only if SYSBASE is !nil


2011-04-03  Robert Nagy  <robert@openbsd.org>  [4e1fe06748aab61cd9742e41bd8b2a36b8e4d26d]

filter some library names on *BSD too just like on LINUX


2011-04-01  Petr Mladek  <pmladek@suse.cz>  [fd1e12519877c4e11949655b16b0a6d11b9c52cb]

Branch libreoffice-3-4

This is 'libreoffice-3-4' - the stable branch for the 3.4.x releases

    + only bug fixes are allowed
    + no approval needed during beta phase (two weeks after branch)
    + 1 approval needed during rc phase and for bugfix releases
    + 2 approvals with different/no affiliation needed for late features
    + regularly merged into master by a selected person when living

Please watch http://wiki.documentfoundation.org/ReleasePlan
and read announces on libreoffice@lists.freedesktop.org

If you want to build something cool, unstable, and risky, use master.

2011-04-01  Petr Mladek  <pmladek@suse.cz>  [e2a11216fd062ba0d67fab582c85367cf3333bb7]

add ct2n and translations into .gitignore


2011-04-01  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [3726b1a63e0783953fee9c65d8c0cee3fd6cf85b]

skip Junit test, when no Junit available


2011-03-31  Petr Mladek  <pmladek@suse.cz>  [b2faaf2c6e1cbb566237ffddb1edf642f037ff28]

search moc4 in $QT4DIR/bin before searching $PATH


2011-03-31  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [7e48a023a1b827a8806570b1831773975f43938e]

adding lomenubar lib


2011-03-31  Petr Mladek  <pmladek@suse.cz>  [c868bf3768959b50df16f0611a606f0cb3f07037]

add rule how to unpack .oxt files

useful to update a 3rd party one

2011-03-31  Caolán McNamara  <caolanm@redhat.com>  [ae0fa481bc921630d62c147ddf64d649c1edffd7]

pull correct jfreereport sources


2011-03-31  Caolán McNamara  <caolanm@redhat.com>  [31acf8071c5dba5032d53210cf04b80ece0c8546]

we only need the java lib path to link bean


2011-03-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [501c22a837e1bc0b87213c0ebf912ca395e6404f]

sal_textenc3 is not really an uno component, mmeeks dixit


2011-03-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4ec7e5c8034948a9c1eca14abdc05daacc4ef2ed]

fix windows packaging of sal_textenc3.dll


2011-03-31  Tor Lillqvist  <tlillqvist@novell.com>  [5bccde7384d9c1f34ea296a26e86cb537d2a4d32]

Don't check the directories for uniqueness multiple times

Wen building a multi-language installer the subroutine
create_unique_directorynames() is called for each language. The same
directory names will be traversed each time. It needs to check the
uniqueness of them only the first time, otherwise it will think every
directory name is repeated.

The check is new, from OOo, but they don't build multi-language
installers so they have not noticed this problem.

The solution is a bit hacky but works.

2011-03-31  Tor Lillqvist  <tlillqvist@novell.com>  [b26c20622ac60198de05ecdcb8b9ae6ff6348879]

Rename shellnew2 to 2shellnew

The "DosName" property of a directory item must apparently be unique
in first five chars, sigh. See the lovely code in
solenv/bin/modules/installer/windows/directory.pm, the
create_unique_directorynames subroutine, check for $startlength.

2011-03-30  Petr Mladek  <pmladek@suse.cz>  [2b5cd9f3ee7fab72084f1316eae465007e511076]

rename --with-ct2n to --enable-ext-ct2n configure option

to be in sync with other extensions

2011-03-30  Petr Mladek  <pmladek@suse.cz>  [70ca84aa95caabc366899427ffab094aaa9d5a6b]

download 451ccf439a36a568653b024534669971-ConvertTextToNumber-1.3.2.oxt

needed for the optional ConvertTextToNumber extension

2011-03-30  Petr Mladek  <pmladek@suse.cz>  [f35ebd67d3b706027de04b4a140c975a9b700acd]

sdk-gid-module-name.diff: rename module name to gid_Module_Root_SDK (i#64802)

so the generated list of files does not conflict with the main package

2011-03-30  Petr Mladek  <pmladek@suse.cz>  [3caf4c2b7b882da223564ff4105ddb162c5e4862]

solenv-dummy-localize-sdf.diff: make the dummy localize.sdf working (i#113389)


2011-03-30  Petr Mladek  <pmladek@suse.cz>  [5cb39f0b1fd2cf464d1c9b4405059911944033c6]

solenv-installer-lang-filelist-names.diff: avoid double lang string

do not print twice the lang name in the filelist
for example, generate gid_Module_Langpack_Basis_es instead of
gid_Module_Langpack_Basis_es.es

2011-03-30  Petr Mladek  <pmladek@suse.cz>  [b9ba2b739ae709d3b7586aa80e2c86350e92344f]

solenv-installer-cleaner-paths.diff: do not create '.' subdirectories

omit './' in paths

2011-03-30  Caolán McNamara  <caolanm@redhat.com>  [652ff366bd106f94960917930a976c883367ba16]

set default system-zlib/jpeg on some platforms


2011-03-30  Caolán McNamara  <caolanm@redhat.com>  [9399817c1464f82cbf3a6b944c7896dcb294fda2]

default to system zlib on contemporary unices


2011-03-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [32613afdd71729a858781a785f2e9354987165b3]

Use the right name for a library, so that it knows when we refer to it


2011-03-30  Tor Lillqvist  <tlillqvist@novell.com>  [907ba43b1dd9bae9d5c577f566124d1129309eb7]

Kill solenv/config once more


2011-03-30  Petr Mladek  <pmladek@suse.cz>  [cf4c24ee253af53027dcb5789b5cbd02cd2548aa]

build-ant-1.6.diff: MediaWiki can be built with ant 1.6 now


2011-03-30  Tor Lillqvist  <tlillqvist@novell.com>  [3568c1db6ad2715c37005f9625c81e6d018c0fdb]

Move code inserted in previous commit to correct place


2011-03-30  Tor Lillqvist  <tlillqvist@novell.com>  [8efad18a67c6442926516ca33da7df2c45b8ca76]

Don't pass a Cygwin path no a non-Cygwin program


2011-03-30  Jan Holesovsky  <kendy@suse.cz>  [9d91d41bc8696a5bad461211d60eea58297a6a67]

Build with no optimizations already with dbglevel == 1.

Based on talk with David Tardod, the dbglevels are supposed to be:

0 - product
1 - debug
2 - advanced debug (with additional code)

2011-03-30  David Tardon  <dtardon@redhat.com>  [4e3a7f56438149a7cb2275d1f347b0b71a19a9b3]

safer way to set debug level


2011-03-30  David Tardon  <dtardon@redhat.com>  [4deb62af2f4ddd0ec195a3f8600a42f2e6c70ee2]

Revert "Default to debuglevel 2 when building with debug=true (using gnu make)."

This reverts commit 8fe706327e09764c46dc1813f5e583857fca3d05.

2011-03-29  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [52b28a69c2d876d19920b02c58e110c40850c10e]

enable headless Junit tests and default to that


2011-03-29  Jan Holesovsky  <kendy@suse.cz>  [8fe706327e09764c46dc1813f5e583857fca3d05]

Default to debuglevel 2 when building with debug=true (using gnu make).


2011-03-29  Jan Holesovsky  <kendy@suse.cz>  [da4cb85c2f6ab89db0f24b32d9939fe9abbea200]

Add also Windows version of PACKAGE2 lib.


2011-03-29  Peter Jentsch  <pjotr@guineapics.de>  [3e60b73597b7a543bb9fb87ba86a96dba356e887]

added package2 linker flag constant to libs.mk


2011-03-29  Petr Mladek  <pmladek@suse.cz>  [83b781819557f269fda65ce551ec9a008fade511]

use --hash-style=gnu linking when supported


2011-03-28  Kohei Yoshida  <kyoshida@novell.com>  [a036fbfbc3bf0ecb80696e651bb80ea81b251c44]

Updated mdds to 0.5.2.


2011-03-28  Petr Mladek  <pmladek@suse.cz>  [50d9082a6df5dcbc4547825adde06b7bf6e2aa1a]

lo-commit-stat: print summary into log a file

the generated log file name is:

+ commit-log-<branch>-<log-suffix>.log by default
+ bugfixes-<branch>-<suffix>.log with the --bugs option

, where <branch is automatically detected; <suffix> is defined by the
--log-suffix=<suffix> option

2011-03-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [e9a8e1c0c83389be6751e566be82ac8d3ec3e163]

added gbuild help message


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [49bcec0120de8014427e5bbe318ecba4498949fd]

overloaded-virtual is a c++ option not a c one


2011-03-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [f085be90d0e3fef81c20cb54e2fa67ef42980936]

getting reid of the perl cruft in all


2011-03-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [1e870d258539a17202de4446c811c44312dd7775]

remove old build system cruft from subsequenttests


2011-03-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [db043b4937953b0141fbd9b80251b1791aa2ab86]

activate subsequentcheck modules globally


2011-03-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [90fb560dd7cb8f6de229b31f04737869c1cf60aa]

register test library


2011-03-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [98703389a6d24b9aa2825969fe491fbbea5c1432]

handle empty JavaClassSets gracefully


2011-03-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [4130016c38545719923e0badb2a7ccc4e5016205]

do not depend on an uptodate build for subsequentcheck for now


2011-03-27  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [80d165cc1c2662adb734f27274941269b45480a7]

no sneaky JAVACOMPILER/JAVAINTERPRETER defaults

 * we want no sneaky default values for JAVACOMPILER/JAVAINTERPRETER, we have ./configure

2011-03-27  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [8b7376457f0af2917eb54590bcbb3d4c56611b0e]

adding a comment documenting Module.mk


2011-03-27  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [ef9ae6fd62b2da46a2d811bf0ec747df3d8b816d]

adding a comment documenting LinkTarget.mk


2011-03-27  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [d84057f21d41277e009595c4c65826af5798f61a]

adding a comment documenting AllLangResTarget.mk


2011-03-27  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [451a5adc67647d647a2dfb86baf2217f308e6a24]

fix regression introduced with 37705446d2eec207d9e0e3d39997792229fb8b1f

 * l10n should now work again (thanks timar for the hint)

2011-03-26  Andras Timar  <timar@fsf.hu>  [e934c1dc9085b972e4610570ab7be741b2ad22a1]

Revert "for l10n, we should actually use the merged files"

This reverts commit 58c163ab45d0cf7684a6a5feb0ec0076015bea3f.

2011-03-26  Norbert Thiebaud  <nthiebaud@gmail.com>  [53755a9651c553f5cba00c10efbaf702dececa3a]

harmomized the vbaobj library names with sw use and gnumake expectation


2011-03-26  Norbert Thiebaud  <nthiebaud@gmail.com>  [52a26d9c1e002fc44bc3854997502756dcb43126]

add starmath libraries to Repository.mk


2011-03-26  Norbert Thiebaud  <nthiebaud@gmail.com>  [69f2482522107103afe8d65147e8a1b5b0da446f]

add library declaration for sc gnumake


2011-03-26  Caolán McNamara  <caolanm@redhat.com>  [61e8de1fd8e5001a5770236b41636267f672e578]

add translate_toolkit to .gitignore


2011-03-26  Caolán McNamara  <caolanm@redhat.com>  [a053405c87afa8e64a5b2ad3c04aca64c38a7c22]

we can build with strict-aliasing with >= 4.6.0 now


2011-03-26  Caolán McNamara  <caolanm@redhat.com>  [67d5d657d1353d6d1324b32cbbc1fae6e675f1b3]

-fno-use-cxa-atexit is dubious IMO


2011-03-26  Andras Timar  <timar@fsf.hu>  [3c58072612bc8e1ff28f928c1a50f69e3062b3b3]

remove localized palettes

they will be localized within the standard l10n framework

2011-03-26  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [58c163ab45d0cf7684a6a5feb0ec0076015bea3f]

for l10n, we should actually use the merged files


2011-03-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [64777a2e984c198fd5eea125f4cc7d38d06dc7af]

Adapt the tree to tools/svwin.h removal


2011-03-25  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [d7fd9647b2b38b3c658d1a199e9f43b04bd2fa4f]

hacking way to reenable subsequenttests


2011-03-25  Luboš Luňák  <l.lunak@suse.cz>  [13b5afa22516a4e5c3ff85adc2077b0d9191b79f]

enable -Woverloaded-virtual gcc warning

http://lists.freedesktop.org/archives/libreoffice/2011-March/009567.html

2011-03-25  Michael Meeks  <michael.meeks@novell.com>  [af13cbe1bb5559571e73ad7b8ccc706a2b441547]

remove re-definition of BUILD_TYPE warning


2011-03-25  Francois Tigeot  <ftigeot@wolfpond.org>  [07465c15d92fae5d33cdc650822f42e9bccefabd]

Consolidate all platform/dragonfly-*.mk in a single file.


2011-03-25  Francois Tigeot  <ftigeot@wolfpond.org>  [e423e5d6da697e8212de3330b977d31a502a669d]

Add support for i386.


2011-03-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [085336743d008b8c5bcb1c86f15cbff4ce61238f]

Unix splash only for Unix


2011-03-25  Caolán McNamara  <caolanm@redhat.com>  [f61a25cbb1305f8227bd747de9617073882e4d3a]

add in the bsds


2011-03-25  Caolán McNamara  <caolanm@redhat.com>  [d7473c6a6a3b3e465765ea130621ac4f0ce3fc16]

powerpc uses two defs


2011-03-25  Caolán McNamara  <caolanm@redhat.com>  [d223e660f3a4abc3c3a205aa84f4a07f790cc58f]

add unxlngppc to gitignore


2011-03-25  Caolán McNamara  <caolanm@redhat.com>  [ff9f900eaef102e9dcb4c1bc305893c8364857ee]

regain support for arm, ppc, s390x etc.


2011-03-25  Andras Timar  <timar@fsf.hu>  [2aa374a0bf2a9fe5dcdc5ff26fc5d787a0354599]

fix language codes: be-BY -> be, ns -> nso


2011-03-25  Andras Timar  <timar@fsf.hu>  [c3d7753614fa2fde2ef99c929ce1384559365c83]

fix language codes: be-BY -> be, ns -> nso


2011-03-25  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [c36b318aa9676df6f1c7752b8f835e6d9e342052]

fixing installation paths for subsequent tests


2011-03-25  Petr Mladek  <pmladek@suse.cz>  [f6772e091ac55e52f7bf7515cab6f4c66c02dd72]

new --with-system-translate-toolkit configure option


2011-03-25  Petr Mladek  <pmladek@suse.cz>  [4dd33925da72bd790bb7adf2176ba637304869e3]

download translate-toolkit-1.8.1.tar.bz2


2011-03-25  Petr Mladek  <pmladek@suse.cz>  [03b89c4b4914a205097129daf6f1af40d7020294]

search localized strings in the new "translations" module also by GNU make


2011-03-25  Petr Mladek  <pmladek@suse.cz>  [463a21059f58071806a1fcb049fda2418bc66e10]

set build depencencies against the new "translations" module


2011-03-25  Petr Mladek  <pmladek@suse.cz>  [f5eb716bb5aab011a003b13cf7afd510e444879f]

search translated strings in the new "translations" module


2011-03-25  Petr Mladek  <pmladek@suse.cz>  [14eb6ceb73ac107d3e7870805eb497782357915a]

download "traslations" instead of "l10n" repo

the new one stores strings as in PO files

2011-03-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7b6910ffbd94554231afa0ca2af1869befd25449]

Some realpath foo to build resource files


2011-03-25  Michael Meeks  <michael.meeks@novell.com>  [64c0abfd4ab6477b15a91b0bf8dc12706bc167c9]

disable spl_unx distribution for mac


2011-03-24  Jan Holesovsky  <kendy@suse.cz>  [a376c9257d555a9ddf0bfc17be4166fc81e1ff37]

Kill the remnants of the PAM removal (--enable-crypt-link and CRYPT_LINK).


2011-03-24  Michael Meeks  <michael.meeks@novell.com>  [9edbd37cdd2267a21840925dfdfce00d41eb63da]

merge size-sal-textenc i#70166


2011-03-24  Caolán McNamara  <caolanm@redhat.com>  [c728a835fcefc00d95e0a6730cd1ef4baf33eb96]

add smoketestdoc to .gitignore


2011-03-24  Rafael Dominguez  <venccsralph@gmail.com>  [85d2895cfd3db2e26aac8e13c7623c1b43bf154d]

Remove unused macro.


2011-03-24  Thorsten Behrens  <tbehrens@novell.com>  [5c141156fe22118c213c922fe3d4e9e841eea25c]

Bin explicit checking for extension subdirs

This breaks badly on pristine checkouts (that don't yet have the
other repos cloned, and symlinked into the src tree). Should only
be a prob for packagers, and they usually know what to do.

2011-03-23  Andras Timar  <timar@fsf.hu>  [41da20d61f50eefb0b106893ee815800c386c827]

set .gitattributes filter for *.po files


2011-03-23  Andras Timar  <timar@fsf.hu>  [c547426b1dc0b355409d6eba1b7a498b99fb1cd1]

remove duplicated Occitan entry


2011-03-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f3efd2bb24fc420c2ed53b3bf8f96f280cc81b4c]

Add advapi32 to gd_STDLIBS, since it not linked with by default


2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [93074efb59ea8ab730d0728b47725ef0cbed97af]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/bootstrap


2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [402d72bb06b943873ca157207231f74c375f79d1]

Merge commit 'ooo/DEV300_m103'

Conflicts:
	configure
	configure.in
	instsetoo_native/util/openoffice.lst
	set_soenv.in
	solenv/bin/cws.pl
	solenv/bin/modules/installer/simplepackage.pm
	solenv/gbuild/LinkTarget.mk
	solenv/gbuild/extensions/post_PackModule.mk
	solenv/gbuild/platform/linux.mk
	solenv/gbuild/platform/macosx.mk
	solenv/gbuild/platform/windows.mk
	solenv/inc/installationtest.mk
	solenv/inc/minor.mk
	soltools/cpp/_eval.c

2011-03-23  Tor Lillqvist  <tlillqvist@novell.com>  [2ca58ada60459e415c996acbd56cda33a81309fb]

Drop linker switch -DLL, should not be used when linking EXEs


2011-03-22  Petr Mladek  <pmladek@suse.cz>  [b936aeca6e5b753fe627f8f607608bba45d5cb0f]

build fix: find intro.zip when generating installation sets

intro.zip is not longer in the brand subdirectory

2011-03-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ec64e50147a1df39a841c9eb64e26f976d856377]

Reverting what should be reverted and leaving what should be left


2011-03-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3419c2e7e61513d1635b6e235212360d40ebae8d]

This should not be hurting anybody


2011-03-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f7842e2f606cda840d05d42a3b4f0053b4193e14]

oops


2011-03-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bce7488354967cd3a2232c6fda33575849557ac4]

And yet one another windows build environment tweak


2011-03-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [15cd1aee5735a2dff48d964aaf8e41be6e3e2739]

And yet one more attempt


2011-03-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [580a27938ce23b1981c816ce9814618f8ab55a60]

Yet another attempt


2011-03-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [248b88150b99c1212a1bc5730ece9f19823f584b]

Another attempt at linking on windows


2011-03-22  Caolán McNamara  <caolanm@redhat.com>  [006c3f5707418f5f53c725d4c8e905a857547600]

drop -g1 and align gmake gd_SYMBOL from TRUE


2011-03-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [559b710c291678ee58fa6c114966eb42091c87bc]

Trying to remove NODEFAULTLIB on Windows


2011-03-22  Michael Meeks  <michael.meeks@novell.com>  [40eec05c38b622940b818a49b592158d85daf7e3]

disable pagein and oosplash.bin compile/install for Mac


2011-03-21  Francois Tigeot  <ftigeot@wolfpond.org>  [573dc169fd3f91662d42f5ceb6dacf09f3096f59]

Treat DragonFly as Linux.

The new build system has introduced some new operating system
conditionals. Use the same path as Linux on DragonFly for now.

2011-03-21  Michael Meeks  <michael.meeks@novell.com>  [f1d31a33738ed6399e8c28ecc2245a990760ba17]

use the unix quickstarter un-conditionally.


2011-03-21  Robert Nagy  <robert@openbsd.org>  [3a148bfe6fab8707597ce135759e5d5466115466]

openbsd build fixes

- check for the correct kde and qt libraries
- rework the gnu cp check logic so that it works with older
versions of fileutils too

2011-03-21  Petr Mladek  <pmladek@suse.cz>  [01c7d9ef019c548ee5f94b3001932359a56ae450]

download: update name of more external tarballs

f7925ba8491fe570e5164d2c72791358-libfonts.zip
a06a496d7a43cbdc35e69dbe678efadb-libloader.zip
67b42915c8432abf0a922438f00860a2-libxml.zip
f3e2febd267c8e4b13df00dac211dd6d-flute.zip
79600e696a98ff95c2eba976f7a8dfbb-liblayout.zip
5aba06ede2daa9f2c11892fbd7bc3057-libserializer.zip

2011-03-21  Petr Mladek  <pmladek@suse.cz>  [dda3204df3103fb67c67824a983484c6418dea60]

download: update name of librepository.zip in ooo.lst


2011-03-21  Petr Mladek  <pmladek@suse.cz>  [5d8debcc3547e2ace606d901c82b400c77e1b8e7]

download: update name of libbase.zip in ooo.lst


2011-03-21  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [681c3fad7240cca5c04dd71117a8d22a3a830704]

enable optional deliver by hardlink with gb_Deliver_HARDLINK


2011-03-21  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [1ed2342c1e33c28ad048205c4a708fe7b39bfb17]

stripping on linking on linux unless SYMBOLS or DEBUG have been requested


2011-03-21  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [87ec325107b37dcdec0b83fb8a0629d5242dcc6c]

fixing gb_SYMBOL logic


2011-03-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [db9e41e9661335683acbddeb3f9a5d91818ebfe0]

Add some distro-configs from build repository


2011-03-21  David Tardon  <dtardon@redhat.com>  [2cebb7028e169e3b17523af6590ce3a56e4a4ac2]

accept user-supplied CFLAGS/CXXFLAGS


2011-03-20  Caolán McNamara  <caolanm@redhat.com>  [0f66cfed5b972913d7745eab5c1d6faca3c9c4bb]

missing 'End', which is why the smoketest failed


2011-03-19  David Tardon  <dtardon@redhat.com>  [3eeb7796289a75a90583f99900e2918dbcecfbcd]

make default debug level 1 and use dbglevel if set


2011-03-19  David Tardon  <dtardon@redhat.com>  [f55ff564a217017598d84caecff7da559d702cb3]

do not build cppunit if not needed

Suggested by Bjoern Michaelsen.

2011-03-19  David Tardon  <dtardon@redhat.com>  [9a2263d9600b78c3654c0b2ee303a73aceb2869d]

second attempt


2011-03-19  David Tardon  <dtardon@redhat.com>  [8c668b8a398d686e30fe999dc4b06aa7004725fb]

use system cppunit if configured so


2011-03-18  Thorsten Behrens  <tbehrens@novell.com>  [d8a18f32db0b4b016e08c93c0b00e3c7e95028ea]

Remove removed datacarrier from makefile


2011-03-18  Tor Lillqvist  <tlillqvist@novell.com>  [38f74085cfdcd2dd30b83a6d5bf572dd00e291b1]

Avoid unnecessary PATH manipulation for exes located in OUTDIR/bin

svidl.exe, transex3.exe and xsltproc.exe are themselves in
${OUTDIR}/bin, so no need to add that directory to PATH when running
them. They will find the DLLs they need from there automatically
anyway.

Besides, the PATH manipulation was wrong as OUTDIR here is a Win32
pathname, starting with a drive letter and colon, while PATH is the
Cygwin one that contains Cygwin pathnames with no drive letters and
with colon as the search path separator. Thus a cygpath -u
transformation of OUTDIR would have been needed to actually make it do
what was intended.

2011-03-18  Thorsten Behrens  <tbehrens@novell.com>  [b587f61a264a0bc364e3b0fb7524fcf6ce47c240]

Remove undefined DataCarrier entries from scp2

Michael's fixes turned those into build breaker

2011-03-18  Michael Meeks  <michael.meeks@novell.com>  [130ff7cb182ab655fb90f95aaef4ad8b6eb83d28]

fix scp2 errors, re-factor, accelerate, and add error detection to parser


2011-03-18  Thorsten Behrens  <tbehrens@novell.com>  [9180f7f0b332876e49a53c8856b44d42f8710155]

Fix ppt and wpg import

There's no STD_UNO_LIB_FILE_PATCH anymore

2011-03-18  Tor Lillqvist  <tlillqvist@novell.com>  [d6d04f08e08d8ebc67bf7e196f180500589e2810]

Set PATH properly when running cppunittester


2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [377f9f1aa9b4f6f18b889f443e149a08569363bd]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/bootstrap


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [8a4d66d9af417306ba438e4f91d4063dcf02ddb9]

output actual error message on failure


2011-03-18  obo  <obo@openoffice.org>  [446a2d2f7a311e4bc6c8dc32bc97bd8d97d47c89]

masterfix DEV300: #i10000# fix for LAN"


2011-03-17  Luboš Luňák  <l.lunak@suse.cz>  [33efa4a268dd57c77a95047ac048a98ce928bc42]

fix qt3/kde3 library finding

Partial revert of b490b1d298960d74be36f9a2c201c702b00bc2b4.
The linker uses only .so files, not .so.<something>.

2011-03-17  Jan Holesovsky  <kendy@suse.cz>  [973fa8afb1f973fb17efda34da68ec5488a87c4b]

Merge remote-tracking branch 'origin/integration/dev300_m101'

Conflicts:
	set_soenv.in

2011-03-17  Michael Meeks  <michael.meeks@novell.com>  [4fbace542bbc8f5e1b1ade4bef311ac69a194843]

add helper to set-up the libraries env, to run executable during build

Conflicts:

	solenv/gbuild/Helper.mk
	solenv/gbuild/platform/linux.mk
	solenv/gbuild/platform/windows.mk

2011-03-17  Tor Lillqvist  <tlillqvist@novell.com>  [ed1d272afede3da7d83c7b60de70231ca61eea62]

Sprinkle some realpath goodness here, too


2011-03-17  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [372aee5399b6e9bbf8871026720ca43d6d5fe6b8]

killing off stl in gbuild


2011-03-17  Tor Lillqvist  <tlillqvist@novell.com>  [787ff726b3fc657c044a0debc1bae822e93873b2]

No stlport used any more on Windows


2011-03-17  Tor Lillqvist  <tlillqvist@novell.com>  [d2c34efe434c152d913becd7a8abc0173bb010dd]

Add realpath calls

This avoids passing pathnames containing symlinks to non-Cygwin
programs. Calling realpath here hopefully means that we don't need to
explicitly expand the pathnames for the src files listed in the
*/AllLangResTarget_*.mk files.

2011-03-17  obo  <obo@openoffice.org>  [7e7d3bc67a52f98bb6e3c3ec918135a077edaf2b]

masterfix DEV300: #i10000# create misc/x64 directory missing


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [fe4b69e65a1aec5b45390eae65f998a047edbbae]

The WIN_FOO dance no longer needed


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [b99b04850eae0a602b096b36dda0f04b1d0a33dc]

The WIN_BOOL dance no longer needed and in fact causes compilation errors


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [cef51de4450adccfb433373d28ccb77b044483b5]

Revert "Revert "Xsltproc is a non-Cygwin program on Windows so use realpath""

This reverts commit 19bd92e4348b500c98b0da4230bfaf7d838133ab.

2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [9fc5d209ef5cd8554945ebb426faea753f805233]

Revert "Revert "Sprinkle more realpath calls""

This reverts commit a6b8a0d1e59abc52fa54ea2741837b7cde9c1731.

2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [1fca179c87b34815897b8a60680f6fe4e05d2d17]

Revert "Revert "Use realpath on the filename being compiled to expand Cygwin symlinks""

This reverts commit b4260a9b516241dd42d992cc148235e153a66d18.

2011-03-16  Release Engineering  <releng@openoffice.org>  [5854e09b062f7db8e6c24787e5521388ba899f30]

DEV300


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [b4260a9b516241dd42d992cc148235e153a66d18]

Revert "Use realpath on the filename being compiled to expand Cygwin symlinks"

This reverts commit 4c745207efbbd16e788a416b711703f0298a1ab3.

2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [a6b8a0d1e59abc52fa54ea2741837b7cde9c1731]

Revert "Sprinkle more realpath calls"

This reverts commit dc803980f04acba6bd0d4a1cdd9a75eb57cd8659.

2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [19bd92e4348b500c98b0da4230bfaf7d838133ab]

Revert "Xsltproc is a non-Cygwin program on Windows so use realpath"

This reverts commit 8593849221aa71dc5781f811b88d0205a718bdd1.

2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [8593849221aa71dc5781f811b88d0205a718bdd1]

Xsltproc is a non-Cygwin program on Windows so use realpath


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [62d089daba8263316971d037394210bb57b7c3f9]

Add msvcprt, too, wherever msvcrt is mentioned


2011-03-16  Miklos Vajna  <vmiklos@frugalware.org>  [2589385078d97cce3d4466be461980b7ee003441]

Introduce a single .gitattributes file in bootstrap


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [8054a020c5f4f4d739a26595cde439e0f0678c6e]

Remove unnecessary whitespace on empty line


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [1acd340af5c5f559decc6998bd32e6905ea89b1e]

Revert "Fix bogus line continuation and empty line spacing"

This reverts commit 66364955f47ce478c32325bafb22283fd47621c8.

2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [dc803980f04acba6bd0d4a1cdd9a75eb57cd8659]

Sprinkle more realpath calls


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [66364955f47ce478c32325bafb22283fd47621c8]

Fix bogus line continuation and empty line spacing


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [4c745207efbbd16e788a416b711703f0298a1ab3]

Use realpath on the filename being compiled to expand Cygwin symlinks


2011-03-16  obo  <obo@openoffice.org>  [ff892696d20de620deadf7864060d2c77643ad6e]

CWS-TOOLING: integrate CWS jl164


2011-03-16  obo  <obo@openoffice.org>  [62666a9b0b07380b28e6ad0b3df4c0f223ecef74]

CWS-TOOLING: integrate CWS l10n36


2011-03-16  obo  <obo@openoffice.org>  [df921235bf74355defd01a837af17c6fca1c91ce]

CWS-TOOLING: integrate CWS debuglevels


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [5f228840059ec0da8aa90fcee82e9ea9617cabae]

Define SOLAR_JAVA only when --with-java.


2011-03-15  Rene Engelhard  <rene@debian.org>  [c162deaf8933fd1ef5069a8f8ab453c5678fcd65]

make graphite2 check check for >= 0.9.3


2011-03-15  Jan Holesovsky  <kendy@suse.cz>  [233af7940f364252672c14f89b63e8ca01057756]

When linking, first specify -o's, then -l's.

Some linkers do not find some symbols otherwise.

2011-03-15  Michael Meeks  <michael.meeks@novell.com>  [6f43ac8652bf82050387a38f3ffdcdc420f5cf7e]

remove obsolete linkoo piece


2011-03-15  Norbert Thiebaud  <nthiebaud@gmail.com>  [6963ab2fd7f35282f30f7d41dbcfa53b5a255826]

add support for symbol=t in gnumake to build release code with symbol

It is needed to be able to build the release code with the debug symbol
and without disabling the build optimisations

setting symbol=xxx symbols=xxx SYMBOL=xxxx or SYMBOLS=xxx
where xxx is anything not purely spaces
will activate the generation of symbols

Note that this generation is implicit with debug=t.

2011-03-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1d853f134e106094d60bfe61e067e34e31885a85]

Downgrade icu to 4.4.2


2011-03-15  Tor Lillqvist  <tlillqvist@novell.com>  [4484a534250e1a8417f199847a15972910f2dbf0]

Revert "Revert "MSVC build creates icudt.lib""

This reverts commit 65a266c499def94ff6b169e8e8dade3207c7012a.

2011-03-15  Tor Lillqvist  <tlillqvist@novell.com>  [c9b40df2bf0443f32c04379594d17fd55939bbd2]

Revert "Let's try preferring MSVS2010/MSVC2010"

This reverts commit 8cd4be6de9889485948e2fea02efbc8d74e55642.

2011-03-15  Tor Lillqvist  <tlillqvist@novell.com>  [6da491d71913ecc6cbc626d7231a6103a8183d37]

Revert "Prefer .NET 4, do not bother with .NET 2"

This reverts commit ca448fbaf0b18edcfc809fcabcbcac51bb32f3b7.

2011-03-15  Tor Lillqvist  <tlillqvist@novell.com>  [65a266c499def94ff6b169e8e8dade3207c7012a]

Revert "MSVC build creates icudt.lib"

This reverts commit 15b8ac2a753c8080549f7f0cd23aca485eda3ad0.

2011-03-14  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [5b77e7fad500b4a0a4c66e0c74a8ea42ab72591d]

cppunittester is in bin/cppunit here


2011-03-14  Hanno Meyer-Thurow  <h.mth@web.de>  [189dcbf0639c5dc42474e0541f40f3358f745a6b]

Merge Gentoo patches from old build and downstream repositories.

1. Do not add compiler default include and library path: potentially build
   against different version of system library than requested by the user.
2. Add a configure option to disable Python2 (PyUNO) bindings. Python3 is
   available for more than two years. Noone cares, therefore rest in peace.
   Python2 is going to be ditched at some point. Simply do not fail then.
   Windows builds need to be updated for BUILD_TYPE: "PYUNO". Or how is it
   handled nowadays?
3. Fix sandbox violation in officecfg module: rm /bin/<language>.zip
4. Add a configure option to search only in one place for JVMs, which is quite
   interesting for Linux Distributions. Enforce the user to place JVMs in one
   base directory.
5. Fix build for libxml-2.7.8 with ICU support.

* config_office-XINC-XLIB-defaults.diff: (1)
* disable-python.diff: (2)
* gentoo-sandbox.diff: (3)
* jvm-search-path.diff: (4)
* libxmlsec_fix_extern_c.diff: (5)

2011-03-14  Ivo Hinkelmann  <ihi@openoffice.org>  [9a79f3c1058293baa7cde2ac6db3ccfb32865f74]

masterfix DEV300: #i10000# always add gb_deliver.log to zip


2011-03-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [15b8ac2a753c8080549f7f0cd23aca485eda3ad0]

MSVC build creates icudt.lib


2011-03-14  Ivo Hinkelmann  <ihi@openoffice.org>  [efa887760827c0bccb86b700d0833500e22ac51c]

masterfix DEV300: #i10000# make clean fix


2011-03-14  Tor Lillqvist  <tlillqvist@novell.com>  [ca448fbaf0b18edcfc809fcabcbcac51bb32f3b7]

Prefer .NET 4, do not bother with .NET 2


2011-03-14  Tor Lillqvist  <tlillqvist@novell.com>  [8cd4be6de9889485948e2fea02efbc8d74e55642]

Let's try preferring MSVS2010/MSVC2010


2011-03-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [abcd617d33d01f031be35c90dc1284594ddcd23c]

debuglevels: pulled and merged DEV300.m102


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [d57adc4ac4024246b3f4583d1fc88a09d1e92919]

use SRCDIR intead of the completely unset LOCDIR


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [60c87b829367b07a8532d6f892c73e502b497379]

mis-merge: issue with stl. this may no be the right resolution


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [45554c687072cf076775146f65e23f6f0becd951]

mismerge: l10n has not changed location in libo


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [fb616d07076eb87fe70e8a3add17152df84ebd6b]

mis-merge: no more vos3


2011-03-12  Miklos Vajna  <vmiklos@frugalware.org>  [f67863ca3e97b2b22c7671db478396672e95b7e8]

g: remove leftover debug echo


2011-03-12  Andras Timar  <timar@fsf.hu>  [c7d8007aded7366877597e83119bc14651a2865e]

remove legacy SOURCE_ROOT_DIR variable


2011-03-11  Jan Holesovsky  <kendy@suse.cz>  [ee3ec09f07f32a28fb77d59732ca43d6781e415f]

Spaces -> tabs in gbuild, GNU make does not like spaces ;-)


2011-03-11  Ivo Hinkelmann  <ihi@openoffice.org>  [a14b1b4a65ed3bc9e591201d435e7e31a6ad6e2e]

masterfix DEV300: #i10000# all -> allandcheck


2011-03-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8396238b944e8c761c6aeb699bb3ba9e7263a45b]

Revert "A lame fix for the rebuilding of external libraries"

This reverts commit f9bfd5e53bf4b962b8a8d15255edb1cd35660e88.

2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [1ac1c6bc87fc7babc8a3292890c9ecf4b3710d1b]

remove cmake dependency from graphite


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [daabb024abd1b658853d875d4c026291c9096206]

graphite statically linked if non system, move ICU to go-oo


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [336cd75d797c7e3d869b24b748cba301ca7905bd]

graphite2 consolidated patch


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [ec8623e4761bca5d7a8ae441b86cb9f05a663ddc]

graphite statically linked if non system, move ICU to go-oo


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [eae22d2d06f8c8db9c5649d541b56d49590802de]

graphite2 consolidated patch


2011-03-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f9bfd5e53bf4b962b8a8d15255edb1cd35660e88]

A lame fix for the rebuilding of external libraries


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [a66eabe4cabe8eb82a92f2589e4c9c130aed6117]

graphite statically linked if non system, move ICU to go-oo


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [92fe2ba95dbd72478917a5d60899eef29fade955]

only one icu


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [e92a5be0c482032c9df8fa725e9aa341e3ea6494]

Tidy up for graphite2, removing silgraphite


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [c5e4035066e46d8215ba2a0c0b85e8282d75dc6c]

graphite2 consolidated patch


2011-03-10  Caolán McNamara  <caolanm@redhat.com>  [537c6564f1d7c56088f255bc27be71937188b9c5]

increase number of callstacks recorded


2011-03-10  Ivo Hinkelmann  <ihi@openoffice.org>  [81b4bd3a660a119b4162b08eafe3fb3f890e49d0]

masterfix DEV300: #i10000# fixed configure


2011-03-09  Ivo Hinkelmann  <ihi@openoffice.org>  [780bb7e8b8810b7c0a5707aa9086aec5ff37f502]

masterfix DEV300: #i10000# new configure


2011-03-08  Norbert Thiebaud  <nthiebaud@gmail.com>  [82a634cf3ae5cad37d52baf29e21ce0e39b96637]

Merge remote branch 'origin/feature/gnumake2.1' into integration/dev300_m101

* origin/feature/gnumake2.1: (202 commits)
  Revert "starmath need to have _DLL_ defined, even on MacOS"
  tweak library name on MacOS
  starmath need to have _DLL_ defined, even on MacOS
  add helper to set-up the libraries env, to run executable during build
  the startmath module in Module_ooo must use the name of the directory
  add starmath libraries to Repository.mk
  make linkoo scan the solver too, for Norbert's gnumake work
  -Wunitialized is not compatible with -DDEBUG
  rename gb_HIRESTIME to gb_LOWRESTIME. Assume highres precision by default
  add missing library for sc.  Massage the delivered libraries name.
  support USE_GMAKE=1 envvar to build with gmake the modules that can be.
  add sc in the list of gmake-Modules
  support for an alternate gbuild.lst to support gmake build
  add a few comment to balance quotes, to make the editor less confused
  add all the sub-directory of the RESLOCATION to search for resource
  add calc related library to the Repository
  tweak MacOs platform specific include to build on Macos
  fixing variable exports for windows compiler (thanks ause)
  fixing variable exports for windows compiler (thanks ause)
  also accept debug=t
  ...

Conflicts:
	Makefile.in
	Module_ooo.mk
	Repository.mk
	RepositoryFixes.mk
	configure.in
	solenv/bin/build.pl
	solenv/bin/modules/RepositoryHelper.pm
	solenv/bin/packmodule
	solenv/doc/gbuild/doxygen.cfg
	solenv/doc/gbuild/solenv/gbuild/types.mk
	solenv/gbuild/AllLangResTarget.mk
	solenv/gbuild/BuildDirs.mk
	solenv/gbuild/ComponentTarget.mk
	solenv/gbuild/Deliver.mk
	solenv/gbuild/Executable.mk
	solenv/gbuild/Helper.mk
	solenv/gbuild/Library.mk
	solenv/gbuild/LinkTarget.mk
	solenv/gbuild/Module.mk
	solenv/gbuild/Output.mk
	solenv/gbuild/Package.mk
	solenv/gbuild/PrecompiledHeaders.mk
	solenv/gbuild/SdiTarget.mk
	solenv/gbuild/StaticLibrary.mk
	solenv/gbuild/TargetLocations.mk
	solenv/gbuild/gbuild.mk
	solenv/gbuild/platform/linux.mk
	solenv/gbuild/platform/macosx.mk
	solenv/gbuild/platform/solaris.mk
	solenv/gbuild/platform/windows.mk
	solenv/gbuild/processdelivered.awk
	solenv/gbuild/processdeps.awk
	solenv/inc/unxgcc.mk
	soltools/mkdepend/def.h
	soltools/mkdepend/include.c

2011-03-08  Norbert Thiebaud  <nthiebaud@gmail.com>  [aed9e41fc96dd7f5d38f395aaf2e05830a6e1f5f]

Merge commit 'ooo/DEV300_m101' into integration/dev300_m101

* commit 'ooo/DEV300_m101': (500 commits)
  masterfix DEV300: #i10000# remove hard dep
  masterfix DEV300: #i10000# usage of L10N build_type
  masterfix DEV300: #i10000# usage of L10N build_type
  masterfix DEV300: #i100000# dep. fix
  masterfix DEV300: #i10000# removed one hard dep
  masterfix DEV300: #i10000# fixed patch handling
  masterfix DEV300: #i10000# new configure
  DEV300
  masterfix DEV300: #i10000# nawk -> awk
  l10nmove: adjust repository handling
  l10nmove: fixed regex
  l10nmove: minor fixes
  l10nmove: add l10n repo to gb_REPOS
  DEV300 masterfix: gnumake3: subsequenttests requires  in environment
  ab80: Adding changes of cws mib21, ab77, ab77run2, dr77i to dev300
  DEV300 masterfix: #i10000#: windows: more bizare hacks ...
  locales34: have a matching configure as well
  DEV300
  locales34: back out change from autoreconf
  gnumake3: JunitTest.mk: bizarre hacks to make it work on windows
  ...

Conflicts:
	configure
	configure.in
	instsetoo_native/prj/build.lst
	instsetoo_native/util/makefile.mk
	instsetoo_native/util/openoffice.lst
	instsetoo_native/util/pack.lst
	ooo.lst
	scp2/source/canvas/canvascommons.scp
	scp2/source/canvas/mtfrenderer.scp
	scp2/source/ooo/common_brand.scp
	scp2/source/ooo/directory_ooo.scp
	scp2/source/ooo/file_library_ooo.scp
	scp2/source/ooo/file_ooo.scp
	scp2/source/ooo/makefile.mk
	scp2/source/ooo/module_hidden_ooo.scp
	scp2/source/ooo/module_langpack.ulf
	scp2/source/ooo/ure.scp
	scp2/source/python/file_python.scp
	scp2/source/sdkoo/sdkoo.scp
	scp2/source/templates/module_langpack_accessories_templates.sct
	scp2/source/templates/module_langpack_accessories_templates_root.sct
	set_soenv.in
	soldep/bootstrp/appdef.cxx
	soldep/bootstrp/dep.cxx
	soldep/bootstrp/hashtbl.cxx
	soldep/bootstrp/makefile.mk
	soldep/bootstrp/minormk.cxx
	soldep/bootstrp/prj.cxx
	soldep/bootstrp/prodmap.cxx
	soldep/inc/dep.hxx
	soldep/inc/minormk.hxx
	soldep/inc/prodmap.hxx
	soldep/inc/soldep/appdef.hxx
	soldep/inc/soldep/connctr.hxx
	soldep/inc/soldep/depper.hxx
	soldep/inc/soldep/depwin.hxx
	soldep/inc/soldep/hashtbl.hxx
	soldep/inc/soldep/objwin.hxx
	soldep/inc/soldep/prj.hxx
	soldep/inc/soldep/sdtresid.hxx
	soldep/inc/soldep/soldep.hxx
	soldep/inc/soldep/soldlg.hxx
	soldep/inc/soldep/tbox.hxx
	soldep/prj/d.lst
	soldep/source/connctr.cxx
	soldep/source/depapp.hxx
	soldep/source/depper.cxx
	soldep/source/depwin.cxx
	soldep/source/makefile.mk
	soldep/source/objwin.cxx
	soldep/source/soldep.cxx
	soldep/source/soldlg.cxx
	soldep/source/soldlg.src
	soldep/source/tbox.cxx
	solenv/bin/build.pl
	solenv/bin/cws.pl
	solenv/bin/make_installer.pl
	solenv/bin/mhids.pl
	solenv/bin/modules/CwsConfig.pm
	solenv/bin/modules/RepositoryHelper.pm
	solenv/bin/modules/installer/regmerge.pm
	solenv/bin/modules/installer/scriptitems.pm
	solenv/bin/modules/installer/servicesfile.pm
	solenv/bin/modules/installer/simplepackage.pm
	solenv/bin/modules/installer/substfilenamefiles.pm
	solenv/config/ssolar.cmn
	solenv/inc/_tg_rslb.mk
	solenv/inc/extension_post.mk
	solenv/inc/libs.mk
	solenv/inc/minor.mk
	solenv/inc/postset.mk
	solenv/inc/settings.mk
	solenv/inc/tg_rslb.mk
	solenv/inc/unxlng.mk
	solenv/inc/wntmsc.mk
	soltools/HIDCompiler/hidclex.l
	stlport/prj/d.lst
	stlport/systemstlguards/postextstl.h

2011-03-08  Ivo Hinkelmann  <ihi@openoffice.org>  [6d1992b696b8a68f14071dee38a99c6d268a457f]

masterfix DEV300: #i10000# empty cat fix


2011-03-08  Release Engineering  <releng@openoffice.org>  [4d110d86f58c1744d0efb8a8ded932fbd12dd3b7]

DEV300


2011-03-08  Petr Mladek  <pmladek@suse.cz>  [4215649b045643e8153f2f26c79479aa81dd7e07]

Version 3.3.2.1, tag libreoffice-3.3.2.1 (3.3.2-rc1)


2011-03-08  Petr Mladek  <pmladek@suse.cz>  [7028491d34028c7fa3575a4b5ffa97a5653fa429]

do not create OxygeOffice rpms for LibreOffice build

there was a cut&paste problem in the previous commit

2011-03-08  Ivo Hinkelmann  <ihi@openoffice.org>  [6af2d593b04f79a12071b48b84b3e781516cf8ee]

l10n36: #i117281# add isocodes fur jbo kab nso ny so


2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [ee29fbad29bf9f707a2bcbe6df212bc47a232263]

CWS-TOOLING: integrate CWS jsc340


2011-03-07  Kalman Szalai - KAMI  <kami911@gmail.com>  [d1cd295b211d0be02aa9c4bfc297e38c1d06a39d]

Introduce OxygenOffice as a product


2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [6a613122c4aebd002a936ead4f468e0510be859d]

CWS-TOOLING: integrate CWS gnumakefixes


2011-03-07  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [95b96b4853c94ae45b7fd8e34786152773b80440]

solenv/bin/subsequenttests is intended to be executable


2011-03-07  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [da31fa7cab8941f978554f390cba2ff3c0457297]

teach ./g at least some basic manners when using commit -F

 * still needs fixes for message files with relative paths

2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [3d781b0ebcbd02af9ac857fd72eaba6857c270d3]

CWS-TOOLING: integrate CWS native364


2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [6fda47ac13a1b6e22a7b7e19fb69092cc2d0e4ad]

masterfix DEV300: #i10000# mingw fix


2011-03-07  Petr Mladek  <pmladek@suse.cz>  [ef7505a3338038cdb9c4bb653ca456e09cc97926]

bump product version to 3.3.2rc1, release number to 201


2011-03-07  Hans-Joachim Lankenau  <hjs@openoffice.org>  [bc8ac9511905ccad8867e5cd16808c606e2b8956]

gnumakefixes: #i117254# set gb_CC to gcc


2011-03-06  Caolán McNamara  <caolanm@redhat.com>  [b2c7e05d0a9fc6b2bfff20ea73656ce3474119bf]

always include these on all platforms to keep things simple


2011-03-06  Caolán McNamara  <caolanm@redhat.com>  [83b0cab957ba1e9eae6405884b1efab6ce7af8d3]

vos is gone


2011-03-03  Andras Timar  <timar@fsf.hu>  [27f27535d5e008e375c1d61a8bb25dea63c94ddf]

l10n: add Breton spelling dictionary


2011-03-03  Joachim Lingner  <jl@openoffice.org>  [73e84d771240d962c3ce2b711b026745caa3c38c]

#i117186# call unopkg sync when building type installed or archive with the proper arguments, remove assertion from framework for the case that there is no user installation.


2011-03-03  Hans-Joachim Lankenau  <hjs@openoffice.org>  [aeaaf30d166a16b0ba88297454323ef556b7619e]

gnumakefixes: #i117005# fix long link lines and inroduce convert_native macro


2011-03-03  Hans-Joachim Lankenau  <hjs@openoffice.org>  [d8df8a531a31308f57657eb68ca2ee9a79d48ffd]

gnumakefixes: #i116922# fix gb_MKTEMP


2011-03-03  Ivo Hinkelmann  <ihi@openoffice.org>  [c64010131506392aeb481b86dc3b1861f379158d]

masterfix DEV300: missing changeset from mhu21


2011-03-03  Miklos Vajna  <vmiklos@frugalware.org>  [1cea097585a1a413efd4803635384e8b7f803540]

git-hooks: don't stage unstaged hunks before commit

We call 'git add' for files where we fixed whitespaces in. This is a
problem in case the user staged only part of a file - as a result we do
not just fix up whitespace in the patch but also stage other hunks of
the file.

Fix the problem by removing/restoring not staged changes before/after
whitespace fixing. The operation is cheap enough, as it's a noop in case
there are no unstaged changes.

2011-03-02  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [fced430a0a8ac8fdeaf6b86078afd46d45a3e441]

#i115784# configure: move header checks after compiler checks.


2011-03-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [80e31ff139e213baf729fb676610e03da0d6baee]

Don't regenerate dependencies, just try second time

Since the dependencies generation is broken strategy with external libraries

2011-03-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [405291898690b15df90227fb94609b5dda209657]

Revert "A lame fix for the rebuilding of external libraries"

This reverts commit 42dd24db865ec0112fac4781e63ed11959f02472.

2011-03-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [42dd24db865ec0112fac4781e63ed11959f02472]

A lame fix for the rebuilding of external libraries


2011-03-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e58193142baa26afb8eddb90e29f06b8c393e977]

Revert "Trying to fix the rebuild of external library after failed build"

This reverts commit 56ffe1d3c7080e9c59f6e66287a433905e80031c.

This one did not have any beneficial effect, only breaking tinderboxes

2011-03-02  Ivo Hinkelmann  <ihi@openoffice.org>  [8f308ebf27d7f24093215b4db1f634ea4d6a8169]

CWS-TOOLING: integrate CWS mhu21


2011-03-02  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [f465b21277942db660213ea8b310a0d14b9448c8]

remove commented 4nt support while we are at it


2011-03-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [56ffe1d3c7080e9c59f6e66287a433905e80031c]

Trying to fix the rebuild of external library after failed build


2011-03-02  Kalman Szalai - KAMI  <kami911@gmail.com>  [3fdf828b833f04f115a0f3d99aa8b1221f0365db]

Refine compression of Windows installer

I increased the efficiency of LZM compression of makecab. I found that we can use .Set CompressionMemory=21 setting. This setting produces 83,91% of original installer size and if we combine it with a simple zip compression the download size can reduce to 83,54%.

Reference:
http://www.mail-archive.com/libreoffice@lists.freedesktop.org/msg07068.html

2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [8262550815e661c336a940c0436f6c2e5ca0a53c]

those were the wrong defines


2011-03-01  Petr Mladek  <pmladek@suse.cz>  [515e3f9ba732d28e0ceb7af3b3edda33f84fe84b]

lo-commit-stat: replace "n#" with "bnc#"

the "bnc#" prefix is required by SUSE package conventions

2011-03-01  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [eb2a00d3c4fd5d2a3a2466da0911e418685d26bb]

Update from sibling repository.


2011-03-01  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [a30e21195579b8f315fca52ec42a522a8655c0d4]

#i115784# solenv: add VALGRIND_CFLAGS to setsolar config.


2011-03-01  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [1c92161cf666b6145e8d9ead477bd3627cc0e7be]

#i115784# configure: fix valgrind header check, use VALGRIND_CFLAGS.


2011-03-01  Matthias Klose  <doko@canonical.com>  [652ef7023851e82f48b9101ee63fad646db30309]

lp#727118: ppc and openjdk fix

Signed-off-by: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>

2011-03-01  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [598ea7f85d4ed707c9c5ced0b26e5fae8a62d64c]

fix nested quantifiers in regex


2011-03-01  David Tardon  <dtardon@redhat.com>  [975ca5ec06a2dc15556cb6942e817f1f0326dd2b]

use full path


2011-02-28  Ivo Hinkelmann  <ihi@openoffice.org>  [3f83bd4537f5cb56812dec4a84f57e39455ef206]

CWS-TOOLING: integrate CWS xmlfix3


2011-02-28  Jan Darmochwal  <jdarmochwal@gmx.de>  [da20c87e438bd010826659477587de25cc00d766]

Accelerate Perl installer builder

* subs in converter.pl rewritten
* fixed bug in convert_whitespace_stringlist_into_array
* removed copy_array_from_reference (can be written as "$copy = [@{$source}]")
* removed copy_hash_from_reference (can be written as "$copy = {%{$source}}")
* removed convert_stringlist_into_array_without_linebreak_and_quotes
  (equivalent to convert_stringlist_into_array_without_newline)

2011-02-28  Thorsten Behrens  <tbehrens@novell.com>  [95ee50aa40508c88c495bba1b50614fa06651106]

Removed tinbuild script

tinbuild is now maintained in a separate repo:
http://cgit.freedesktop.org/libreoffice/contrib/buildbot/

2011-02-28  Ivo Hinkelmann  <ihi@openoffice.org>  [bac8023b7ec0f26b8e2f0a268a8364380256c25f]

CWS-TOOLING: integrate CWS sw34bf03


2011-02-28  Ivo Hinkelmann  <ihi@openoffice.org>  [9295e0b26ba083ebbd7a1683772e77f6e6ceeb95]

CWS-TOOLING: integrate CWS l10nmovetest


2011-02-28  Ivo Hinkelmann  <ihi@openoffice.org>  [633c57b8647e6ee77aaf3bc0c03400659f9da33c]

l10nmovetest: #i116586# use of with_lang / no reset of LANG


2011-02-27  Francois Tigeot  <ftigeot@wolfpond.org>  [e23ea8bc6a4f3f2f2a493f3971677f2867b5d64c]

Use system OpenSSL on DragonFly.


2011-02-25  sb  <sb@openoffice.org>  [00ea7bf4a5c4c1107f30c71280361476c1cbf959]

debuglevels: #i117073# added cppunittester --protector support; added unoexceptionprotector and use it in installationtest.mk; reverted changes to smoketest.cxx obsoleted by these additions


2011-02-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c830cbbe3227df23134f73e7425d6a851d8fdaf0]

debuglevels: export DBGSV_ERROR_OUT=shell, so that tools-based assertions in non-product test do not pop up as message boxes (which was a regression introduced with the removal of DBGSV_INIT from the build env)


2011-02-24  Thomas Arnhold  <thomas@arnhold.org>  [24c21a641d81fc7f4b21c35a47db5a3c184da380]

Remove MSDOS support


2011-02-24  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b2e119c649772d97f9cf126f833cc12188964669]

debuglevels: simplify the build system, by complicating the OOo code ;)

Introduce DBGSV_(TRACE/WARNING/ERROR)_OUT, which controls the output channel for tools-level
traces/warnings/assertions, when no dbgsv.ini file is found (this is the increased OOo complexity).

Use this in installationtest.mk, instead of creating a dedicated dbgsv.ini file.

Yet to come: add support for DBGSV_ERROR_OUT to the GNU make build system. Which is the reason why
DBGSV_ERROR_OUT was introduced: Currently, running a GNU make based test pops up assertions as message
boxes. Before the change here, we would have needed to add dbgsv.ini support to the GNU make build system,
which sounds not like a funny a reasonable thing to do. So, instead, we will simply set DBGSV_ERROR_OUT,
which is much simpler and less error prone.
2011-02-24  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [61d34fd635ded68ba8013f22439a54df3be3e405]

debuglevels: let DIAGNOSTICS_CONTROL_FILE depend on , to make it unique when multiple tests are running in parallel


2011-02-24  Juergen Schmidt  <jsc@openoffice.org>  [3e497b551254c54db039a5eb626b51e730c422a1]

jsc340: merge to dev300m101


2011-02-24  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [b8b8446f25aa63ea2f552a10daeab2015410dffc]

Update from sibling repository.


2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [43fb992aa3256ca46aa3c4da9d12ec1313d35552]

debuglevels: pulled and merged remaining changesets from m101


2011-02-23  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [8ec1a8e95f6fd74ad5c161dfe25a5e9f653d926c]

Update from master repository (DEV300_m100).


2011-02-23  Ivo Hinkelmann  <ihi@openoffice.org>  [89aa9e3dc18b56733b8f59a0620402fdda74c50b]

masterfix DEV300: #i10000# fixed BUILD_TYPE


2011-02-23  Ivo Hinkelmann  <ihi@openoffice.org>  [93c5a3fa0badabbc59836bf4fdf904c9ce495fbb]

masterfix DEV300: #i10000# INPATH -> OUTPATH


2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c5145dc0115b8c0dddc5387552cc1009eb4fdce7]

debuglevels: pulled and merged latest changes from DEV300_next


2011-02-23  Thorsten Behrens  <tbehrens@novell.com>  [77e5d7370edc601f209a3207a3cd7ff094d6e050]

Make tinbuild load SMTP modules only on demand

Net::SMTP::SSL and Net:SMTP::TLS may not be installed or available
on all systems, so we're now only loading that if the corresponding
command line option was given.

2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f508c96d12d2a74a2a3899776e4d19311c474fac]

debuglevels: merged to-be-m101


2011-02-23  Thorsten Behrens  <tbehrens@novell.com>  [27e563e830223fa981b457e0b232623f005cca5a]

Made tinderbox bcc owner on error mails

Every error spam now gets Bcc-ed to the owner. This does not apply
to the x-tinder zipped log file mails.

2011-02-23  Thorsten Behrens  <tbehrens@novell.com>  [0cf47fb1dacb5f2724466d9f53f43cdc6bace391]

Rename cleanup make target

The old version was from libreoffice/build times.

2011-02-23  Thorsten Behrens  <tbehrens@novell.com>  [24c0b528f3ebe25ad11bf76d32ccf0d5798d6a07]

Enable tinbuild to also use SMTP auth

Previously, tinbuild was only able to use a local MTA - with this
change, one can also e.g. use a googlemail account. Login creds and
smtp crypt method gets passed via command line.

2011-02-22  Thomas Arnhold  <thomas@arnhold.org>  [58229441109e471fa5798767186585bc527d3a04]

Remove HPUX from imakedep.h


2011-02-22  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [6d46d6534a895a148554ab84f2470dbf00e9ee21]

#i115784# configure: Add check for valgrind/memcheck.h, defining HAVE_VALGRIND_MEMCHECK_H.


2011-02-22  Ivo Hinkelmann  <ihi@openoffice.org>  [1af423ebce1c4d67a4ddc5ec6ef0f62baf83e36d]

masterfix DEV300: #i10000# remove hard dep


2011-02-22  Ivo Hinkelmann  <ihi@openoffice.org>  [4a7d31ffebebb8827d8d565d987ed933cc7df4b0]

masterfix DEV300: #i10000# usage of L10N build_type


2011-02-22  Ivo Hinkelmann  <ihi@openoffice.org>  [a99d944fcfcd31573e8969d403ef446d4cab22c9]

masterfix DEV300: #i10000# usage of L10N build_type


2011-02-22  Andras Timar  <timar@fsf.hu>  [6fad0920524eeec92eee3cd57f8850bdb4d61599]

l10n: add Breton spelling dictionary


2011-02-22  Ivo Hinkelmann  <ihi@openoffice.org>  [e13682c3e0b7c3e046c217f7508d3e88836c7213]

masterfix DEV300: #i100000# dep. fix


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [83320fbac08a50697c9a89e2128011beeb27cfa7]

revert this


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [b7cc8a8a87233114f3df3c4ec1863b2c137a7cac]

seems we need -s after all


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [383ff84493cef4e2051014933da97bfd2101bb7f]

Break into two lines means that line began with spaces, so how-to-run lost


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [39e1568e4f4f89d90d4debeb752c305ba179ca14]

remove javainstaller2


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [bab5b74e36aa580f60219cd5202545ca2083d1c6]

-r and -s doesn't do anything


2011-02-22  Rene Engelhard  <rene@debian.org>  [48db0fba13c1e228a4202c72a6dd4e4dcc37cd07]

move -Wl,--no-relax into extra LINKFLAGS


2011-02-21  Caolán McNamara  <caolanm@redhat.com>  [6d30dbc430338f26c7ff655cc943386ed4ab67c5]

use a different dir for cppunittester


2011-02-21  Rene Engelhard  <rene@debian.org>  [8a02579ef233cdf0c4ca3b487cddd41d6ebd9e99]

use -Wl,--no-relax (fdo#32224), thanks Michael Cree


2011-02-21  Francois Tigeot  <ftigeot@wolfpond.org>  [2be829651458fe5443f1c22f915b88d562a00131]

Remove 386BSD support.


2011-02-21  Ivo Hinkelmann  <ihi@openoffice.org>  [96493d8899905fc1c843420f4b1dce27fc31065c]

masterfix DEV300: #i10000# removed one hard dep


2011-02-21  Francois Tigeot  <ftigeot@wolfpond.org>  [b3f8027334fa2ad8686b5af8c4a3e811e0725d99]

Remove OSF/1 support.


2011-02-21  Francois Tigeot  <ftigeot@wolfpond.org>  [bd6e24148e396eb821c5c904a324a992bde7bb03]

Add DragonFly defines.


2011-02-21  Francois Tigeot  <ftigeot@wolfpond.org>  [13dc963752638787b8dbc3434d23d3dec7c1b1d3]

Do not use GNU cp syntax on DragonFly.


2011-02-21  Ivo Hinkelmann  <ihi@openoffice.org>  [e377866727846e64859a874512b800e203abecae]

masterfix DEV300: #i10000# fixed patch handling


2011-02-21  Ivo Hinkelmann  <ihi@openoffice.org>  [3bccb1d63ebd95e38cc7aebec0906d30e134d51a]

masterfix DEV300: #i10000# new configure


2011-02-21  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ef12c9f6518cbbb3fc987c83989ab2f26a3f3427]

debuglevels: let smoketestoo_native use a dedicated version of dbgsvrc/DBGSV_INIT, instead of using the default which the build env points to - it might direct assertion output to whereever ...


2011-02-19  David Tardon  <dtardon@redhat.com>  [052abb8d9aceb913db8b501dfce6c0080891f238]

end arg description with dot


2011-02-19  David Tardon  <dtardon@redhat.com>  [5b3f8e51a038bd1d17fb235ac5e8f5c06efb90f7]

I fixed this properly in libs-core/scripting

This reverts commit ba1da290bd44677bdf3576e6b3fcd02a102ed667.

2011-02-18  Jan Holesovsky  <kendy@suse.cz>  [ba1da290bd44677bdf3576e6b3fcd02a102ed667]

Fix build of master without Python scripting.


2011-02-18  Jan Holesovsky  <kendy@suse.cz>  [85952d9be2ef425fadfe008088eea08cbb11380f]

tinbuild: Better formatting of the tinderbox info.


2011-02-18  Christian Lohmaier  <lohmaier+libreoffice@googlemail.com>  [07874d46ed8ceceaefb65e8fc29285ef5b52dcff]

Avoid forking to output the logfile.


2011-02-18  Release Engineering  <releng@openoffice.org>  [b178e4f1bbb59752d244d991bb06086e159956b7]

merged DEV300


2011-02-18  Tor Lillqvist  <tlillqvist@novell.com>  [10472ce50310a6290a1db861cceea127b5c581a3]

Exclude java_uno_accessbridge.jar and .dll if no SOLAR_JAVA


2011-02-18  Francois Tigeot  <ftigeot@wolfpond.org>  [e1eadeff73800d316356b5761b57bb49b177a3db]

Remove javaldx /proc test.


2011-02-18  Danny Roberts  <dannyroberts.personal@googlemail.com>  [97d72b9f85263df68abb8367da35ec1c2e300b75]

Removed some commented code.


2011-02-18  David Tardon  <dtardon@redhat.com>  [906c6df7e77a8b5e119e852fa98fc84bcfba1795]

configure inclusion/exclusion of scripting providers


2011-02-17  Release Engineering  <releng@openoffice.org>  [9335a9f7355a6d1c34ba9f72808aa2da936c7bbd]

DEV300


2011-02-17  Ivo Hinkelmann  <ihi@openoffice.org>  [4beceebb66480f95a57f3a264770d7e37551721f]

masterfix DEV300: #i10000# nawk -> awk


2011-02-17  Ivo Hinkelmann  <ihi@openoffice.org>  [9469533791eea4a424656bcec394d9eedcdc1aa6]

CWS-TOOLING: integrate CWS l10nmove


2011-02-17  Ivo Hinkelmann  <ihi@openoffice.org>  [9a59ca774584fe1ba777f21d89ecf864c1819241]

CWS-TOOLING: integrate CWS native359


2011-02-17  Ivo Hinkelmann  <ihi@openoffice.org>  [e7637004057a301d87ed8c516149cdba1cc95081]

CWS-TOOLING: integrate CWS gridsort


2011-02-17  Ivo Hinkelmann  <ihi@openoffice.org>  [8bea81e985e23c491e51575dbc4f9bce330577e0]

CWS-TOOLING: integrate CWS locales34


2011-02-17  David Tardon  <dtardon@redhat.com>  [ec4798132f3c444e1ae7df1c11a009268983e1a8]

fix defs for scripting provider extensions


2011-02-17  Jan Holesovsky  <kendy@suse.cz>  [32a42cfab37b1f7d153bebe057aa326a661463cd]

tinbuild: Include all the logs in the mails.


2011-02-17  Jan Holesovsky  <kendy@suse.cz>  [1dea17b6def808b29fdababb68c5b61bc81d3859]

tinbuild: Use MIME::Lite instead of direct Net::SMTP.

We need to send the build logs as gzipped attachments, otherwise they are too
big to be accepted by tinderbox.

2011-02-17  Jan Holesovsky  <kendy@suse.cz>  [6f62ab120bb379ddb5220259bddff4a8a0824142]

tinbuild: Plug into http://tinderbox.go-oo.org/MASTER/status.html

And also rewrite the mail sending code, to be cross-platform [hopefully ;-)] -
using Perl Net::SMTP module.

2011-02-17  Petr Mladek  <pmladek@suse.cz>  [2118de2768280e3cb4fb27f74a65211833f71155]

bump product version to 3.3.1rc2, release number to 8

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-02-17  Petr Mladek  <pmladek@suse.cz>  [8df6667e9f53e8b006dff98004be5ecf71bab3ce]

bump product version to 3.3.1rc1, widnows build version to 6

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [eeeb44ffb3b147d02e8a2201c98c47a2b6511c0d]

Updated gitignore to ignore build dirs on other platforms


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [ef76a189c7a4038b20231c3a88b9a2e78790ed40]

Remove unused update_module_ignore_lists.pl

Was used to update the svn ignore list

2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [982e03e45749416ae519228445944ec3d35bdeb5]

Remove usused osarch.pm


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [5f108b097e54e2b6f1cbc9f0693c30a513242f2c]

Remove SCO support


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [fa60b188331e54fec55b8b8727984d79514dcee3]

Remove HPUX support


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [c71ba8fa80b1ebcf2df33a795fb90d5ac508e058]

l10nmove: adjust repository handling


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [f67026c153af22f153a69c4495de6455a0eacb92]

CWS-TOOLING: integrate CWS sb138


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [da64bcd9fdc0c1084d3f406ca6fc893e0aee7be3]

CWS-TOOLING: integrate CWS ab80


2011-02-16  François Tigeot  <ftigeot@wolfpond.org>  [4a050aaabe9ddbf634a1bc0c19aa3d87fd0a3037]

add unxdfly.mk


2011-02-16  Caolán McNamara  <caolanm@redhat.com>  [f65a763b3e9bb540b2004eabe9ef2c6241ff942c]

restore -fno-strict-aliasing for gcc < 4.5


2011-02-15  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [20b1be3fc191a68933a9af6dfdc06b2cce9d0775]

debuglevels: a little less verbosity


2011-02-15  Ivo Hinkelmann  <ihi@openoffice.org>  [752eeacbcfc933b045c7f6cd716cf22b7e90ebae]

CWS-TOOLING: integrate CWS spc01_DEV300


2011-02-15  Andreas Bregas  <ab@openoffice.org>  [4f27ca7c044326acea10d900aa4c2923ce6d7139]

ab80: resync to m100


2011-02-15  Ivo Hinkelmann  <ihi@openoffice.org>  [130c55392bfcf731ce460ed891070793bf2f8618]

l10nmove: fixed regex


2011-02-15  Ivo Hinkelmann  <ihi@openoffice.org>  [3eab14529740587c44e9748157ec6dab6faf8cdb]

CWS-TOOLING: integrate CWS vcl118


2011-02-15  Ivo Hinkelmann  <ihi@openoffice.org>  [35495f84245a48fb78029e62492e79c3a0efe683]

l10nmove: minor fixes


2011-02-15  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [a6bdf59494e2456745c553ea0ee7150d196c7227]

chart52: merge with DEV300_m100


2011-02-15  Francois Tigeot  <ftigeot@wolfpond.org>  [702771590d64d9ff552d3f99039e8f5e8325394d]

dragonfly stuff


2011-02-15  Michael Koch  <miko@gmx.ch>  [ab5c42d3ad8d3d0d84974fe77df3e653aec57629]

Added --verbose param to build.pl

"--verbose" substitutes the needed functionality of
"--html --dontgraboutput". The unneeded parts will be removed in
a second step.

2011-02-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [678f6f6e2d240b7431822187975d9a42e71890d3]

debuglevels: pulled and merged DEV300.m100


2011-02-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [78f338950c50286f7f54606dee92939cb48f833b]

gridsort: pulled and merged DEV300_m100


2011-02-14  Ivo Hinkelmann  <ihi@openoffice.org>  [02f30bc0d416b2aa4b0e7db772b675894a21e335]

l10nmove: add l10n repo to gb_REPOS


2011-02-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [15dec875659e4fe8431dce87a4ba031e2f891aef]

rebase to DEV300_m100


2011-02-14  Petr Mladek  <pmladek@suse.cz>  [99f79b03db02bc7871ff711df92f6d2afb3459f6]

lo-commit-stat: new --bugs option to print just commits with bugs

all add support to filter the ouput by some flags

2011-02-14  Michael Stahl  <mst@openoffice.org>  [54136e47ad913fdfe1bb65bfad9252e1fc7bd7a8]

xmlfix3: fix unoxml build: add windows stuff to RepositoryFixes, add gb_STDLIBS


2011-02-14  Michael Stahl  <mst@openoffice.org>  [20689219acc85a514db23eb6dec3a6f5443ed25c]

xmlfix3: merge DEV300_m100


2011-02-14  Michael Stahl  <mst@openoffice.org>  [9688ffbf4ac6e2ee9642e3fedbb21cb6468fc3c1]

sw34bf03: merge DEV300_m100


2011-02-14  sb  <sb@openoffice.org>  [8c7a66036a8c434190e155a7ba77bf130a607421]

sb138: merged in DEV300_m100


2011-02-14  Ingo Schmidt  <is@openoffice.org>  [7a3bfd7ee594dc0c4a52c5c98150a966ae3fb01b]

native364: #i116865# removing update script


2011-02-14  Ingo Schmidt  <is@openoffice.org>  [0f04a590fa1fd23a7e743a460ba2ee8710303c5d]

native364: #i116865# removing update script


2011-02-14  Ingo Schmidt  <is@openoffice.org>  [cbb87598d1e8e56292a93f596d231838a8fc84eb]

native364: #i116893# new ure version


2011-02-14  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [78fb9727e2e7a7068d69cb0a4ec61e171284832b]

DEV300 masterfix: gnumake3: subsequenttests requires  in environment


2011-02-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b57fb0749c5011ac679bc92ffa3047ed70941b8d]

multilingual sdk build targets


2011-02-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9c3ee3b30596398e24d237b35a7bc8af80b25594]

multilingual sdk build targets


2011-02-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9af0a7d6a7790b08e1186e4ca4ca834f7ffa167a]

Look for sdf files in a proper windows directory


2011-02-12  Thomas Arnhold  <thomas@arnhold.org>  [f21ae7220562d326a49b4dc8ca817e307b599455]

Remove configure.cmd as it's a personal file


2011-02-12  Thomas Arnhold  <thomas@arnhold.org>  [a67a2555a34b07babbbbbfc809e7d58e9ee6c8f3]

Easy hack: remove obsolete gjc aot compilation


2011-02-11  Miklos Vajna  <vmiklos@frugalware.org>  [0e64e4e07925b2a6c5d51737dca9bf54cfb51405]

bin/tinbuild: fix typo


2011-02-11  Jean Charles Papin  <jean.charles.papin@gmail.com>  [765776e3937dec843039f4a7642aba2332e6cd58]

remove dead code


2011-02-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [30ac12b9b031785ed38a3e4009893b7c0a1733e0]

some more hacks of exported symbols


2011-02-11  Michael Stahl  <mst@openoffice.org>  [1c3ca41e2eb0d001944fa2025135e3d04a393445]

sw34bf03: merge to-be-m100 DEV300_next


2011-02-11  Michael Stahl  <mst@openoffice.org>  [356160d39ee3e56c840f06687c822437129d513e]

xmlfix3: merge to-be-m100 DEV300_next


2011-02-11  Andreas Bregas  <ab@openoffice.org>  [8a3e4778dc334b15a14a82e0595489950b3780b4]

ab80: Adding changes of cws mib21, ab77, ab77run2, dr77i to dev300

ab77: #163789# Handle class module factories document specific
ab77: #163732# Defer removal of documents until XCloseListener::notifyClosing
ab77: #163808# make VBA symbols Application.ScreenUpdating and Application.Interactive work globally on all documents
ab77: wae
ab77: #163840# read UTF-8 BOM
ab77: #163732# VBA UserForm_Terminate triggered too late while closing document
ab77: minor correction
ab77: assertion: do not call ::rtl::OUString::copy() with negative index
ab77run2: #163869# do not call Class_Terminate VBA macros when document disposes
dr77i: #163941# do not update drawing layer when pasting from clipboard after cut
mib21: #163944# ignore trailing whitespace in Basic source lines
mib21: #163948# allow to manually pack MSVC DLLs into extensions
mib21: #163948# multiprocess build fix
Authors:
Andreas Bregas <ab@openoffice.org>
Daniel Rentz [dr] <daniel.rentz@oracle.com>
Eike Rathke [er] <eike.rathke@oracle.com>
2011-02-11  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [e1b2585d1a4a5254cf15a94f94ca1720b8859c39]

DEV300 masterfix: #i10000#: windows: more bizare hacks ...


2011-02-11  sb  <sb@openoffice.org>  [5a4b69f166f22a6b7227b3d94774106841c391f7]

sb138: merged in re/DEV300_next towards DEV300_m100


2011-02-10  Andras Timar  <timar@fsf.hu>  [852dbe88ea83d66ca4542fbc3aa088ed7720203e]

remove unused --with-dict option


2011-02-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ae6f01c48bd1fc6c156c92b59f0992f39e7393b8]

Don't make shameless add for non-standard Checked Iterators


2011-02-10  Jesús Corrius  <jesus@softcatala.org>  [a4848e8cebe712f96f409f8687fc76cef22b640f]

fdo#33785: install mtfrenderer.uno.dll in the correct directory


2011-02-10  Michael Stahl  <mst@openoffice.org>  [ac09de766879802c3f9f8c4a081400078c7b5be2]

xmlfix3: convert unoxml to gbuild


2011-02-10  Eike Rathke  <erack@openoffice.org>  [696d2e1ffb5d3981c7a09406881524fdbc40f7fd]

locales34: have a matching configure as well


2011-02-10  Thorsten Behrens  <tbehrens@novell.com>  [a9c57108d04c2c148a84d68d83c82bd85fdc17c9]

Use git pushurl, setup via --set-push-user now

An easy way to turn your set of repos into something you can push
from - after you've gotten commit rights on fd.o - just use
./g --set-push-user <your_user_name>

2011-02-10  Release Engineering  <releng@openoffice.org>  [e8fd1c31e8a5974c8942e265dada1d408e0ff007]

DEV300


2011-02-10  Miklos Vajna  <vmiklos@frugalware.org>  [cf8bf062b42466e49d59c8b8b86bf172b4403645]

configure: initialize SCPDEFS, do not always append it

This caused problems when <platform>*.sh was sourced while invoking
autogen.sh.

2011-02-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [948757b7b285df8a13ec74885efebc2551bcd1f6]

Too optimistic thoughts about makefiles (2)


2011-02-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dedc53417ddbea7fc32d691e5af41600c11e45ab]

Too optimistic thoughts about makefiles


2011-02-10  Francois Tigeot  <ftigeot@wolfpond.org>  [a92060d2211965058517436076c4db345bdc4959]

Porting LO to Dragonfly


2011-02-09  Tor Lillqvist  <tlillqvist@novell.com>  [72021f833b077eaaf57ffdec58c43e891fe10e45]

Ignore __real@ and __TI3? prefixed symbols in ldump

The __real@ ones are storage of (shared?) floating-point
constants. The __TI3?  ones are related to throwing exceptions, TI
perhaps means type information. Trying to export them causes
unresolved externals problems, and most likely it would be insane to
export them from a LO DLL anyway. I came across the problem with some
framework DLLs.

Why this issue has popped up now, after the big stlport/boost/etc
change, I have no idea. One would think we have had floating-point
constants all the time in the code, and we throw exceptions all over
the place. Oh well.

2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [13fbe657ad8acb7a24aa3ca734aa9100cff7cb22]

Trying to remove the stlport mention from the code


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [faa6b7db5c875d452d1f32a781001d79840b6c90]

Removing the ext_std masterpiece


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [31a9634eb8c8b5564d1ca1499a3efd4098718163]

Build STLport only as a compatibility library


2011-02-09  Eike Rathke  <erack@openoffice.org>  [8f31ed29d5ca2b4616aed0b16792661a3a10273e]

locales34: back out change from autoreconf


2011-02-09  Thorsten Behrens  <tbehrens@novell.com>  [73a3cae6d9dde06533b5ea586252b9d9a0c1f55e]

Add basebmp to list of doxygen-processed modules


2011-02-09  Petr Mladek  <pmladek@suse.cz>  [405d7e5935960db7a4a0c8a1b9a771750389b5ee]

lo-commit-stat: sort modules alphabeticaly


2011-02-09  Petr Mladek  <pmladek@suse.cz>  [b564674d08a9681e75ef9ed1b14da323b1cd7708]

lo-commit-stat: fix bug detection

+ fix printing of i#123 bugs
+ removed debug stuff to be able to detect more bugs again

2011-02-08  Eike Rathke  <erack@openoffice.org>  [d8cdc99a9c2776e9da821bddcc51b1d5f573318b]

locales34: merge m99


2011-02-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d08e193ba63e4e501611ffe48492ba5b5b8d1bc2]

Don't use the dummy functional at all


2011-02-08  Caolán McNamara  <caolanm@redhat.com>  [76af08086249b879d38baca776a95d0df5d1ea77]

Resolves: fdo#34031 bump to hunspell 1.3.1


2011-02-08  Tor Lillqvist  <tlillqvist@novell.com>  [845f915f593510d8715f47a68d39105f59dcbbeb]

Move prewin.h and postwin.h from tools to solenv

All #include directives that include tools/prewin.h and
tools/postwin.h need to have the "tools/" part dropped. Will do that,
too.

For earlier git log of these two files, see the libs-gui repository.

2011-02-08  Mathias Bauer  <mba@openoffice.org>  [f35b6d42d4de364ce3de7bc4702a173c91fd37cf]

CWS gnumake3: pull in cws removetooltypes01


2011-02-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4003f98e5ffbd18bd43f30cb151142fcaa86ea04]

Don't use the dummy functional on windows

since MSVC headers contain all the SGI extensions we use

2011-02-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a4d129c4fcb5d3261bbd5238d423956f10bef38a]

cleared the need of the non-standard numeric, rope and vector header


2011-02-08  Jan Holesovsky  <kendy@suse.cz>  [10e5b6d92bca6f77ca54b9e251349b1fb26d72ea]

Merge remote branch 'origin/libreoffice-3-3'

Conflicts:
	configure.in
	solenv/bin/build.pl

2011-02-07  David Tardon  <dtardon@redhat.com>  [72424aec4fd6ae5e0af56692cb36c26a525c6ce9]

<functional> is needed too


2011-02-07  Michael Stahl  <mst@openoffice.org>  [216780be006306488955a05c9a69da1b30eda8d4]

gnumake3: JunitTest.mk: bizarre hacks to make it work on windows


2011-02-07  Michael Stahl  <mst@openoffice.org>  [e73def7bd9958022c17981397a5d0e563fbc28f3]

gnumake3: JunitTest uses OOO_TEST_SOFFICE


2011-02-07  Mathias Bauer  <mba@openoffice.org>  [a6d797c51db749f8ec2b01de2af7519383e3cd80]

CWS gnumake3: c compilation also needs to provide name of pdb file


2011-02-07  Carsten Driesner  <cd@openoffice.org>  [ce137e5c4595384c2a23f022e0cde3da8de47899]

removetooltypes01: Rebase to DEV300m99


2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [980a776151e03cd6c379124abcd247fd06f2f243]

little comment cleanum


2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cd2e5ee7a91b8de1ce33d69bcf20f995bcb5f78a]

removing the hash_map, hash_set and slist forwarding headers


2011-02-05  Mathias Bauer  <mba@openoffice.org>  [cdec643d782b42e666b55493b900787e8fcfbb3d]

CWS gnumake3: add msvcrt to STDLIBS for mingw


2011-02-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [06b328e7787e32aafacc14befc8dab0e5f44acc4]

download the right boost tarball


2011-02-04  Ingo Schmidt  <is@openoffice.org>  [8d42e92b94c5601947c25216c904b46ffca155d4]

native359: #i116797# improve msi database


2011-02-04  Michael Stahl  <mst@openoffice.org>  [ebbb5e70e03409dd1e915df2267ac9178f50eb57]

gnumake3: fix JunitTest.mk so it works on OSX


2011-02-04  Michael Stahl  <mst@openoffice.org>  [649d341e66751e6a6a55d99b3ea1a53dce68feaa]

gnumake3: move CppunitTest stuff together


2011-02-04  Jan Darmochwal  <jdarmochwal@gmx.de>  [c5b32fafd8bf47908897ad27ed64dd75ed26f2fc]

Accelerate Perl installer builder

speed up get_all_items_from_script

2011-02-04  Ingo Schmidt  <is@openoffice.org>  [994d4ccf8f2c6774d37c26957436115484f06c20]

native359: #i116797# improve msi database


2011-02-03  Jesús Corrius  <jesus@softcatala.org>  [555f2ad8cac961e049726ca8b11a4cd25fb461de]

Revert: Use different Windows registry keys than OOo


2011-02-03  Jesús Corrius  <jesus@softcatala.org>  [aa023d30c87cad1b3ef3567bf5d1919fdc14a304]

Revert: Change registry prefix values loffice, libreoffice -> LibreOffice


2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [d534fb2ba429f8ddc368d1f4b6536e84a78f2a09]

get this hack working for gcc 4.6.0

Signed-off-by: David Tardon <dtardon@redhat.com>

2011-02-03  Peter Jentsch  <pjotr@guineapics.de>  [ede51b068c2685ade6c40d6a66a360c720633fe5]

Removed obsolete flat xml export xslt scripts from packaging


2011-02-03  Jesús Corrius  <jesus@softcatala.org>  [f03160af274dc3915f86b671e0b153eb8db943d8]

fdo#33785: install mtfrenderer.uno.dll in the correct directory


2011-02-03  Tor Lillqvist  <tlillqvist@novell.com>  [48a36b901ee93302efef0d9e6c1e5751431a57fd]

No ddraw.h or ddraw.lib in the June 2010 DirectX SDK

(cherry picked from commit 43e3b9af8f5d85f06485e74b1080cc6a6a86eac4)

Signed-off-by: Fridrich Strba <fridrich.strba@bluewin.ch>

2011-02-03  Ivo Hinkelmann  <ihi@openoffice.org>  [bc582fec1b543126f705160d64be87297c35c51f]

l10nmove: #i116586# Move l10n module into own repository


2011-02-03  Ivo Hinkelmann  <ihi@openoffice.org>  [48d510f95978ffa9611808f636def4642f9f2629]

l10nmove: #i116586# Move l10n module into own repository


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [53cfadd94d056903d2d0d0ccac9968506638bd9b]

CWS gnumake3: resync to m99


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [2c82fcf92318d36b24ce2e1848c389fbf04467d7]

CWS gnumake3: convert line ends


2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [498aef6d460be780cde9bcdfa21ebf084acad4c5]

odf1->osf1


2011-02-03  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [d042aa6e51b7daa25a131ca176d5b0c8cc0a0457]

chart52: merge with DEV300_m99


2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [8afe6b8752e37fb7bab91c6dec1981692b7bb28d]

WaE: signed/unsigned


2011-02-03  Michael Stahl  <mst@openoffice.org>  [1aa10bd6ceee2e2ed42b3c3b8701f197ee7b15d3]

gnumake3: merge


2011-02-03  Michael Stahl  <mst@openoffice.org>  [976752da9e9f96e29acb8aed8f0adb1630f6ec1d]

gnumake3: solaris.mk: fix broken RPATH


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [2f6519a306fc24c1e606e27bc861ba7e5d01347b]

CWS gnumake3: clean up mingw stuff after adding STDLIBS


2011-02-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [498932c939960c3988b8eaef41e84bd364d56807]

Adapt the forwarding headers to MSVC compiler


2011-02-03  Takashi Ono  <tono@openoffice.org>  [b9a91e63a5adf893adbb4ea5af4b5bc71d5c5a69]

CWS gnumake3: adapt mingw port to new features in cws


2011-02-03  Takashi Ono  <tono@openoffice.org>  [5b48c1a568c97732937d1ea6b70d27844eedc3e6]

CWS gnumake3: adapt mingw port to new features in cws


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [c3014a3b09de39fd90ad0fe130d44ab9534d2373]

CWS gnumake3: templates use gb_STDLIBS


2011-02-03  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f4c01e354b85fbaaa0d640f4828e2f0021d6deea]

pulled and merged DEV300.m99


2011-02-03  Tor Lillqvist  <tlillqvist@novell.com>  [86ee8d17a84a2c6290a5833c01e09aca995c677d]

Silence compiler warnings


2011-02-03  Tor Lillqvist  <tlillqvist@novell.com>  [fb9e4e3df7295955c9ef4d9d318bf5b17c029169]

Silence compiler warnings


2011-02-03  Tor Lillqvist  <tlillqvist@novell.com>  [a132da3c23d3d9b44d9d3dd21844c55be00dacda]

Silence compiler warnings


2011-02-03  Tor Lillqvist  <tlillqvist@novell.com>  [edf9dd94e41146fc2d96bfcdc1b0c6dc633e9467]

Silence a couple of compiler warnings


2011-02-03  Tor Lillqvist  <tlillqvist@novell.com>  [ba9b6b1a6270243174e2f02f8202d7d5d9d2942a]

Silence a couple of compiler warnings


2011-02-03  Tor Lillqvist  <tlillqvist@novell.com>  [2a7922dff9edf8794dd7f743db829e04f894f574]

Do check for hash_map in __gnu_cxx namespace also with MinGW


2011-02-02  Thorsten Behrens  <tbehrens@novell.com>  [c5321b3ae7f8ede2c59a8e73a00f72191dab1102]

Revert "Utility to scan for some faults in Thesaurus files"

Was added inside dictionaries/util already by Andras, and
it's much better placed there.

This reverts commit eacd806bcbe948b3ab8644eb59642b66946ba691.

2011-02-02  Thorsten Behrens  <tbehrens@novell.com>  [5d4a88219f441ba11d9b4d75eee928d4d127ad68]

Thesaurus checker script now even with executable permission


2011-02-02  Petr Mladek  <pmladek@suse.cz>  [6c71e593f01b44f48fdea51d941dd5a1a162aac8]

lo-commit-stat: really print the found bug numbers


2011-02-02  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d46eac2875814c183c5c1bcb879b01e76de9969f]

Initial support of system stl on Windows


2011-02-02  Mathias Bauer  <mba@openoffice.org>  [87615dd02c9c6b4864e884183cbdce0fe169543f]

CWS gnumake3: rename gb_StdLibs -> gb_STDLIBS; remove explicit linking of individual standard libs from makefiles; fix export problem in framework


2011-02-02  Ivo Hinkelmann  <ihi@openoffice.org>  [e425b04d091afae9fcb0a24aec4c117b418bb5ec]

l10nmove: #i116586# Move l10n module into own repository


2011-02-02  Steve Butler  <sebutler@gmail.com>  [eacd806bcbe948b3ab8644eb59642b66946ba691]

Utility to scan for some faults in Thesaurus files


2011-02-02  Ivo Hinkelmann  <ihi@openoffice.org>  [b00891add09e1aef50f1b4891d84a0cbcd24db9e]

l10nmove: #i116586# Move l10n module into own repository


2011-02-02  Tor Lillqvist  <tlillqvist@novell.com>  [1707a6678e492b2f19e82f68f0ec687c94ed7f9d]

Bypass more unneeded tests for Windows builds

The SIZEOF_LONG and WORDS_BIGENDIAN tests failed anyway because CC has
already been set to point to MSVC, but no required include and library
paths got used in the tests. The large file support test is equally
unnecessary, Windows has large file support and no special compilation
flags are needed.

Just hardcode the known values of the substitution variables for
Windows.

2011-02-02  Caolán McNamara  <caolanm@redhat.com>  [d3539afd369e4fa31eb4b6047c5c101dc4766c64]

Use DT_RUNPATH over DT_RPATH

So that dlopen will load the .so found in LD_LIBRARY_PATH before the one found
via path of ORIGIN, this way any unit tests trying to set a uno component
implemented as a shared library will test the local .so and not the one in the
solver

2011-02-02  David Tardon  <dtardon@redhat.com>  [70ba19e7ea4820a0acb7a16177b458e6af114c14]

Revert "use debug version of libstdc++ in debug builds"

This reverts commit 3d01d7d631a33670db50c7553bfcb7a670065dc3.

2011-02-02  Petr Mladek  <pmladek@suse.cz>  [5179850420e8212ea91e19b1bb557741a372e35f]

bump SHORT_PRODUCTEXTENSION to rc4 and widnows build version to 6

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-02-02  Hans-Joachim Lankenau  <hjs@openoffice.org>  [3afa27dff00f025d2a38ef0e739d6fba85e04f2c]

gnumake3: ignore empty lines in gb_deliver.log


2011-02-02  Hans-Joachim Lankenau  <hjs@openoffice.org>  [df2cd04ef6b540f5c5a1f44472f4f0df55f2d14d]

gnumake3: reenable packmodule target


2011-02-01  Andras Timar  <timar@fsf.hu>  [0db13a47d898e66b9c2f85baa4a04744d4287080]

padded nologobanner.bmp, new size is 102x58 - fdo#33372

signed off by tml_ on irc

2011-02-01  Mathias Bauer  <mba@openoffice.org>  [c5815fbce1f8ff8a3c1aa0c6a8d7bfcc37c3cec5]

CWS gnumake3: use standard linked libs on Windows


2011-02-01  Ivo Hinkelmann  <ihi@openoffice.org>  [34cdf6852db130c4c5fe7ec644c689802bb93ea2]

l10nmove: #i116586# Move l10n module into own repository


2011-02-01  Carsten Driesner  <cd@openoffice.org>  [2dbfed9d7bfa5bf9339dccade90b3a45d92a5257]

removetooltypes01: #i112600# Revert erroneous commit of dbgsv.ini


2011-02-01  Vladimir Glazunov  <vg@openoffice.org>  [c786078bba544c26112ac475d646f9a8ab876bec]

#i10000# regenerate configure


2011-02-01  Ivo Hinkelmann  <ihi@openoffice.org>  [07492b0204cf0d264dc644b4e39da37e0ee48915]

l10nmove: #i116586# Move l10n module into own repository


2011-02-01  Ivo Hinkelmann  <ihi@openoffice.org>  [53880aba6582ff1444be39f99df2bc3f41890609]

l10nmove: #i116586# Move l10n module into own repository


2011-02-01  Hans-Joachim Lankenau  <hjs@openoffice.org>  [573d35736c8f31d9de03ff20a8768dba62cae91e]

gnumake3: generate mixed mode tempfile names on windows


2011-02-01  Release Engineering  <releng@openoffice.org>  [07ee371896597b4085a4169a63e26eb977716671]

DEV300


2011-02-01  Hans-Joachim Lankenau  <hjs@openoffice.org>  [9c18d19af5a3ac2cad0c010144afae9e9620eb68]

gnumake3: prevent wrapping dmake makefiles from creating local output trees


2011-02-01  Ingo Schmidt  <is@openoffice.org>  [f0f4c26bfd09f58342c2ed5d050121a78f361162]

native359: merge


2011-02-01  Andras Timar  <timar@fsf.hu>  [990d04d2e17bdefd724674d4a1d5b22d00c543a0]

added Occitan dict pack to scp2


2011-02-01  Andras Timar  <timar@fsf.hu>  [e0fbe060b74ac134131baeb6c529836dd3031e04]

updated description of Russian dict pack in scp2


2011-02-01  Andras Timar  <timar@fsf.hu>  [ed1439ee95f2b65d0a55bdc76f86230d3bea7efa]

removed gd, ky, pap, and ti from postset.mk

gd - Gaelic (Scottish)
ky - Kirghiz
pap - Papiamento
ti - Tigrinya

UI localization does not exist in these languages. So it makes no
sense to build anything in these languages.

2011-02-01  Andras Timar  <timar@fsf.hu>  [14e52673fe64862b64bfdf37e8b5a31d0b1b1e3c]

removed ms, ps, and ur from postset.mk - fdo#33103

ms - Malay
ps - Pashto
ur - Urdu

UI localization does not exist in these languages. So it makes no
sense to build anything in these languages. This patch also fixes
fdo#33103 - 'Unknown' languages in Language drop down box in Tools
- Options - Language settings - Languages.

2011-02-01  Andras Timar  <timar@fsf.hu>  [0fc3da6228bc860245b36a85c1c5b9064808e045]

added Ukrainian dict pack to scp2


2011-02-01  Vladimir Glazunov  <vg@openoffice.org>  [41e877ae3d4b978e9a6290910fcb01e0c4c7a909]

CWS-TOOLING: integrate CWS writerfilter09


2011-02-01  Baptiste Daroussin  <bapt@freebsd.org>  [305c3fbfb432558bef1775f769cd81d365d0353c]

accept bsd-tar as well as gnu tar


2011-02-01  Vladimir Glazunov  <vg@openoffice.org>  [7e4a4264603d5d3c4a08b2c1350f04bb349bfcd2]

CWS-TOOLING: integrate CWS dba34b


2011-01-31  Baptiste Daroussin  <bapt@freebsd.org>  [68c4fdfadfc9b4774e812ef416edce17ebf55adf]

initial FreeBSD work


2011-01-31  Petr Mladek  <pmladek@suse.cz>  [92f5700e921e2dbd31f93f90d298c83bbee8b528]

lo-commit-stat: new script for analyzing commit logs

this script can be used to generate the weekly news, release news;
it might be extended to do even more commit statistics in the future;

2011-01-31  Michael Stahl  <mst@openoffice.org>  [a5013612cdbc79e2f3dec03fbe0397c0fc9b0b43]

gnumake3: #i116496#: support for Werror (for now can only be disabled globally)


2011-01-31  Michael Stahl  <mst@openoffice.org>  [a9600ed91df55cc406345f90778969734c525240]

gnumake3: configure: set $GNUCOPY on all platforms


2011-01-31  Michael Stahl  <mst@openoffice.org>  [2682cb48e17bb4661eaa9ad1872245c06b63e979]

gnumake3: #i116711#: clean up tempfile creation: use $TMPDIR instead of workdir


2011-01-31  Michael Stahl  <mst@openoffice.org>  [dfd2d862aa3dbcca855f2265aa84f3f0a68803be]

gnumake3: add gb_Library_get_runtime_filename (for dlopen etc.)


2011-01-31  Mathias Bauer  <mba@openoffice.org>  [2b1336a4a284719ac96967f10b90f71b573949ac]

CWS gnumake3: build Java targets in case env variables for compiler are not set; remove superfluous dependency on java interpreter


2011-01-31  Mathias Bauer  <mba@openoffice.org>  [92ba33ca8bc2a7484cdb159a584c75abd3a60934]

CWS gnumake3: workaround for cygwin coredump; don't create deliverlog in parallel


2011-01-31  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [558c49e5030a4a24c4202e5533ea871867bd9902]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba34b


2011-01-31  Mathias Bauer  <mba@openoffice.org>  [53e4fee66240025d4c47b5e9c45d96f42d6176e4]

CWS gnumake3: enable compiling without optimization


2011-01-31  Francois Tigeot  <ftigeot@wolfpond.org>  [5b802c81eff65f3ea1002b798bc2d1c204291e65]

add initial dragonfly support


2011-01-31  Juergen Schmidt  <jsc@openoffice.org>  [a64d37838dec49c4a19ebb54c0fc9797a21570b7]

jsc340: merged to dev300m98


2011-01-30  Mathias Bauer  <mba@openoffice.org>  [276bf8c8bf9cde98bdcb500e4eb29a93790f4aa6]

CWS gnumake3: merge minibranches


2011-01-30  Jesús Corrius  <jesus@softcatala.org>  [b303988ced93a1b382e40c1faad4be84380b8d91]

Change registry prefix values loffice, libreoffice -> LibreOffice


2011-01-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [90708ab4c6a84f25f56d7f02e3f7dd3b9d6603b5]

Fix a copy&paste error


2011-01-29  Mathias Bauer  <mba@openoffice.org>  [de9d59ee721999ef136c169581d01cb79e23058f]

CWS gnumake3: a remnant of ENABLE_VBA


2011-01-29  Caolán McNamara  <caolanm@redhat.com>  [3bbb389243fbca174ffb1ba13a7ab83bd274fb57]

Resolves: fdo#31271 wrong line break with ( (cherry picked from commit de475b03b02e4cac162b517f7d9f302b6134d546)


2011-01-29  Caolán McNamara  <caolanm@redhat.com>  [665e13d4c930921babd6b4a7474b2c0763fee99d]

Resolves: fdo#31271 wrong line break with (


2011-01-29  Andras Timar  <timar@fsf.hu>  [e3710219d77417aeb35c8112a993be7d2f6327d3]

updated description of Russian dict pack in scp2


2011-01-29  Andras Timar  <timar@fsf.hu>  [7b1532d80896d8a2d6b56ad6e9f57a7d99e7221d]

added Ukrainian dict pack to scp2


2011-01-29  Andras Timar  <timar@fsf.hu>  [e5e53d18f83a53e66d21a058a96e5a5410e54681]

added Occitan dict pack to scp2


2011-01-28  Mathias Bauer  <mba@openoffice.org>  [e4bb272c1b250a52527e16ac11c47116f93d00b6]

CWS gnumake3: fix broken configure


2011-01-28  Mathias Bauer  <mba@openoffice.org>  [1c8f0a1dbe47830557e93a7c292050edc9f25e0e]

CWS gnumake3: kill ENABLE_VBA


2011-01-28  Mathias Bauer  <mba@openoffice.org>  [3a11b76c9d2e40fbac4056a4306fe4bf43d5141a]

CWS gnumake3: wrong dependency caused permanent delivery of headers


2011-01-28  Mathias Bauer  <mba@openoffice.org>  [1c42e897cf58571f9d9a6f74098d76ba85e5da82]

CWS gnumake3: replacement of cygpath by variables was broken


2011-01-28  Hans-Joachim Lankenau  <hjs@openoffice.org>  [e5a2a0353867b5599d2076e83894e0722904fd88]

gnumake3: remove comphelper version; fix including extract.hxx


2011-01-28  Vladimir Glazunov  <vg@openoffice.org>  [992174f408ec76c5cab27afb8008899d0942feee]

CWS-TOOLING: integrate CWS undoapi


2011-01-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [af342861be2665854ae1c9cfe3c7f7bab1ff2fee]

undoapi: pulled and merged DEV300.m98


2011-01-28  Tor Lillqvist  <tlillqvist@novell.com>  [4467e920190d26cf2defeb0b723ffacea1b4ce8b]

Minor cleanup

When JAVA_HOME is empty or "NO_JAVA_HOME" don't use such paths in ILIB
or SOLARINC. Use $INCLUDE consistently everywhere instead of
$ds."include". Avoid duplicating the DirectX include in SOLARINC.

2011-01-27  Eike Rathke  <erack@openoffice.org>  [dc0da0d3714585254e257f44d9f9e8cc2a79b24a]

locales34: #i112240# for system icu >=4.4 add Close_Parenthesis to $CL Close_Punctuation; patch from <cmc>


2011-01-27  Caolán McNamara  <caolanm@redhat.com>  [eb54ecb4bfb9337853db318d2c2b12b201262ed9]

get this hack working for gcc 4.6.0


2011-01-27  Caolán McNamara  <caolanm@redhat.com>  [ed0d177850f22a5a5a07f9e129b7136e48a3715b]

gagh, didn't mean to commit that


2011-01-27  Eike Rathke  <erack@openoffice.org>  [e9176e02ab8fa6244b213b59428b90c499631354]

locales34: #i106785# add Haitian_Haiti [ht-HT] to language list and locale data; locale data contributed by <jcpoulard>


2011-01-27  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [6cf3f25810170d0e8f80b29396f95e464d984a68]

Update from sibling repository.


2011-01-27  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [f9e9f0d8927bddfc9f2f3089ed82d2e0c65997ab]

Update from master repository (DEV300_m98).


2011-01-27  Vladimir Glazunov  <vg@openoffice.org>  [27cc36bc70c7d141ed7d4b4c31440f08aa985900]

CWS-TOOLING: integrate CWS kso48


2011-01-27  Vladimir Glazunov  <vg@openoffice.org>  [c15ce235db61dca9fdcc80e5d88fcd2237e5af01]

CWS-TOOLING: integrate CWS tl84


2011-01-27  Caolán McNamara  <caolanm@redhat.com>  [894383751e0650a7d22bd5338f2df65a69c77250]

don't want to include internal headers


2011-01-27  Michael Stahl  <mst@openoffice.org>  [55013f83bd41e701f1187364d2cfffc33b75c3b0]

gnumake3: activate GNU make job server for CustomTarget


2011-01-27  Michael Stahl  <mst@openoffice.org>  [1811fa29ca275e04af33d5fbd1c0f5f14a5c40d6]

gnumake3: fix various bugs in CustomTarget, add OUTDIR dependencies


2011-01-27  Michael Stahl  <mst@openoffice.org>  [edcc51bc5a604227fc5c328614bb1ea1b6dcc3a4]

gnumake3: add GenCxxObject class, for generated C++ files


2011-01-27  Michael Stahl  <mst@openoffice.org>  [9eef24916ae02a1f075f170acab5cad1629b6188]

gnumake3: move xsltproc stuff out of ComponentTarget, export gb_XSLTPROC


2011-01-27  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [cc20330f0dafb4415c00fe68fe029fc8c8cd2b14]

set_soenv.in: fixed FRAMEWORKSHOME path prefix for MacOSX JavaVM.framework.


2011-01-27  Caolán McNamara  <caolanm@redhat.com>  [488a4dd14cba6231d33ed0f86e45bf68c9109a11]

--fexceptions -> -fexceptions


2011-01-27  Mathias Bauer  <mba@openoffice.org>  [66f08869c82a5d62cc7b3ea01b40b30a370cbb07]

CWS gnumake3: remove gengal


2011-01-27  Mathias Bauer  <mba@openoffice.org>  [d87e63f70e3e537bb4b2958a5dcb781c3fa020da]

CWS gnumake3: fix build breakage caused by missing sdf files for localized builds; fix localization of globlmn.hrc


2011-01-27  Mathias Bauer  <mba@openoffice.org>  [ed13f2e5e5f98d287e570119d2170dbcb2127cf2]

CWS gnumake3: merge minibranches


2011-01-27  Mathias Bauer  <mba@openoffice.org>  [9d489259f2353026a1b8a8cf68f5dfed072eebff]

CWS gnumake2: use temp files for long command lines; missing include path in editeng


2011-01-27  Jan Darmochwal  <jdarmochwal@gmx.de>  [be6e1d83870452d9dcc8f7ceb8db72bbe9c3fe4f]

Accelerate Perl installer builder

speed up collect_directories_from_filesarray
eg use $a .= $b instead of $a = $a . $b

2011-01-27  Tor Lillqvist  <tlillqvist@novell.com>  [84a58c3750acddd2e57dbd1793b106662c1168d5]

Exit early if there is no doxygen


2011-01-27  Tor Lillqvist  <tlillqvist@novell.com>  [fe623df79b4b57d6135772b3f0bd49ebd9d249ef]

There is no SJLIB


2011-01-26  Tor Lillqvist  <tlillqvist@novell.com>  [f80e22038b7f7ba74ba9dfb81c357bd280aa0ec5]

Don't hardcode SOLAR_JAVA always to TRUE, winenv.set.sh sets it or not


2011-01-26  Tor Lillqvist  <tlillqvist@novell.com>  [f53ddd4be9ef1409f6e4f2323284359f9d7adb1c]

Check also $JAVA_HOME being set to "NO_JAVA_HOME" by the configure script


2011-01-26  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [6ccbc8faeb1108d93db6319e9f73f5d409ee72a7]

gnumake3: merging minibranches


2011-01-26  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [d2f6c63bfcc69e45f883636a0feae8fbf8844ecc]

gnumake3: fix dependencies on CustomTargets


2011-01-26  Mathias Bauer  <mba@openoffice.org>  [c3b911d26e94df9b6010024cadf0ca7b55e278f3]

CWS gnumake3: fix component location for msforms; change library name for msforms; change file names for gengal


2011-01-26  Michael Koch  <miko@gmx.ch>  [306edf833cd894382e8c8ea040c88c875e259d44]

Added script to search for unnecessary newlines

Script recursively searches directorys for
consecutive "empty line(s) - code line" groups

2011-01-26  Tor Lillqvist  <tlillqvist@novell.com>  [a0c1303e621ef09929448a59d40e7a1dc62e3522]

Improve Java tests on Windows


2011-01-26  Tor Lillqvist  <tlillqvist@novell.com>  [b1f7644461d1bec6e83e0da8aaa66106940edfec]

Drop CWS-related and "Heiner's proprietary" code


2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [c86045e57566e51abd64cf0d910b48dce68a0abb]

don't check for visibility bug on Darwin


2011-01-26  Mathias Bauer  <mba@openoffice.org>  [9478b78f20b01fe95e49018399396bd88906b121]

CWS gnumake3: wrong license header in solenv, missing d.lst in sot and vbahelper


2011-01-26  Carsten Driesner  <cd@openoffice.org>  [422d5fa0f967cf64b539c33abf9dfea7cc756b50]

gnumake3: adjust comphelper to new build env


2011-01-26  Thomas Klausner  <wiz@NetBSD.org>  [2eee81c2c27eadc01f2a168d46571d7e9093a29b]

Pass thru PYTHON, found by configure.

Will be used by filter/source/config/fragments/makefile.mk.

2011-01-26  Mathias Bauer  <mba@openoffice.org>  [1c1dee16e18ac3364398f73eb9e8ea1989a92231]

CWS gnumake3: several clean ups and fixes in makefiles


2011-01-26  sb  <sb@openoffice.org>  [0768994c5bec60f9a4c4d9940145e7e3eb5030fe]

sb138: #i116038# fresh implementation of binary URP bridge


2011-01-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [1a5aacad1bb930abef408db41c824ded65943440]

gridsort: pulled and merged DEV300m98


2011-01-25  sb  <sb@openoffice.org>  [04feb3229a10a2874d585d0f4be0d93ba1c646e0]

sb139: #i116612# fixed solenv/gbuild/platform/linux.mk typos when linking executables


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [78892ca7eedbc51246d9859a51a627cb4236f3ce]

CWS gnumake3: resync to m98


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [b8fe42cdba9949b21fa27dd20277b77cfc323dd5]

CWS gnumake3: fix license headers


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [1e0601c26d5d778d3812c7b98ce489f27eb32a0c]

CWS gnumake3: merge minibranches


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [8d026c7aa9e3b1c2070338fb7a7c71a19c164c63]

CWS gnumake3: fix broken dependency generation on Windows


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [a6ede145ab1823275ce175da36c071e9bd19bf36]

WaE: gcc 4.6.0 various warnings


2011-01-25  Vladimir Glazunov  <vg@openoffice.org>  [9867db05d835d44fa64b4605abad2490f0e6df87]

#i10000# #i10000# changes from OOO330 m20


2011-01-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ed0a463ff320743c6d083237b1c5cc41ce49ac08]

gridsort: pulled CWS dba34b


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [7ae6d4e27591045bbf7581cb327cafc324f087b5]

CWS gnumake3: convert editeng module to gbuild


2011-01-25  Tor Lillqvist  <tlillqvist@novell.com>  [43e3b9af8f5d85f06485e74b1080cc6a6a86eac4]

No ddraw.h or ddraw.lib in the June 2010 DirectX SDK


2011-01-25  Tor Lillqvist  <tlillqvist@novell.com>  [50c4be5352b1b8518bddb81aa2cf3d0b66a94b80]

Improve MSVS version message


2011-01-24  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [fab1ce25cf1610074f309169f06d78d5f09e4d82]

gnumake3: adding a CustomTarget to a package should set it up too


2011-01-24  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [43aa263e2a143b981fe9a582b5f604b0ee9bfeb5]

gnumake3: merging minibranches


2011-01-24  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [53c292c17a6a24479104e531732c5a3c0bb6ecad]

gnumake3: small fixes to CustomTarget implementation


2011-01-24  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [46d68c5496870260d8d3f029fd87b7ede5775448]

gnumake3: adding experimental support for CustomTargets


2011-01-24  Mathias Bauer  <mba@openoffice.org>  [a6cafc145ee5057e996f8df9dee70e78476225b7]

CWS gnumake3: build gengal with gbuild


2011-01-24  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [04a210a4923cf350b08b466c0e6f2579011a7c39]

Helppacks building not supported on mac, don't attempt to build them.


2011-01-24  Mathias Bauer  <mba@openoffice.org>  [128ea1b3f5209e821833925c2a34eb34019c0886]

CWS gnumake3: merge minibranches


2011-01-24  Mathias Bauer  <mba@openoffice.org>  [6f435130afde5e3b54a9477cede9d9e025d3dd0e]

CWS gnumake3: make sure that an ilib is always created by the linker


2011-01-24  Mathias Bauer  <mba@openoffice.org>  [a0f754ac1d7283840a3658271ba4c6d1143a4a1a]

CWS gnumake3: remove ilib incase dll is not created


2011-01-24  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [e9b1307f2359f45b4cf0797682daae5270551cb6]

Update from master repository (DEV300_m98).


2011-01-24  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [d8afab085b9c48e931608435e67b5d1711b925cc]

build.pl: fixed ignore errors case.


2011-01-24  Andras Timar  <timar@fsf.hu>  [7a2e524fe4e6b9a4e4ae63ed1e57d7fbb044593a]

typo fix in configure message


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [6064fb37e83f9de1cca868a9604b2c299179675d]

Improve the Windows download code

Mark dbghinst.EXE as executable (from Cygwin's point of view) if
necessary.

Warn that running the security fix installer containing gdiplus.dll
might cause a UAC prompt, and instruct the developer what to do. Be
more verbose in abnormal situations after running it.

Drop some pointless messages.

2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [cb474209c04e5a26e13a8c0b524491e60124f01a]

Show more commands before executing them

I understand that for commands repeated hundreds of times deeper down
in the build it is a good idea to make them silent in makefiles, to
reduce the amount of output. But here commands are executed just once
when running make here, no need to hide them. (Except echo commands,
they should be hidden.)

2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [62fb0fa5f3cfafca0f57050c3c4784fb06dbcd43]

Clean up messages from the Microsoft assembler configury a bit


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [4a1f8292605edeb00ebd942eacfd57adfcd1787d]

Include the wntmscx build directories


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [052da73d174186676be46b22ae83a22310657a3a]

Missing NSIS is not really a cause for a WARNING


2011-01-24  Luboš Luňák  <l.lunak@suse.cz>  [00338ddce2bdce43ecb420b31b0ef1538c1f204b]

get rid of --noinhibit-exec linker flag

This option basically allows creation of binaries even if they are
broken and unusable in practice, which is definitely not wanted
(it e.g. allows "successfully" creating a binary that links the wrong
version of KDE libraries).

2011-01-24  Henning Brinkmann  <hbrinkm@openoffice.org>  [b99c6db1cdd7d243b67b0e7496f8f9eee2208de7]

merged DEV300_m98


2011-01-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d3a4702de8428109a906bad9776be4cfb4bf38b2]

upgrade libwpd to 0.9.1

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [f80b51db4ac465bd5e3c579dee57741ed1721a0c]

Use DLLPOSTFIX "mx" for wntmscx


2011-01-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [75f7df9aca623d841146cbd5fc43b56cb2ae616f]

upgrade libwpd to 0.9.1


2011-01-22  Andras Timar  <timar@fsf.hu>  [d0db85706520ef8a09973cbda7208f71ca3a8c0e]

removed gd, ky, pap, and ti from postset.mk

gd - Gaelic (Scottish)
ky - Kirghiz
pap - Papiamento
ti - Tigrinya

UI localization does not exist in these languages. So it makes no
sense to build anything in these languages.

2011-01-22  Andras Timar  <timar@fsf.hu>  [4fc1aa53eba6a170bcc6aac57d8e8454a6bdbbd7]

removed language code 'kid'

kid is not Koshin but key id pseudo language which is good for
debugging UI but should no be included in the product
Signed off by Fridrich on irc.

2011-01-22  Andras Timar  <timar@fsf.hu>  [1ff6ef32ffb06c85bde3538a39f9357c36e11df8]

Added ast, ca-XV, and id, removed sc (postset.mk)


2011-01-22  Andras Timar  <timar@fsf.hu>  [19efd06dcea5fc772aae26d1bc152c6acaa8fb17]

removed ms, ps, and ur from postset.mk - fdo#33103

ms - Malay
ps - Pashto
ur - Urdu

UI localization does not exist in these languages. So it makes no
sense to build anything in these languages. This patch also fixes
fdo#33103 - 'Unknown' languages in Language drop down box in Tools
- Options - Language settings - Languages.

2011-01-22  Tor Lillqvist  <tlillqvist@novell.com>  [e2a3ac2773fb3303dff0a925743ce9ed2f29d6d1]

Don't use BOOST_MEM_FN_ENABLE_CDECL on x64 Windows

cdecl is the only calling convention anyway, and using
BOOST_MEM_FN_ENABLE_CDECL actually leads to compilation errors for
instance in basegfx.

2011-01-22  Tor Lillqvist  <tlillqvist@novell.com>  [a1ba722b20aafb0a4b156d6a241e2a6845620b64]

Don't strip _ prefixes for x64 Windows


2011-01-21  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [7b397481dfbc81cefd9041c31da9bd34e0474ca0]

gnumake3: #i116546# adding a showdeliverables target


2011-01-21  Mathias Bauer  <mba@openoffice.org>  [6328d95b0f14413cc505bbcb3c87dd88191b3ca8]

CWS gnumake3: pdb location


2011-01-21  Carsten Driesner  <cd@openoffice.org>  [355f25f5380bc7f6cf67822795b9025023131f25]

removetooltypes01: Rebase to DEV300m98


2011-01-21  Mathias Bauer  <mba@openoffice.org>  [4991753e252e1fa1a0a750ad8359798e1de2bf6d]

CWS gnumake3: #i116349#: patch conversion problems fixed - thanks to cl


2011-01-21  Mathias Bauer  <mba@openoffice.org>  [cffc0a1a729fd7808ee228ebc55eb8182c0ed23d]

CWS gnumake3: anonther fix for cppunittests in Windows; fix pdb builds when building with pch


2011-01-21  Luboš Luňák  <l.lunak@suse.cz>  [618e7312633aa110ee146f61545a72293febd811]

make ooenv work even when not invoked when in its directory


2011-01-21  sb  <sb@openoffice.org>  [924a2883953920e3e254ee4bacbcc94f15572bb1]

sb139: merged in DEV300_m98


2011-01-21  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [6ce0154d1ddf21d0d374455eeef06269d776eef0]

gnumake3: updating clean targets


2011-01-21  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [47ae9e47245ff0238cc1f706bb2b4a96068e63b5]

gnumake3: merging minibranches


2011-01-21  Carsten Driesner  <cd@openoffice.org>  [2cb64e3f4ac39848fad90c9017e296e4b5cb8b24]

removetooltypes01: #i112600# Merge changes


2011-01-21  Carsten Driesner  <cd@openoffice.org>  [c8ee80f7973dfa7bb31d6104223d070da7d2b061]

removetooltypes01: #i112600# Fix build problems on non-pro


2011-01-21  Michael Meeks  <michael.meeks@novell.com>  [88fd87f21e846e4714640d714e835d839268676d]

don't use -f flag if we just removed the existing link, thanks Florian


2011-01-21  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [04276ae4b2770c83ada9fdaf358c7cfe9700befa]

gnumake3: fixing gb_CppunitTest_get_libfilename for unix


2011-01-21  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [4c49da342241ee4cfe84fd7a2e3d1ffc30b29629]

gnumake3: more readable windows link command


2011-01-21  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [74461afbd07bccc34ccf4250ffa46cf47c47925e]

gnumake3: refactoring of gb_*_get_linktargetname


2011-01-20  Mathias Bauer  <mba@openoffice.org>  [7953d3afec02f927c235273c62b2b025194be8bb]

CWS gnumake3: merge minibranches


2011-01-20  Mathias Bauer  <mba@openoffice.org>  [b42ca1f6bb40e35ceacf6601aa73de7cb2c16eb2]

CWS gnumake3: -D_DLL is needed on Windows; removed superficial _DLL_ usage all over the place


2011-01-20  Mathias Bauer  <mba@openoffice.org>  [5fb319163cab6276540da2f930d60a99858d3a89]

CWS gnumake3: first draft of new makefile templates


2011-01-20  Mathias Bauer  <mba@openoffice.org>  [fd5198bb963a79b5cfab035c72363c797d0ede9a]

CWS gnumake3: fix cppunittest on Windows


2011-01-20  Ivo Hinkelmann  <ihi@openoffice.org>  [917fb12ed825801cb8127e4c3f8d8ada7f7c579b]

masterfix: #i10000# new configure gen.


2011-01-20  Michael Meeks  <michael.meeks@novell.com>  [ffdb00633596b4b1edcc64b09c2ac95e1d4669b7]

Add --rewrite-account [username] option, inspired by Christina Roßmanith's work


2011-01-20  Michael Meeks  <michael.meeks@novell.com>  [52dc7cfbcdd2b71d789ec1068bebcde44235dcdc]

cope with change of path, and broken absolute links this generates


2011-01-20  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [7c8d3b870c9cea1a45e873afb969d9aaf53e60a0]

vcl118: #i116501# additional needed fixes for gbuild migration


2011-01-20  Miklos Vajna  <vmiklos@frugalware.org>  [5e7d47da56c9b35331756bcb915b23e2f14a62d6]

git-hooks: warn about undocumented classes in new hxx files on commit


2011-01-20  Miklos Vajna  <vmiklos@frugalware.org>  [3a1b3cc84ed3972339bb352573f98ba0f8770b95]

find-undocumented-classes: move from build repo


2011-01-19  Caolán McNamara  <caolanm@redhat.com>  [430a49257e1db18171e457c734de5b412c6ffb02]

use new differentiated dmake return value to decide if regenerate dependencies


2011-01-19  Caolán McNamara  <caolanm@redhat.com>  [8c3028d5a3681a03b59e715b9aba3174ba1a8953]

distinguish between failure exit due to dmake failure vs signal aborted


2011-01-19  Norbert Thiebaud  <nthiebaud@gmail.com>  [57ac77e0104d5bd9e9e37ffa8ad24c0ce81894af]

Revert "starmath need to have _DLL_ defined, even on MacOS"

This reverts commit 60d98f881effca97b0165c8d391950e0d5da3e3d.

This is not the proper way to solve this problem. starmath should not depend on _DLL_

2011-01-19  Hans-Joachim Lankenau  <hjs@openoffice.org>  [973880cd02e3cd204df746f285ba08c51e991556]

gnumake3: #i116265# support WITH_LANG=ALL - new files


2011-01-19  Hans-Joachim Lankenau  <hjs@openoffice.org>  [0f657f8b5757c7dc43c54d5f25391e190265f7b0]

gnumake3: #i116265# support WITH_LANG=ALL


2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [4727315790f28046a2594ab416d35347ca8cc7b2]

gnumkae3: fixing botched merge of windows.mk


2011-01-19  Caolán McNamara  <caolanm@redhat.com>  [91d188bc800700e196b55e8702be70a79c10accb]

Related: rhbz#670895 don't halt build if zenity crashes


2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [7cdab1c7e3455b7b3e3e43d72d5301cbe262655e]

gnumake3: merging minibranches


2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [51665bf714fd0a2923d24cde755e599727988f6d]

gnumake3: mergeing changes from DEV300_m97, fixing jars for svl complex test, deliver globlmn.hrc for now, adding component registration for svx libraries, still misses gengal and friends when packing


2011-01-19  Release Engineering  <releng@openoffice.org>  [a988150129c2b78f3520e001564e5e586b64a92b]

DEV300


2011-01-19  Carsten Driesner  <cd@openoffice.org>  [a6d8e5697bd2fc9d2d4766e78455e75e4aa9b77a]

removetooltypes01: #i112600# Make changes for MacOSX to remove tools types inc VCL and other projects


2011-01-19  Mathias Bauer  <mba@openoffice.org>  [59c1890fbc16d60b7e838db8562b0055c1947339]

CWS gnumake3: merge minibranches


2011-01-19  Mathias Bauer  <mba@openoffice.org>  [7c3e3e6fa4eea4d3a7e2bebd8c0bc5fe486e33dd]

CWS gnumake3: some more fixes for windows and svx; remove superfluous code in starmath that still used old _DLL_ define


2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [a75cf5d3c3fb9dcb2db63efd7d22aa76acc89e03]

gnumake3: merging minibranches


2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [9951d906754ca0fff1671f030a23028c4c55f9e7]

gnumake3: #i116390# finishing support for Junittests in gbuild


2011-01-19  Mathias Bauer  <mba@openoffice.org>  [166df044d3369b0f183af091687febc67711a21d]

CWS gnumake3: repair windows build; convert svx to gbuild


2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [5fcc5fa4caab2c8baff36f8fe36923d77d7a46e6]

gnumake3: #i116423# enable -Wl,--hash-style=both on linux only when supported


2011-01-19  Ivo Hinkelmann  <ihi@openoffice.org>  [74d06d40cc64918d0b8c945b36b0a07595dc7559]

CWS-TOOLING: integrate CWS sb135


2011-01-19  Ivo Hinkelmann  <ihi@openoffice.org>  [8201f3115e60680812225ca126e1b0baed89e41f]

CWS-TOOLING: integrate CWS mingwport33


2011-01-19  Tor Lillqvist  <tlillqvist@novell.com>  [bf238b08102a10e11133292d9778950e3fad2541]

Use ml64 for wntmscx


2011-01-18  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [5a42192a86381b58f6327d5630031e889d22ab37]

gnumake3: more mac fixes


2011-01-18  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [f9055b3c542c0e2efc21a814e04444c7bd64c21a]

vcl118: #i116501# migrated padmin module to gbuild system


2011-01-18  Ivo Hinkelmann  <ihi@openoffice.org>  [54d75923e7702515214a1718b8ed165d7b228e87]

CWS-TOOLING: integrate CWS vgbugs13


2011-01-18  Ivo Hinkelmann  <ihi@openoffice.org>  [33682c34c04969e480fccdf84e82445c53583a7b]

CWS-TOOLING: integrate CWS native353


2011-01-18  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [3000b34332494e174072b1061f5cab897c337fd5]

gnumake3: mac gbuild fixes


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [764d5e864d613d4366c32511f8909216bb07bc97]

spit error to stderr so that it's visible


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [e444d122dbe897a5753e9b315600d288ad6262c3]

tweak G_SLICE to canonical always-malloc


2011-01-18  Jan Holesovsky  <kendy@suse.cz>  [99d6156fc6d9387b3c318074f2cd30647dec6792]

Fix ./configure on 32bit Windows.


2011-01-17  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [64d998f6a16446615ec3b4f339aff851290fd9f8]

gnumake3: using \d escape sequence in rapths to avoid expansion annoyance


2011-01-17  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [37705446d2eec207d9e0e3d39997792229fb8b1f]

gnumake3: fixing broken AllLangResTarget.mk


2011-01-17  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [eb0c2bbce410a277c5bfb65f7d743258c9e0ee7b]

gnumake3: merging minibranches


2011-01-17  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [e1d2f611e721667f1ec52f280ca5e443145e81a1]

gnumake3: make componentfiles layer-aware (thanks sb for the initial implementation)


2011-01-17  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [bca66fbaa119ac3ee09a497900fd3898e3f42d20]

gnumake3: do not generate an obsolete $(WORKDIR)/inc by SdiTargets


2011-01-17  Carsten Driesner  <cd@openoffice.org>  [61a37a558b25e180b6183d79889e9ab511361aaf]

removetooltypes01: Exchange type for BuildStatus


2011-01-17  Release Engineering  <releng@openoffice.org>  [d2dab25351cb36e9c2406a7f1991ca28d11fbd03]

OOO330


2011-01-17  Ivo Hinkelmann  <ihi@openoffice.org>  [a57e04deab5eb8b9bd3f2ae2d8468bd465a8a34a]

masterfix: #i10000#: mkdtmp -> /usr/bin/mktemp


2011-01-17  hb  <hbrinkm@openoffice.org>  [6d3cce41f849133919bb2620b5447bdf10327ee6]

merge


2011-01-16  Norbert Thiebaud  <nthiebaud@gmail.com>  [c2c0eac5dcc2f65932681bf4daa26745c6959f88]

tweak library name on MacOS


2011-01-16  Norbert Thiebaud  <nthiebaud@gmail.com>  [60d98f881effca97b0165c8d391950e0d5da3e3d]

starmath need to have _DLL_ defined, even on MacOS


2011-01-17  Tor Lillqvist  <tlillqvist@novell.com>  [d4d0597b28f3711defa596baaaeaf0ea9a062ac4]

Add remangle32to64 script

A Perl script to change MSVC mangled symbols from their form in 32-bit
code to the corresponding mangled symbols in 64-bit code.

The script is obviously not known to work 100%, but seems to work well
enough for the few cases in LibreOffice (.map files) it has been used
on so far.

2011-01-16  Jesús Corrius  <jesus@softcatala.org>  [aac47dc11beea0dda755dbf7e9fa973d367998c5]

Use different Windows registry keys than OOo


2011-01-16  Norbert Thiebaud  <nthiebaud@gmail.com>  [967a3da427384e1ba5262915e70e477cd0a69beb]

add helper to set-up the libraries env, to run executable during build


2011-01-16  Tor Lillqvist  <tlillqvist@novell.com>  [eed506911ae8c34fd561f4a068782f06d4f2c500]

Just use name wntmsc.mk for the MSVC .mk file


2011-01-16  Tor Lillqvist  <tlillqvist@novell.com>  [3ab15354d8ccc8cfce88ff8708f05e0f4e64ea4d]

Cleanups and improvements on the nascent support for 64-bit Windows build

* solenc/inc/settings.mk: Drop MSVC 2003 section.

* solenc/inc/tg_compv.mk: Set COMNAME appropriately for 64-bit build.

* solenc/inc/wnt.mk: Drop unsupported compiler version sections.

* solenc/inc/wntmsci11.mk: Look for the CL_X64 make variable, not
  cl_x64. Drop duplicate definitions already put in the environment by
  set_soenv.in.

2011-01-16  Tor Lillqvist  <tlillqvist@novell.com>  [299ddd26d120d0c86a226f156b50aba91bf24cc9]

Make 64-bit Windows build work in stlport

* stlport/STLport-4.5-0119.patch Add a few bits to our patch
  file. Don't use the /machine:I386 /debugtype:cv linker flags, the
  defaults are what we want for both 32- and 64-bit. Make the weird
  Interlocked* stuff build on a 64-bit build too.

2011-01-16  Tor Lillqvist  <tlillqvist@novell.com>  [1610cb28f92f89d9ebc43b4c5d2a96a2d9e7f806]

Cleanups and hacks on the start of support for 64-bit Windows build

* configure.in: Look for the x64 assembler ml64.exe when building 64-bit
  binaries, not ml.exe. Use the 64-bit tools in VC/bin/amd64, not
  the 32-bit cross-compiling tools in VC/bin/x86_amd64. We can
  currently build 64-bit only on a 64-bit OS anyway, for instance
  because of the unit tests.

* set_soenv.in: Set CPUNAME, CPU and OUTPATH appropriately for
  64-bit build. We end up with "wntsmcx12" for 64-bit MSVC 2008
  build. Drop sections for no longer supported MSVC versions. Don't
  talk about ".NET 2005" etc, ".NET" was part of the MS suite product
  name only in the 2003 version. Add Emacs and vim mode lines.

2011-01-16  David Tardon  <dtardon@redhat.com>  [3d01d7d631a33670db50c7553bfcb7a670065dc3]

use debug version of libstdc++ in debug builds


2011-01-16  Lionel Elie Mamane  <lionel@mamane.lu>  [d5d52311826da1284a3a6361f54644cd23b547be]

Make configure still work after Env.Set.sh


2011-01-16  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [f16cbbb6f5d718d84fee42025535d8441f6f72c8]

gnumake3: #i116440# configure should only use a GNU cp from coreutils with preserve= support and fall back to POSIX cp otherwise


2011-01-15  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [58930bca42ef6ee34aeddd3697b57412dbd6701e]

gnumake3: fixing layer names


2011-01-15  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [d82f203da56bfa701d33c0e11834e883554782f5]

gnumake3: reducing differences between platform files


2011-01-14  Norbert Thiebaud  <nthiebaud@gmail.com>  [b580079e372edce5061d1e9951d830bfa72f60ba]

the startmath module in Module_ooo must use the name of the directory


2011-01-14  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [4db2d3095727754dea8344e20d3605302d5e6e13]

gnumake3: reducing differences between macosx and linux platform files


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [15e69f7df43c06c76218f32b8ecc32e0f569bb04]

set G_SLICE if unset in valgrind mode for convenience


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [721284d45d88379bcb69bd69d05bbf4a43df668b]

set VALGRIND=memcheck to run unit test under valgrind


2011-01-14  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [3766320e008871929ccb87bdfe2bd0ec4d7be9d8]

gnumake3: reducing differences between macosx and linux platform files


2011-01-14  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [d0bc99f30384477d675509568f4c2eadfc909d33]

gnumake3: #i116362# fixing static linking on osx (part 1)


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [29aaffb1fac0c58f126cacc2a9395e5191caaa8e]

ironically --enable-werror doesn't do anything if all modules set warningfree


2011-01-14  Norbert Thiebaud  <nthiebaud@gmail.com>  [27a56317004b0085b93e5dad1cd23914c0423d44]

add starmath libraries to Repository.mk


2011-01-14  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [bdc48c81e97a7e58dfc10d3cc749ae990d0d7958]

gnumake3: #i116362# fixing static linking on linux


2011-01-13  Caolán McNamara  <caolanm@redhat.com>  [92120a767d8333225ce4211724d48d07792ca5a3]

Move this system-mesa-headers test inside opengl extension test

Here it only gets used for non-Windows and non-Linux. It will current defaults
to using these "internal" headers like we do for xrender and friends.

2011-01-13  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [f90ec000e441975e457876a64870879a5d26ac38]

gnumake3: refactoring gbuild linking to prepare for static lib linking fixing (some more for osx)


2011-01-13  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [f5d66bcbd84ea162d1f590f509050bb273d8fee5]

gnumake3: refactoring gbuild linking to prepare for static lib linking fixing


2011-01-13  sb  <sb@openoffice.org>  [39cc8cc60876c7686c6a7c86f4f2dd473c87a2ff]

sb139: #i116441# wrong dependencies in solenv/inc/_cppunit.mk


2011-01-13  Tor Lillqvist  <tlillqvist@novell.com>  [7cc14fb373ee9d07bb6d278d948b1f4fde2c6e9f]

Remove obsolete solenv/config


2011-01-12  Michael Meeks  <michael.meeks@novell.com>  [9fe021960f658c6421b9c660286674892332ab9e]

BrOffice Windows start menu branding


2011-01-12  Thorsten Behrens  <tbehrens@novell.com>  [e8f1b63300375bc624780a539ec44e077f7f653a]

Move CC/CXX saving to a safe place

AC_CHECK_LIB, AC_CHECK_HEADER etc tend to touch CC, so better
move saving of that var to an earlier part of configure

2011-01-12  Tor Lillqvist  <tlillqvist@novell.com>  [cab8756f8bcbaf55d84cb8763dcc24d9a554e026]

Remove leftover cruft from find -exec syntax


2011-01-12  Tor Lillqvist  <tlillqvist@novell.com>  [dd79ec8040b9b7a97c50e74602f78cfdfdfd6c45]

Add Emacs and vim mode lines


2011-01-12  Andras Timar  <timar@fsf.hu>  [b778cc499edcb36aeae456cd57908962fac883fc]

the name MySQL Connector lost the "for OpenOffice.org" ending


2011-01-12  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [30b44dcafc1512c54d4b5b897ac50dbae7cea485]

rebase to DEV300_m97


2011-01-12  Michael Meeks  <michael.meeks@novell.com>  [226ea21fddfad5140d229ddbde58854f0f7ac57a]

BrOffice Windows start menu branding


2011-01-12  Caolán McNamara  <caolanm@redhat.com>  [309f7cf88a1fd6d794c81434a90791b11fd3726a]

don't use -i with xargs


2011-01-12  tono  <tono@openoffice.org>  [9e44d0776fa1f3f222843ab0b263785c132cbc75]

mingwport33: i#116264: gbuild for MinGW - add oldname library for static libstdc++


2011-01-12  Mathias Bauer  <mba@openoffice.org>  [19c72da1f8007cdd53b51ef5d9fae6ca10d42b1e]

CWS gnumake3: #i116422#: convert svx to new build system


2011-01-12  Mathias Bauer  <mba@openoffice.org>  [47fff33117e26e307b87d3a5f778b68e2e953223]

CWS gnumake3: #i86790#: clean up mess with ooo+iso resource files


2011-01-11  Petr Mladek  <pmladek@suse.cz>  [9ec0ef6d5b13bf37c2594cea0350b669eff60066]

Please, ignore the previous message; it was for the libreoffice-3-3-0 branch

This is 'libreoffice-3-3' - the stable branch for the 3.3.x releases.
Only safe changes, reviewed by anoter person are allowed.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Wol  <anthony@youngman.org.uk>  [8d45a5690d04c75184021dfa906b17f7f806bf91]

Licencing files

Added the three COPYING files for the three licences,
and the TEMPLATE.SOURCECODE.HEADER to go at the start of new source
files

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [8c0a410c55f1fd8caf6b73eb5acca4260662bfe5]

Branch libreoffice-3-3-0

This is 'libreoffice-3-3-0' - the stable branch for the 3.3.0 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [ca4fb2e1f487293602fb66d43eb15422cddd4f49]

gnumake3: more work on junit subsequenttest migration


2011-01-11  Peter Jentsch  <pjotr@guineapics.de>  [1cc11ae2c5b1d3e208f0b26737317a391e0080e5]

Add alternative implementation of flat xml filter w/o xslt.

This filter implementation is directly based on
XmlFilterAdaptor and simply dumps the SAX events
provided by the XmlFilterAdaptor to an outputstream.
It currently still lacks the advanced pretty printing
available through split-long-lines.xsl in the xslt based
flat xml filter.

2011-01-11  Peter Jentsch  <pjotr@guineapics.de>  [0f21fe8938fd6b5e462dc07c03881c2c9ed318eb]

Added missing split-long-lines.xsl to installation list for xsltfilter.scp


2011-01-11  sb  <sb@openoffice.org>  [9475579a81f5764ad996a4e1ec2ddc9e34ed0962]

sb139: merged in DEV300_m97


2011-01-11  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [21a2c12a58444e1862aa304b38fab7af42b90a44]

gnumake3: updated module support for checks and subsequent checks, improved error reporting


2011-01-11  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [06b6b0d207ff90cb02582a9c0ccda8b8f7f9de6a]

gnumake3: renamed TestFixture to CppunitTest


2011-01-11  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [28c492d5b7cf2363e13b90529bc1885ee43d0909]

gnumake3: complex tests in sfx2


2011-01-11  tono  <tono@openoffice.org>  [a9d8363be905790208efbd8aff3462c414fc7111]

mingwport33: i#116264: gbuild for MinGW - fix wrong assignment to libgcc variable


2011-01-11  Andras Timar  <timar@fsf.hu>  [e70a2445c48c68d7c9bb0531ee92425d6599aa6f]

removed language code 'kid'

kid is not Koshin but key id pseudo language which is good for
debugging UI but should no be included in the product
Signed off by Fridrich on irc.

2011-01-11  Andras Timar  <timar@fsf.hu>  [21d95e97238323e33ae0475bde4a049adc6273a4]

Added ca_XV and ast name and description

signedd off by Fridrich on irc

2011-01-11  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [7b677e8ac6317b2f6dbecf72ef675821ca218d6b]

No need of creating the tags file in the two places


2011-01-10  Michael Meeks  <michael.meeks@novell.com>  [981e63a40a5918135f3547c849394a36f8012af9]

make linkoo scan the solver too, for Norbert's gnumake work


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [06458a84bbfc26ae7e52b7407bd5745275e907ef]

-Wunitialized is not compatible with -DDEBUG


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [bc032cfef34cb87c67fb842afa5494de04bc8b90]

rename gb_HIRESTIME to gb_LOWRESTIME. Assume highres precision by default


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [3c0f6189c22f27992d238def98353fe291c1598c]

add missing library for sc.  Massage the delivered libraries name.


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [0c9ddd12599817f20626bc8007b2da3a9307d8d7]

support USE_GMAKE=1 envvar to build with gmake the modules that can be.


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [7c980514224d252c0f15d0999c5ec5c19be91d6a]

add sc in the list of gmake-Modules


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [25a58c9921c8330d1b7ebe0a46cdb4bf30fbd3c7]

support for an alternate gbuild.lst to support gmake build

This is to support the possibility of building some modules with gmake
instead of dmake, while still maintaining the dmake method
fully functional

2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [f48bdd244c9574a2662353b562ca1831b99f5f5a]

add a few comment to balance quotes, to make the editor less confused


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [d012c83cf49b08d579efe7390ef97a1c6e2975a3]

add all the sub-directory of the RESLOCATION to search for resource

calc has its images split in sub-directory they need to be added
as arguments for RSC. the easiest way seems to add -lip=xxx for each
subdirectory in $(gb_ResTarget_DEFIMAGESLOCATION)$(RESLOCATION)

2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [4a289f0b2561dad595a2c4eb97f7f9e09fa8a28a]

add calc related library to the Repository


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [a2840c6504c755e4b9dc6d831dd1e829b02bb319]

tweak MacOs platform specific include to build on Macos


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [c9b2e5221706d921c134ed54c4e078ac91fa4e5c]

fixing variable exports for windows compiler (thanks ause)


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [5df8b44a2a51ba07d100bcf7ea31d61d861838c9]

fixing variable exports for windows compiler (thanks ause)


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [77cdf13172323ba30037180e181504b090212bf5]

also accept debug=t


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [5e27a068433b81f4bc1ab0721e9ef7213f1ebaa7]

fixing fix for error 134


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [825600bafcec26d505c0006be8fbdf983c5b7898]

removing subshell calls for now to avoid error 134


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [20dd628da58074398d5a231d1d9bca30e6df0ff6]

filtering compiler and java headers on windows for dep generation


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [3f9c6a60199cbb31a8a8f7565eda310b6682fe9c]

fixing broken makedepend behaviour


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [2e5820d7f839bd9a50457ec6fe2b93071e0163e2]

reverted some accidental changes


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [cac6bbe1b2ef9f87cb98b7e643fd5dc45437c0ef]

fixing ::rtl::Reference/::uno::Reference collision, which broke PCH


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [2ee4db8e670a178a271bfa3cc20dfa4beb61826f]

#i105735# removed obsolete defines


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [50caee1f7fe8e8e5727bf88497f200249f66973d]

fixing DEFS and CXXFLAGS (this is needed for PCH on windows)


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [618fe4615c920d709b4d1e9ef4084c12623e0457]

setting INCLUDE, INCLUDE_STL, DEFS on header target (for PCHs on Windows)


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [9773cc68a7d1eeb8f3114bac432094c8a35faff6]

fixing filtering of PCH define for dep generation


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [0ca0a35e0aaa6b17816e40135a405cba75e9f65d]

added gb_HIRESTIME to allow getting rid of LOW_RESOLUTION_TIME warnings


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [c1cf962605f3413a34c1d59113a8f28441a916f0]

solaris awk does not close stdin when not input file is given explicitly


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [38b875cd0b9b6bad1b6f4cd04fbfd82e742e30d8]

gnu copy should only preserve mode and timestamps


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [52ba3e9ec368b1459cf5b15382cc9595a7c96cf5]

decrypted confused comment in LinkTarget.mk


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [5738af256101cc0dbf9b35c721c6d53e354f47ae]

add debug info; restore some of the old windows link/compile switches


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [2ed77a3df4f4f22fdc689559da01372d772e34dc]

using awk instead of echo for better portability


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [f8d84fbd6ad018496d6dd894822069da8726ce60]

fixing gnucopy hack


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [3f209bf894395f76881d744ad5262756c9715ec8]

use gnu cp when available, fallback to posix tools outherwise


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [d354738df0c0469db339004f87e65dec7c07c360]

low resolution time for deliver files


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [fdd8fd6398d853f6cc6a4e2324ca038a57ce3b7f]

fix windows link switches


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [212a3aa8f39192b926948954553895594d3a2354]

fixing auxtargets for windows without crashdumper


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [6c643932434a2d891951e83d1f2e21372935f065]

fixed pch for full builds without an explicit setting of defs with _set_defs


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [93db75eb53032a62dff3dcab529092f3dbec6b10]

deal with .pdb files


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [c61c20d0edc3440dbe91666c73864e5827763431]

using wildcard instead of shell call in global makefile


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [c8ccbe22268b0f54eb61abdeb84852b7749a74fa]

removing hardcoded SRCDIR


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [d164bad56925dedf784246792f1df47d603fe822]

removed milestone from packed module


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [324c94c581f1c5d62367f2c0d3bc0c490df8e3f2]

better use REPODIR


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [cf1bf12e627fb827680a13eefd8d256b0069cbf2]

rename deliver.log to gb_deliver.log to save it from being killed by deliver


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [d4487e10ef73e305e2738dc5a8b69bd6ff62a2e6]

getting rid of obsolete install and uninstall targets


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [4baba54dd3ddf25842811249ec4e0dc007ca8840]

add dll file to deliver.log


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [bd0d1b0258555b50e50262f1cc7204b9732025ce]

fixed package for naming convention


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [1c41d13fdb344c9700a19b141b051371c02484e2]

cleaned up module registration


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [3ea9b4a6f2c5dff86aef21824c651cd833fd4cb1]

comments in Output.mk


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [240474cd0d487e6fe285b0a886b16dc74afbc396]

comments in LinkTarget.mk


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [fb36964277a0173e6dac0e25fd24d6e7705828f7]

comments in LinkTarget.mk


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [55439f947c8c0b0b43e61fc8d47687715b8cc8e8]

gbuild file permissions


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [750bc668976dd763bf793ee56273733728938dc9]

made setuplocal an extension


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [4d02ee491411cdc7039ba15aa5e4f6c5d86c0658]

some more comments on deliver


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [8d0e7830453099b1bbd031a5c8e7b84296143b86]

packmodule extension


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [a517d355cfc5b367fb7edb9cbcbc2fb00fb6ecdb]

primitive implementation of module packer created


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [c6a02f3ec1ebdeb8b1ed92dae856829346141660]

fix merge errors


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [b2760f30da2d79dc05f33b076533f2e0f6ff782e]

making macosx-create-bundle a good unix citizen and shut up on success


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [af393a348aa3b0b06351da2021b85b87a97ab750]

fixes for linking on OSX


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [bda3d46a26dfdadf8de692f2afd49d1c568b0282]

major refactoring of the layer logic

separating it between linktarget, library and executable classes

2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [20b266ceb9e19c5a83ce008d83d882dddbc04722]

pch announcement


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [177d6559be56d691991081b7c7fed574c9070d82]

fixing library names in components on windows


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [28befb159673961f3ea2736c664232e913c94c70]

added missing processdelivered.awk script


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [d4e96bb2f9ba88022172b1354b6a4493b30391f0]

first implementation of deliver.log generation


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [9a2ba2eb61a62e3fc888e5ab787b444f9f4e442c]

updated license headers


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [2154379309bb0056dea91aad2218f9a0ad2c3df0]

fixing system libname registry on windows


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [689c79b094f095cc554ffb394fc996d56a9c834c]

fixing rpath quoting voodoo on solaris


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [3e0c5bf4442891e3977923e13f29bdee038af611]

removing touchback on deliver because of problems with subsec timestamps


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [9d82ae8f224b3bebd820156a3449840e61adcda4]

fixes for solaris


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [12101ce5faebdad714e62857808d10353e362bdb]

minor fixes related to LOCALBUILDDIR


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [6620d87575215cd0d14737fd91f9c1f081187e9e]

better output


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [908ec747e8a619bac9d2aec0900924fabc037dd2]

post output


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [8f8ffd569b69b3f8909b77300037cb6c95c5a78d]

local build dirs


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [5db5aa326627dd7d431c6263693f1e83b2826927]

local build dirs


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [46723adb5da81fe5463d2eb4d3f85f402b9e7790]

setting CPPU_ENV on solaris


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [506f2073ebb29f0667e3f52c6f96375595e2c270]

fixing comphelper lib name for solaris


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [f148b13913037a159ae37142ec9f00ce21c09094]

getting gnu cp out of the environment on solaris


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [1265edd0d1e829f557f4c0fb08394c5d333bcd66]

explicitly using gnu cp on solaris


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [a297192515c2d4f77159b79e94219d87b94810a0]

finish the message with a dot.


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [cc753aca65bd0a2c4f970b81aa47ff43980bf35b]

lib name cleanup


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [cc9505610193500af1e2c57bc297f402c9d17eda]

added file Output.mk


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [b28cee538f4b718517b6581da44ac3767fd36b7b]

more work on output


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [a53532bf3139358b479b3be41f04ea953fafbefe]

enabled kbuild-like build output


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [7336d82bdf87cd4bbac835a6b77abd3f6805ee20]

beautified announcement


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [804db177e35d0e94ad6fa2a6938ea31c73956ea4]

simplify repository setup


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [4d0d5484a7f561a68daa42e909a44fbc30387c00]

localisation fixes


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [fb0f917ca07f854c4595d01a231256e8259e7df5]

simplify repository setup


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [75be5511c442a832823367a0caf324855e7ad0b7]

fix naming for partial build vars


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [c05a23f12e181043b3af592633203a22a62a3492]

simpified repository setup


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [4357392638e572317b678fb8034a4ae09fbf7924]

error out on local builds when those where explicitly disabled


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [b242507ae3683264d3790362784b33e1458eb92d]

simpified repository setup


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [bdbdba6a69448250f2e1e99740d14edfa54518cf]

unixify SRCDIR on windows


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [3885f67b45f716e7cc1b8c878d6aeca1dadd4d7a]

prefixes for xsltproc


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [604fb1052985f8d6c4bbf9f7a6e595b76c2b55c7]

added platform fixes


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [ecaf345318189336994bbd721c3f4f4bd02ac431]

fix on deliver timestamps


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [d68438a2c0ed5f462c411bb86ce53e097868edf6]

fix on local build dirs


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [cd11c439445858a78213a889827bf7950e13aa5c]

fix merge errors


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [ba6f1a9aa28de20e3279f393e3b68915aca9a412]

making multirepo build more generic


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [6c0c5eda1f12621e65bd8168bd52ba43a1817733]

removed hardcoded module name ooo in root makefile


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [4ab206df435d06edd4f21d0055b92c9027cb1159]

extracted platformfixes from gbuild dir into the repo dir


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [ffafbfa48db9e444d5f83bd79ebfa765d364be83]

fixed clean target for static libraries


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [82f5ca938c4b3e43c1369face2cc808f09d89b0c]

setuplocal works,

fixed clean targets after move to workdir,
made install and uninstall phony,
disabled deps on uninstall and setuplocal

2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [73287a5233e46151a0874c7fd37a07f66cad07f8]

first try at local build dirs


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [35e723e53fa15ac1d71316512bf9830da015bb24]

explicit delivering of ResTargets


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [ab5172f7511a315d771ab18c95553b7973f3b16d]

more work on shadow outdir


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [4bc5fb94051ae2f70f07b4a9343f05286ef3be89]

towards a shadow solver (intermediate commit)


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [4f6a8f6d4a73d445b421ad1c91cb92906c956d2b]

towards a shadow solver (intermediate commit)


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [bddbd6e3f847a2651d98f1e38729dd19dfae5e02]

rename GNUmakefile sot that make continue to invoke build by default

use make -f GNUmakefile.mk to invoke the top-level gnumake build

2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [0a59e19839aeb0c4bd23df9778e17a557c0465a7]

only use CC/CXX if they are nondefaults


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [afcd83333d172f4f43a262f550ef8527815330d3]

fixing static linked libs on OSX


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [c608d328f0eeae8b566ebd5e5b52630a4fe29759]

revert passive uno registraion support

this need that CWS sb129 be integrated which is not the case yet

2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [f829546e6dee41e39b03b8f1f2a6350e6884d7d1]

touching delivered package files with the timestamp from the source file


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [5966b647ad6ef3eb4c1931173e75822f3022f588]

updated warnings about unregistered library names


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [ebad54085368ad0031a7e7ae12cca3efbc121455]

moving ComponentTarget up to get let the rule have priority...

...over the Package rule in GNU make 3.81
would work on 3.82 as it uses shortest stem to find the best fitting rule

2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [55dd0f1c1b15161fa949eaf30e260d788697136a]

added component registration


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [0ae563f44cf8b29be27742f26df6752368bda235]

fixed buildbreaker introduced with baseline modification


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [93a4ebf8cc45faba95a5562a8a3479ef8e3b5d63]

intermediate commit for ComponentTargets


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [21e0ba45fc7fc2d5b43d601cad6aa67f4cc6cdb4]

baseline fixes with regard to sysroot/rpath-link


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [387c7fc221c6bdd9e9b24bdd18b0289702f7a597]

not preserving permission on deliver for now


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [689e798df55c205b7583a8a45a9fc6eb42e172d1]

move make 3.81 check into configure


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [b408c6c3ea787279ff2452987735bf1615fa0a87]

fixes for multi repo support


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [7b5e66f45c7bbbf0c8cc0e4801bab75409019a90]

fixed dll naming scheme on windows


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [834c06402ae9ba2f31f1c33cbfeec34de8d455d8]

delivering dlls along with lib files on windows


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [992a2307d9c0a8f3a1b164752473310033186a38]

fixing return code var on windows


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [63772526494d2d72811a8a7293fe199b7da62f22]

clean location for pch objects, dependencies do not need pch deps


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [59f58b7fc577ff3720386a3504adf3f2fe984c05]

fixing windows compile error output, static libs on windows


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [1dee49414047bd89cab5b99a8371b1b1370d1909]

gb_ObjCxxObject__command_dep is not platform dependant anymore


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [cda0278dfcefdbbd767c8b5cd4cb30b08ef86fec]

gb_CxxObject__command_dep is not platform dependant anymore


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [508ca759402785637f62af3e46f3096e71d92299]

gb_CObject__command_dep is not platform dependant anymore


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [e31cf7a62bdaf2157618925631dd1de579e05467]

fixing (disabling of) dep generation


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [4cd7f60fa9f74179d70b54856895d991a2132ddc]

fixing rscdep on windows, delivering manifests for executables on windows


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [c9980c637d5ecf64e687319a957282c0dc96f8b3]

adjustments to bring gnumake into a buildable state (modolo sw)


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [5afc09555de9a830b0b3097b963f6dcafe79d5bb]

do not copy -p


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [240d2fcb57490f5152541fbec7b244f16639b221]

using the symbolic-functions check of configure on linux


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [df15deabcfdfa88f2d897931b5f1df03f9e38a73]

using CXX and CC from env


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [a21041981a884371f04a1269535eab31a66ab222]

hacking for qstart lib for now


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [ca6a7a6083ca6c6b493b1d01b13ec10f0a55a736]

viciously killing common trees


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [af8b4e607ec689cb46db8b0c3c38ea030baa4892]

pch fix


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [215850b02cb9ee498b538efdb83b6241dd320525]

resolved dep generation dep cycle


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [e8d3aa1ef57ea9d6a0a5e398be0c06c87531a4d8]

more multi-repo work for modules


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [4d84487fe5b7b03c34d6f48f8f710eb1be9cc09a]

more multi-repo work for modules


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [abbf27966a985b1e0686b8a735f3776cdbc37a89]

more multi-repo work for modules


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [cbe0e1e2d0b034f55384ec5f8806810c7ad70128]

change module order


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [2ca5ff142a8b0e0f3cf9981b0ca913369045e199]

more multi-repo support


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [205d77b23866d07169c3f77e8f57d5cffd04b383]

added moduledir support


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [0251d2703ed70283826380f8d292d3903fd60a78]

module reorg


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [c771f72ed6b1dbafca9decc54596237fedfcd99c]

intermediate commit (module rework)


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [64f8fb5c43faeca7867298f7d670ae16454b5cf2]

abbreviate repository dir


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [eacc781ade754ed0c71924188144df036920f6e6]

multi-repo work on resources finished


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [37d5ee4603bd084d1f42d1fef86b1690ec2a7657]

more multi-repo work on resources


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [1fc93c501b9bc7f5004733c36d5ce874b3633b30]

more multi-repo work on resources


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [4caa0649db67f56fbd5628a7c4bb6f42ac485a75]

using variable for default images loaction


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [16e114b2e8602b5e0060fbb1ca7b6ce093915575]

gb_REPOS needs the windows paths hack too


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [6e640f150c53913eacf7e01fc67aa0f6b76a388b]

fixing defs for pch


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [818ca782d00280fe22a2d8fe7e51a247abd6f8c0]

multi-repo support for c/c++/objective c sources


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [15088ddcdfb3fe7cfecf0ac385e6883a7269d946]

deps for pch


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [cba8d76be645bb722daf7742a115125b673d78e5]

seperated ex and noex pch


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [064b6b3743b0c2b4583aaa363996c48441b5a618]

fixing dep generation, pch flags


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [d934394ce4d6f27ed67c672c2d2124b408a43d1e]

more work on pch


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [a466dbb16d9c165615e65c773efca51031fd3f02]

pch for debug builds, fixing header package deps


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [f0d91ddef94f3b14cb69274c722780818458cea0]

actually build all resources


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [0f64a608fd48ea54f173367fa3a3d3acaa7d190a]

precompiled header support on win32


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [ee1caa2a90d37c9331de49590a6c6608e1782cbf]

simplified pch, integrated with linktarget


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [be4edb1451b9826b26b283b1ed46129ded247f8d]

more work on precompiled headers


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [ca7d4d433148e45db42f7c84dbf0ac02c06b8719]

introducing precompiled headers


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [29c39b48927f3bcf11d002760bfe0e5c8c3b4cc2]

cleaning of localized src files


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [1a1dea4190ec96d3277161dcbca9f63af6d4cbb4]

fitting sdi into the workdir structure


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [2fc31ef13791f179c734948122a3f5c861aa5658]

l10ntools cleanup to simplify fixing


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [2a4ba8c5ade9e624879e51a6ded79734a1807132]

using ILIB from setsolar/configure to set LIBPATH on windows


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [d16a3c8b8929a92886142f33994b285ac3b0f64c]

fixing dependency generation on windows for plain C objects


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [5b4aae4a3aa2c88a51362cf483d9516e6fb0117f]

minor fixes


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [b38661754f6408704edf64ed9e190eb1b76d81ed]

removed inlines in gbuild docs


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [cc3d2637a511047dfac214502c44a8d0a333d6aa]

fix various RPATH problems:

macosx.mk: ensure that executables do not get -install_name.
linux.mk: -rpath_link seems to require an absolute path.
executable.mk: use rpath also for executables.
libnames.mk: add executable names (by layer), and split up PLAINLIBS/UNOLIBS.
platform/*.mk: complete gb_LinkTarget_LAYER map.

2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [18051f4fb4d904b3228009ae7b32fb5fb54210db]

solaris.mk: generate dependencies for SrsPartTarget


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [a8f1f4159290b9067d7caa89b2506fd6925a4ac0]

consolidated compiler optimizations flags, updated some docs


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [e97532c3c25d61158d2a27177cc6199c1410d56d]

rename gb_MkTemp to have it conform to naming conventions


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [2e9168fd07bb11280695feeaeede319017f1f6df]

fixed rebuild on link error, create misc dir for resource dep generation


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [6efcb1467120f31b542f51a3207737c42b52cebd]

silence of the link.exe


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [6a813681e28ac82aaf0e055ff3a60603f09e2f7c]

dependencies for windows


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [19d431c09ea9c83328bec8bd39c7cfcec83c4e84]

fixes for win


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [bc16334d0e907954152d7095cf2f5401aaab23b6]

xmlscript library added


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [b74dce5a98b6376bfd7cebda84c88cdc5dbc743b]

add shiny fruit port (tested on macosx/x86 in setsolar only)


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [e0b718fa02efecfcdbd75a1c25ca3ebc3c7f3db1]

add support for Objective-C++ targets


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [d40a276e95f2475e99c5d0c95bd9d216b296122d]

better RPATH handling

add gb_LinkTarget_get_layer, gb_LinkTarget_LAYER, gb_LinkTarget_get_rpath

2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [f92b171ad2ded46bc34fc155898daebdb7d6b7c0]

add gb_MkTemp variable


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [7468c3f67d23eea5fec1e4598e94e3a9eefc9a5d]

fix solaris platform a bit


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [badec936ab90a58e9939155340cd628f2f9c8653]

linux.mk: fix COM variable


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [5d2a6a02acfd0329a524ad67100fb42670b06ead]

refactor build documentation


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [5b87a5ee0848d6a2bdd546bed99bb31d823be769]

moving missing solaris.mk, documentation


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [4cf11f6f0ae4a38d784e00daf0194040df95bc1d]

refactoring


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [e7b79e9c26b63a944be48e3f45fbe7a68b85b322]

add solaris port (tested on solaris/x86 in setsolar only)


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [3db3dfc7a15a9b53bab117ca00d8dbaf9ef54ae0]

various fixed:

extend $SOLARINC with $JDKINCS.
introduce INCLUDE_STL, and do not include it for C files.
replace $() command expansion with `` (Solaris /bin/sh does only backquote).
fix gb_ResTarget_get_target: make target directory first.

2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [9271d3ac56bd3b51cef2803132bd9ed60f121afb]

added convenience methods for adding package and sdi headers


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [674c6498c83710c4c4534c426324a9e51d90ae42]

value of $GUI is uppercase UNX


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [bce2d76581b7ad33fae08628f2eb56c631722a6b]

resource location in default_images customizable for nonconforming modules


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [8c934131044a45da4b52bff6b66c6bccbd665c6c]

new gbuild system


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [8c7166fe44ad80ab60e02c2d6b4a771e4b76022e]

CWS-gnumake2-move-delivered-header-files-in-from-svt


2011-01-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [7d37d804cb16846dfa3e15f4f65af20ed15a757e]

CWS-gnumake2-move-delivered-header-files-in-from-svl


2011-01-10  Michael Meeks  <michael.meeks@novell.com>  [9a9d699ed189f31ebb7f638ec7cdeecd4b3c3cb8]

make linkoo scan the solver too, for Norbert's gnumake work


2011-01-10  Petr Mladek  <pmladek@suse.cz>  [7896b1d75e18540d5f5fa4fe255228be8f3f6d61]

Version 3.3.0.3, tag libreoffice-3.3.0.3 (3.3-rc3)


2011-01-10  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [5ebe149409783259c4b9125223fda30c7d642a8f]

gnumake3: intermediate commit junit tests


2011-01-10  Petr Mladek  <pmladek@suse.cz>  [455bbb2b8ad1bb64148612ebce8d91ac28414e15]

bump SHORT_PRODUCTEXTENSION to rc3 and widnows build version to 5


2011-01-10  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [6026d0c712e94fcca1c746de3b459691ffe4fdf4]

undoapi: merge


2011-01-10  Christoph Noack  <christoph@dogmatux.com>  [50319c1ed7e7ceb19d9be60a6aef6a441eb2e918]

add de-branded MSI installation artwork, bug#32435


2011-01-10  Mikhail Voytenko  <mav@openoffice.org>  [540ee17b4ea1f99ad36da56b5a16ee624cd3031d]

removetooltypes: #i112600# remove tooltypes


2011-01-10  Andras Timar  <timar@fsf.hu>  [cceeee5fc714d45741492513ad31bb16dae190f8]

Added ast, ca-XV, and id, removed sc (postset.mk)


2011-01-10  Caolán McNamara  <caolanm@redhat.com>  [4173e7bf59cc7e1eed957ec91b5f96485235c0a5]

set a template for mktemp, apparently required in macosx


2011-01-10  Caolán McNamara  <caolanm@redhat.com>  [87d8fb2dccd47d3a3be072b4ccd36c9c2acf96e7]

Resolves: fdo#32897 strip out template language tags


2011-01-10  Michael Meeks  <michael.meeks@novell.com>  [dbf79e8b23d8db677bb81d5dbe6f316485915d0f]

BrOffice branding for windows shortcuts


2011-01-09  Julien Nabet  <serval2412@yahoo.fr>  [79a4e4922f2713e3d17eeb9dd3817d1e9f4d792a]

replace -exec by xargs


2011-01-09  Julien Nabet  <serval2412@yahoo.fr>  [ba952bd817dce01b7193d29687d01eed9a14d795]

Reducing spawning of chmod with xargs instead of exec


2011-01-09  Kalman Szalai - KAMI  <kami911@gmail.com>  [311548894adf50536933cd96083a237bc7b1f95b]

Fix Barcode extension's directory


2011-01-09  Caolán McNamara  <caolanm@redhat.com>  [3f8d6a3c78d0a5380ca0748b3e2a16986cbd2240]

set a template for mktemp, apparently required in macosx


2011-01-08  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [4b8bf5c2eed95fe01094577b9983432879e9e2ea]

small fixes to allow using --with-linked-git & --with-external-tar


2011-01-08  Release Engineering  <releng@openoffice.org>  [859f28dc0b1e1308a28ba7870af1b585bb32d6f6]

DEV300


2011-01-08  Vladimir Glazunov  <vg@openoffice.org>  [46d2996c10cc8696fe49d82a8d6182f22a082f12]

CWS-TOOLING: integrate CWS ause129


2011-01-08  Kohei Yoshida  <kyoshida@novell.com>  [0b9a3a6e79c18384252650e40bbd7a7906749ade]

Upgraded to mdds 0.5.1 package.


2011-01-08  tono  <tono@openoffice.org>  [729e8bdbfbd87ed902d338deaa42b65d4ec7e1da]

mingwport33: i#116356: MinGW port enhancement: warning control


2011-01-08  Rene Engelhard  <rene@debian.org>  [4659a0d5d2e5700250dadb07d5c990b3acae331a]

s/exceptons/exceptions/g in configure.in


2011-01-08  Rene Engelhard  <rene@debian.org>  [6bdd632e0a04a4bdf1c14676c6f28bef73aa1745]

update system-mdds check

Check for mdds >= 0.5.0 as sc now needs it...

2011-01-07  Kohei Yoshida  <kyoshida@novell.com>  [f21272a67efdc3849e1cd131231a5878cc4048c2]

Newer mdds package 0.5.0 which is now required to build sc.


2011-01-07  Caolán McNamara  <caolanm@redhat.com>  [f25830734461140c7dd9747f1e096fefe066ba66]

Resolves: fdo#32897 strip out template language tags


2011-01-07  Petr Mladek  <pmladek@suse.cz>  [a4696d85343509443e7c20e1fd88dcc091a5efac]

Merge commit 'ooo/OOO330_m19' into libreoffice-3-3

Conflicts:
	solenv/inc/minor.mk

2011-01-07  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [88c20ad99547d59da985a631e6240dd5c9b77bbe]

gnumake3: basic support for java class sets


2011-01-07  Petr Mladek  <pmladek@suse.cz>  [ad3fab9cda307068ae4879d279960bbde893fe67]

Fix distro specific about intro hadling

I guess that nobody uses more alternative branding pictures. It was implemented
for SLED10-GM and it is not longer needed there. So I renamed:

    --with-intro-bitmaps to --with-intro-bitmap
    --with-about-bitmaps to --with-about-bitmap
and
    INTRO_BITMAPS to INTRO_BITMAPS
    ABOUT_BITMAPS to ABOUT_BITMAP

Also .png file format is requred instead of .bmp now.

Signed off by KAMI.

2011-01-07  Michael Meeks  <michael.meeks@novell.com>  [f53a4569811b20ffbc50ae4a14467e96936431ae]

use 0775 not 0755 for chmod


2011-01-07  Steve Butler  <stevenb@kjross.com.au>  [92ac04eb389ca5f6854e38ee94f4078134e958f3]

accelerate make_installer by forking a lot less on windows


2011-01-07  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3901f231845586f6ff7685c486d58f80b22ed055]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/undoapi


2011-01-07  Caolán McNamara  <caolanm@redhat.com>  [234c71fa451efef99d97d373e20060267f93cd6d]

adjust indent


2011-01-07  Guillaume Poussel  <gpoussel@gmail.com>  [25fa9690cc66386e605495ff8593a897233d2e4c]

Clean 'resourceleak' warning in cppcheck.


2011-01-06  Petr Mladek  <pmladek@suse.cz>  [7a5b94f877de62eb9cd46954ba3a67e465625003]

Fix check for BerkleyDB when db_create is macro

It seems more safe to check for dbopen; it has just one
other variant in db-3, see
http://lists.debian.org/debian-devel/2001/04/msg01770.html

2011-01-06  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [13c65d104478cc46e7faf3cb77fe3213bc9baacb]

gnumake3: module support for checks and subsequent checks


2011-01-06  Kurt Zenker  <kz@openoffice.org>  [83a81e0c58326f481c74b9c957d41539124b6643]

OOO330


2011-01-06  Hans-Joachim Lankenau  <hjs@openoffice.org>  [1bd942653099d72238efaf5b1d5f314538a920d0]

ause129: #i116326# own pch dependency file for debug case


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [d29f91ce6fb8b5f5325d3712d6abd3ec0d37993c]

silence this script during the build


2011-01-06  Hans-Joachim Lankenau  <hjs@openoffice.org>  [383f5adbc40f0331591e40a729cd153e5dfa4245]

ause129: #i116298# move toolkit images


2011-01-06  Mikhail Voytenko  <mav@openoffice.org>  [125087d3a4ac8ffd111391fe27b71027c90acadc]

removetooltypes01: rebase to DEV300_m96


2011-01-06  tono  <tono@openoffice.org>  [9c6151efaf732ab00a774b0c4bc2b9fcedde35a7]

mingwport33: i#116329: MinGW port enhancement: configurable libstdc++ name


2011-01-06  Miklos Vajna  <vmiklos@frugalware.org>  [ef16081c5ab05b920f2b9292cf5df3d91d067dcb]

move find-german-comments from build repo to bootstrap/bin


2011-01-06  Hans-Joachim Lankenau  <hjs@openoffice.org>  [12cfebb014dd4b27c80f1b8c5cd8ab013604218d]

ause129: #i116289# set MACOSX_DEPLOYMENT_TARGET in environment for use in dmake and gnumake build


2011-01-06  Vladimir Glazunov  <vg@openoffice.org>  [c14da2db2e0160f21f851526651076dbb7041de6]

CWS-TOOLING: integrate CWS vcl117


2011-01-06  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [c9fa9c8691d371450806235163f7214d6772c5e4]

rebase to DEV300_m96


2011-01-06  Ingo Schmidt  <is@openoffice.org>  [23bb25ba15a13c7ae0b6ec435ea0ab8cba7a3f0e]

native353 #i116309# Optimize include path list


2011-01-06  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [7f29f7153ecca0b83df832a74617e9d721808a07]

undoapi: merge after pulling CWS sb135


2011-01-05  Kohei Yoshida  <kyoshida@novell.com>  [367c10270a76b6f1e166580f7473d362e114628f]

At least one of them must say 'no'.


2011-01-05  Andras Timar  <timar@fsf.hu>  [e3583d232c311aed5e04a3ebb99d37335c7cd86f]

New release of Linux Libertine G fonts

Signed-off-by: Kalman Szalai - KAMI <kami911@gmail.com>

2011-01-05  Andras Timar  <timar@fsf.hu>  [2836ac2bd9ffea75e9a01c672cb107e1e015412a]

typo fix in module_langpack.ulf

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-01-05  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [95755c1233c588713ac14d2dd141938bac7d8dad]

gnumake3: first cppunit test in new build system


2011-01-05  Vladimir Glazunov  <vg@openoffice.org>  [15fb4c2d4a5b24e046bde7fa311182c0c4e0ca55]

CWS-TOOLING: integrate CWS jl160


2011-01-05  Michael Meeks  <michael.meeks@novell.com>  [709068ae9b052c6d38e6a398c7aaaddc28232315]

ignore SIGPIPE for zenity


2011-01-05  Michael Meeks  <michael.meeks@novell.com>  [7223f65beb36f1061e8bc12b418c7ecf9a9ed0e9]

only enable zenity for local (unix socket) displays


2011-01-05  tono  <tono@openoffice.org>  [67a2a65fe80706ad2dd3b2a58185eaf595dcffa7]

mingwport33: i#116264: gbuild for MinGW


2011-01-05  Michael Meeks  <michael.meeks@novell.com>  [eaa3804174d925b24902604ca25cbdc6b896cf5e]

ignore SIGPIPE for zenity


2011-01-05  Michael Meeks  <michael.meeks@novell.com>  [3ffc7954a40260600f854c352c5eea38c87c2284]

only enable zenity for local (unix socket) displays


2011-01-05  Henning Brinkmann  <hbrinkm@openoffice.org>  [68c507eaccab5e7a98e6b959b1a1be67def2eb9d]

merged DEV300_m96


2011-01-05  tono  <tono@openoffice.org>  [614b98e8baec3ed46ab080cbe466d909ed1d198f]

Backed out changeset: e84942bd0aca


2011-01-05  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [0e2bca9928fbb6812b6708ba783bd67e3425854d]

gnumake3: resync to DEV300_m96


2011-01-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a053197a8cd15b5691a376a805bd0e8255c0d1f1]

dba34b: merged DEV300m96


2011-01-05  Juergen Schmidt  <jsc@openoffice.org>  [a8229c0401a2c810ba311c4c895115c198a93008]

merge dev300m96


2011-01-05  sb  <sb@openoffice.org>  [46312fb09590660903e35c0936987dc80f74248f]

sb135: #i116308# missing solenv/gbuild/platform/solaris.mk settings


2011-01-05  sb  <sb@openoffice.org>  [8d98e9dc4ef23656ce775f35e86d24ffa590e70d]

sb135: #i116308# missing solenv/gbuild/platform/solaris.mk settings


2011-01-05  Guillaume Poussel  <gpoussel@gmail.com>  [4054a795adc53245c52f9c8e39360bbc94a7f69c]

Removing few cppchecks warnings.


2011-01-04  Hans-Joachim Lankenau  <hjs@openoffice.org>  [1d40264d64b42bc8ceaf88174afd8f71aa57a133]

ause129: #i116298# add some flexibility to source and destination


2011-01-04  Jan Holesovsky  <kendy@suse.cz>  [5e37c4534b7261d9b95fd11f5b31ec2014deb050]

Set TMP on Windows if not set.

Otherwise we have problems with paths containing spaces - they don't get
quoted in some cases.

2011-01-04  Joachim Lingner  <jl@openoffice.org>  [4a87b7a37587b4fcee603e0f63b2239a7dac90f6]

jl160 merge with DEV300m96


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [eadee7bf109f7609200f7cc19363b03bbd331508]

Resolves: #i113163# drop uninitialized variable warning


2011-01-04  David Tardon  <dtardon@redhat.com>  [eeaec557611f641bd876cf518992b9928cb6a5af]

selection of hash container for mdds must precede header tests


2011-01-04  Kalman Szalai - KAMI  <kami911@gmail.com>  [a1fc860c638a072924fd7733b4c09769acfa8ca3]

Update LightProof extensions' packing mechanism

* Install extracted extension files to separated and language dependent
  directory. This is the new way to include extensions to installation
  set.

* Update for Sun Template Pack packing

Signed-off-by: David Tardon <dtardon@redhat.com>

2011-01-03  Hans-Joachim Lankenau  <hjs@openoffice.org>  [92cfc2a8423a2c1c89e016523efccba8a4e627c7]

#i116287# fix LIBMYSQL_PATH


2011-01-03  sb  <sb@openoffice.org>  [6ac793b0146877a457e2a45c79df138a2fa57508]

sb135: merged in DEV300_m96


2011-01-02  Rene Engelhard  <rene@debian.org>  [85fc64ea18ebda4326b70b0ba6c82754e2f541f8]

readd lost #endif


2011-01-02  Rene Engelhard  <rene@debian.org>  [d96ca6b60fe74ce6732f3cd3da41ca6995f9c1a6]

Merge remote branch 'origin/libreoffice-3-3'

Conflicts:
	scp2/source/extensions/directory_extensions.scp

2010-12-31  Caolán McNamara  <caolanm@redhat.com>  [9210aafa24ea86197bf43c9086b1f9cb2c272ef3]

WaE: Tweak this to prefer boost::unordered_map


2010-12-31  tono  <tono@openoffice.org>  [dc6b735afb666977d560a73c0e06e5dfb7cecb02]

i#116264: gbuild for MinGW


2010-12-28  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [1e19d4f653c7045e7a5b55830cdfff7dd55fddcc]

dr77: post rebase fixes


2010-12-27  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [415b9e6ca13ef165b91b85f0ccf793762178d5ab]

dr77: rebase to DEV300m96


2010-12-27  Andras Timar  <timar@fsf.hu>  [6bd537ad74aee21699eb056c0bafb499250e9afc]

typo fix in helppack.ulf


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [49709175bfceff6073bbd3693bfd57bea6c4ffa2]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [13802cce903aa7603507367bc5a78a867ead998f]

make executable


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [df690963f7004806a6b31ebcd56a2b4cc1bb782c]

move add mode-lines in here


2010-12-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [00fab01ad69c57004763b6b3a31ea67af052da0b]

undoapi: merged after pulling DEV300_m96. Most probably still not buildable:A number of changes which happened in the CWS need to be redone due to the new build system


2010-12-22  Michael Stahl  <mst@openoffice.org>  [f9ab0f63399160971d6f0ed2c61485f96b750c93]

sw34bf03: #i81127#: patch by pmladek: linux/ppc: remove -fsigned-char


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [d9f0a7c9c259532f757f67a492d718895dc4b5f1]

Move this system-mesa-headers test inside opengl extension test

Here it only gets used for non-Windows and non-Linux. It will current defaults
to using these "internal" headers like we do for xrender and friends.

2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [ef4808005071fdeaf216e7973cd97c23afc8f9d0]

toggle the default for this option


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [43b7526b22ba9f18f1cd3a3208e50ee714a8ff75]

fix typo


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [4179eb02bf09091bf98e500cc769f0e2ac64f9fa]

add winenv.set.sh to gitignore


2010-12-22  Rene Engelhard  <rene@debian.org>  [b481e73a401a893276ae4048b1420861572d186b]

missing @


2010-12-22  Rene Engelhard  <rene@debian.org>  [72fd50e69cf26e693a778e60399319a6e42cdffb]

export MDDS_CPPFLAGS into the env


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [456ee0df6ec3d801d41ba570bc45a391531dd96d]

lower java build-time verbosity


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [50af7e18056c5de3ce83ede69a713afab9151985]

little bit less java verbosity


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [da618efe39391cf8144ff4782d5d325a59443986]

